GNU bug report logs - #23013
25.0.92; assertion failure on marker outside text range in echo area

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ken Raeburn <raeburn@HIDDEN>; dated Mon, 14 Mar 2016 19:57:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 23013 <at> debbugs.gnu.org:


Received: (at 23013) by debbugs.gnu.org; 25 Oct 2018 16:08:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 25 12:08:00 2018
Received: from localhost ([127.0.0.1]:42736 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gFiAy-0006jh-7t
	for submit <at> debbugs.gnu.org; Thu, 25 Oct 2018 12:08:00 -0400
Received: from mail-it1-f172.google.com ([209.85.166.172]:35667)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>)
 id 1gFiAw-0006jN-7H; Thu, 25 Oct 2018 12:07:58 -0400
Received: by mail-it1-f172.google.com with SMTP id p64-v6so2453845itp.0;
 Thu, 25 Oct 2018 09:07:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:from:to:subject:message-id:references:mime-version
 :content-disposition:in-reply-to:user-agent;
 bh=ts0QgeyQO/h+0iTKQ54KuW8vFHXtlIzrnjRHlWnrmFA=;
 b=rnFVhbyMevH6yta4n7L1BJrkI7vS9/VxTcB48XqqwXvclqXGvGjcmQw7vcP5s7tyEN
 CYfgSoz8eJxnoCiZiI4Z/SfGQ0tHVCd1tiInaVzD4fDNjLY8v7EXYYV6+YIx+x1r1F1d
 M69NxL6zMah7QF9glsTxYL7uz7MvgAiHG6xIPjAc58qxtXpc/aCWH1l4oyLYFDpoAsGI
 ltX025SsiP2za0s4qZqqa3+6mz9B7ibSYzDffI4/wXbkV6NPsqBoLbYdcU2/DLReFKMa
 yqlsQZwZs+dZ4BiSDzwBJuwlvKnqpm2j6jj9UXw4GIC+oMXD71Zl54a7DJejL7e2fWVY
 jNEQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:subject:message-id:references
 :mime-version:content-disposition:in-reply-to:user-agent;
 bh=ts0QgeyQO/h+0iTKQ54KuW8vFHXtlIzrnjRHlWnrmFA=;
 b=LmRxGM/XADFukCf1/QQyQ0h3VJ6H1tPEP3k5isKX2Edn2/FRuPNoK/iKYqq0Zvs231
 79CvlUpBqHJ/nDbQRFsbSZky59akSnKrF9ZmTnTtXQZhQk0S12aAER9by9MrUHXI+FJq
 dZZ4vw2hlSL8AiwdwbjkZlO6Jxdju6N5ttN0AWHhNOJu7Ha+/pmC17/FRZpJZA+JW9HR
 1oX2kNa+hmWtyoSSsZjjVZh0UyDVn/gzbFzVZ94+m1xxPD6WrFxv768YrPNVWylo8n4b
 nnct4eCb2PyvuqdqQ8p5+wb1ebxqgzUPbZvYOtJ5R8bCvSUosb4FPxpArYbUqqGj8Y2K
 UpCg==
X-Gm-Message-State: AGRZ1gK6X7P2PmGpql9BHrXZiJyUw39hLhdkDk5niAqAqEV9wYOVi85c
 yk1JOGEXwCr8B2l2mDR331Re9sOyjOU=
X-Google-Smtp-Source: AJdET5d0F/yUDfgIrMw7QswBo4jVN8O3hu2A13rQGxI9z6Id/l8ydgLhthW/buqykPrA4mIJ1Bysag==
X-Received: by 2002:a24:90c2:: with SMTP id
 x185-v6mr1490734itd.170.1540483672327; 
 Thu, 25 Oct 2018 09:07:52 -0700 (PDT)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.gmail.com with ESMTPSA id
 h130-v6sm3106991ioa.52.2018.10.25.09.07.50
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 25 Oct 2018 09:07:50 -0700 (PDT)
Date: Thu, 25 Oct 2018 10:07:48 -0600
From: Assaf Gordon <assafgordon@HIDDEN>
To: 23013 <at> debbugs.gnu.org
Subject: Re: bug#23012: add option to specific locale to sort
Message-ID: <20181025160748.p5w3owukwmbtzmua@HIDDEN>
References: <1113.1457978575@HIDDEN> <56E70569.4010607@HIDDEN>
 <56E7B6F3.50004@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <56E7B6F3.50004@HIDDEN>
User-Agent: NeoMutt/20170113 (1.7.2)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 23013
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

retitle 23012 sort: add option to set specific locale
severity 23012 wishlist
tags 23012 wontfix
close 23012
stop

(triaging old bug)

On Tue, Mar 15, 2016 at 08:17:07AM +0100, Bernhard Voelker wrote:
> 
> After all, the only case I see is that users are unhappy with the sorting
> of their non-C locale, or put the other way round: probably the only value
> needed is --locale=C which could then be a fix option like --C-locale.
> Yet, as there's "LC_ALL=C sort ...", this is still redundant.
> 

With no further comments in 2 years, I'm closing this bug.
Discussion can continue by replying to this thread.

-assaf




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23013; Package emacs. Full text available.

Message received at 23013 <at> debbugs.gnu.org:


Received: (at 23013) by debbugs.gnu.org; 23 Apr 2016 07:55:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 23 03:55:56 2016
Received: from localhost ([127.0.0.1]:43573 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1atsQ0-0002bQ-6z
	for submit <at> debbugs.gnu.org; Sat, 23 Apr 2016 03:55:56 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38601)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1atsPy-0002bE-Jc
 for 23013 <at> debbugs.gnu.org; Sat, 23 Apr 2016 03:55:54 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1atsPq-0008E1-By
 for 23013 <at> debbugs.gnu.org; Sat, 23 Apr 2016 03:55:49 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:39494)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1atsPq-0008Dx-8D; Sat, 23 Apr 2016 03:55:46 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4886
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1atsPp-0002lQ-KZ; Sat, 23 Apr 2016 03:55:46 -0400
Date: Sat, 23 Apr 2016 10:55:20 +0300
Message-Id: <83a8kk69p3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ken Raeburn <raeburn@HIDDEN>
In-reply-to: <6eshydqrwu.fsf@HIDDEN> (message from Ken
 Raeburn on Fri, 22 Apr 2016 17:01:37 -0400)
Subject: Re: bug#23013: 25.0.92;
 assertion failure on marker outside text range in echo area
References: <6e8u1kyguc.fsf@HIDDEN>
 <6e7fh3bm7h.fsf@HIDDEN> <837fh3bljl.fsf@HIDDEN>
 <CAJJWxE-Z5nsz264WX6RPNfq_crY8Kma1y=YkPV+5B3MaoMEn9w@HIDDEN>
 <8337rrbiuh.fsf@HIDDEN>
 <CAJJWxE9_xUORoZ2Xy8iLkwdBXGaa6dQ6YUhJMvX2hP9RbVDMrQ@HIDDEN>
 <83zitya15t.fsf@HIDDEN>
 <CAJJWxE-hiU1SAHkRwd-FZ7f5RSkFKhsn5ffhp4EHCXhH6DYdwg@HIDDEN>
 <838u1h9gq1.fsf@HIDDEN>
 <CAJJWxE-Dh1FOsmK++1B8Y6vDQPnfw3d4_R8dn1q3DTkB=Hg10g@HIDDEN>
 <83vb3sk0sd.fsf@HIDDEN> <6eshydqrwu.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: 23013
Cc: 23013 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)

> From: Ken Raeburn <raeburn@HIDDEN>
> Date: Fri, 22 Apr 2016 17:01:37 -0400
> 
> No more than half an hour after I sat here wondering how many days
> without a crash might suggest that maybe the change I reverted was
> actually related to the crash, Emacs crashed; the same way as before, an
> assertion failure on a marker position in " *Echo Area 0*", while
> switching between buffers; the last stuff I typed was
> 
>   C-x b e @ M-backspace return
> 
> (I.e., switch buffer, start typing a partial name, notice the default is
> what I want so delete what I typed, hit return.)
> 
> The w->pointm marker has charpos and bytepos set to 41 but the buffer
> text field has gpt, z, gpt_byte, z_byte, all set to 1.
> 
> I've been running commit a1f221b, with d82f24b reverted, configured
> with:
>   '--prefix=/permabit/user/raeburn/dev/emacs/emacs-25/lx/Inst-5725167'
>   '--with-x-toolkit=lucid' '--enable-checking' 'CPPFLAGS=-DMARKER_DEBUG'
>   '--without-sound'
> 
> The marker debugging code hasn't flagged anything.

MARKER_DEBUG is for hunting a different kind of problems, those with
converting byte positions to character positions and vice versa.  So
it's little wonder it didn't flag anything.

Needless to say, this never happened to me, although I use echo-area
buffers as much as anyone else.  Not sure what this tells us.

I think at this point, the only way to find this elusive bug is to
trace updates to markers when the buffer text of the echo-area buffers
is shrunk.  It is also possible that the problem happens because we
switch the echo-area buffers, but do not update the markers when we
do.  I would suggest to add some tracing code, perhaps check_markers
or similar, to the places that are involved in the above events, and
see what that tells us.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23013; Package emacs. Full text available.

Message received at 23013 <at> debbugs.gnu.org:


Received: (at 23013) by debbugs.gnu.org; 22 Apr 2016 21:01:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 22 17:01:46 2016
Received: from localhost ([127.0.0.1]:43464 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1atiCw-0002MJ-J5
	for submit <at> debbugs.gnu.org; Fri, 22 Apr 2016 17:01:46 -0400
Received: from mail-qg0-f49.google.com ([209.85.192.49]:35047)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raeburn@HIDDEN>) id 1atiCv-0002M6-Hg
 for 23013 <at> debbugs.gnu.org; Fri, 22 Apr 2016 17:01:46 -0400
Received: by mail-qg0-f49.google.com with SMTP id f74so58183432qge.2
 for <23013 <at> debbugs.gnu.org>; Fri, 22 Apr 2016 14:01:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=permabit.com; s=google;
 h=from:to:subject:references:date:in-reply-to:message-id:user-agent
 :mime-version; bh=YvbZfA2jsITOS7CgkIx60opDNul+krukM6VUnlwmvNY=;
 b=Yb3rg8qIKB+qR2uy1q8FhI9hqR9WpLFScbyB9qLFNL5K1mR19dk5/02FXI4UZ7Y3wh
 /IB7v9oh0xnAuYmPwVccSRoCMHTrlnMZQCjgrDcw2J5/pPZnP8jkYqBr3neyAmf71ctq
 cWM+7GFlptASWmtzZCN5g3mUUtTpUAKHvNU9Q=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=YvbZfA2jsITOS7CgkIx60opDNul+krukM6VUnlwmvNY=;
 b=Q0+CccRELy1zxwVelQ0gRRX6uMPJZmmXdKbw6TM8kt5RWJg/bErNOCtpyrmcVIM1Lm
 IIddAx0MH1rr6Iz7qa3tD3gV6KRip++2RdKm3GZOqFeoJTJZLeO8bVhRoX2Rxn7dOKuf
 cap4z43dOd1r6AaO6/a70eJuBW/DUlFceZpQQSF4sqprtXOPcvaVYeGlp4ze+6SkcOhy
 hrQoW+g2ETz91xoUnp0YXmrUh9rLkeQinGQ+is94TW5zoT20RnarMBqLSx6P5LsGX1Cs
 wNU5FAPyXj7B96qla3Hx2h0jNkfi4LMZf4b2ltfILYE+axakhVocC3lYzKk9zqLrO+3g
 PHcA==
X-Gm-Message-State: AOPr4FXGwmlq7kNwctd2ltXnGQVlg8CNuzI+B0FIk+tYo0QiGwg6LENvl0yGoSfMrSPdIEU4
X-Received: by 10.140.129.22 with SMTP id 22mr24458853qhb.28.1461358899946;
 Fri, 22 Apr 2016 14:01:39 -0700 (PDT)
Received: from just-testing.permabit.com (vpn.permabit.com. [66.202.84.2])
 by smtp.gmail.com with ESMTPSA id 31sm3083320qgx.32.2016.04.22.14.01.38
 (version=TLSv1/SSLv3 cipher=OTHER);
 Fri, 22 Apr 2016 14:01:38 -0700 (PDT)
From: Ken Raeburn <raeburn@HIDDEN>
To: 23013 <at> debbugs.gnu.org
Subject: Re: bug#23013: 25.0.92;
 assertion failure on marker outside text range in echo area
References: <6e8u1kyguc.fsf@HIDDEN>
 <6e7fh3bm7h.fsf@HIDDEN> <837fh3bljl.fsf@HIDDEN>
 <CAJJWxE-Z5nsz264WX6RPNfq_crY8Kma1y=YkPV+5B3MaoMEn9w@HIDDEN>
 <8337rrbiuh.fsf@HIDDEN>
 <CAJJWxE9_xUORoZ2Xy8iLkwdBXGaa6dQ6YUhJMvX2hP9RbVDMrQ@HIDDEN>
 <83zitya15t.fsf@HIDDEN>
 <CAJJWxE-hiU1SAHkRwd-FZ7f5RSkFKhsn5ffhp4EHCXhH6DYdwg@HIDDEN>
 <838u1h9gq1.fsf@HIDDEN>
 <CAJJWxE-Dh1FOsmK++1B8Y6vDQPnfw3d4_R8dn1q3DTkB=Hg10g@HIDDEN>
 <83vb3sk0sd.fsf@HIDDEN>
Date: Fri, 22 Apr 2016 17:01:37 -0400
In-Reply-To: <83vb3sk0sd.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 08 Apr
 2016 10:38:42 +0300")
Message-ID: <6eshydqrwu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23013
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


No more than half an hour after I sat here wondering how many days
without a crash might suggest that maybe the change I reverted was
actually related to the crash, Emacs crashed; the same way as before, an
assertion failure on a marker position in " *Echo Area 0*", while
switching between buffers; the last stuff I typed was

  C-x b e @ M-backspace return

(I.e., switch buffer, start typing a partial name, notice the default is
what I want so delete what I typed, hit return.)

The w->pointm marker has charpos and bytepos set to 41 but the buffer
text field has gpt, z, gpt_byte, z_byte, all set to 1.

I've been running commit a1f221b, with d82f24b reverted, configured
with:
  '--prefix=/permabit/user/raeburn/dev/emacs/emacs-25/lx/Inst-5725167'
  '--with-x-toolkit=lucid' '--enable-checking' 'CPPFLAGS=-DMARKER_DEBUG'
  '--without-sound'

The marker debugging code hasn't flagged anything.

As I said earlier, the other two changes Eli suggested reverting don't
look like they should make any difference in my case. I'll keep looking
to see if there are some interesting looking places to insert
instrumentation to do range-checking on marker positions....




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23013; Package emacs. Full text available.

Message received at 23013 <at> debbugs.gnu.org:


Received: (at 23013) by debbugs.gnu.org; 8 Apr 2016 07:39:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 08 03:39:08 2016
Received: from localhost ([127.0.0.1]:53451 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aoR0W-00011Q-2J
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2016 03:39:08 -0400
Received: from eggs.gnu.org ([208.118.235.92]:35400)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1aoR0U-00010w-Cf
 for 23013 <at> debbugs.gnu.org; Fri, 08 Apr 2016 03:39:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1aoR0M-0007ws-6s
 for 23013 <at> debbugs.gnu.org; Fri, 08 Apr 2016 03:39:01 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56162)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1aoR0M-0007wo-3K; Fri, 08 Apr 2016 03:38:58 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3872
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1aoR0L-000213-BP; Fri, 08 Apr 2016 03:38:57 -0400
Date: Fri, 08 Apr 2016 10:38:42 +0300
Message-Id: <83vb3sk0sd.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ken Raeburn <raeburn@HIDDEN>
In-reply-to: <CAJJWxE-Dh1FOsmK++1B8Y6vDQPnfw3d4_R8dn1q3DTkB=Hg10g@HIDDEN>
 (message from Ken Raeburn on Thu, 7 Apr 2016 18:32:51 -0400)
Subject: Re: bug#23013: 25.0.92; assertion failure on marker outside text
 range in echo area
References: <6e8u1kyguc.fsf@HIDDEN>
 <6e7fh3bm7h.fsf@HIDDEN> <837fh3bljl.fsf@HIDDEN>
 <CAJJWxE-Z5nsz264WX6RPNfq_crY8Kma1y=YkPV+5B3MaoMEn9w@HIDDEN>
 <8337rrbiuh.fsf@HIDDEN>
 <CAJJWxE9_xUORoZ2Xy8iLkwdBXGaa6dQ6YUhJMvX2hP9RbVDMrQ@HIDDEN>
 <83zitya15t.fsf@HIDDEN>
 <CAJJWxE-hiU1SAHkRwd-FZ7f5RSkFKhsn5ffhp4EHCXhH6DYdwg@HIDDEN>
 <838u1h9gq1.fsf@HIDDEN>
 <CAJJWxE-Dh1FOsmK++1B8Y6vDQPnfw3d4_R8dn1q3DTkB=Hg10g@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: 23013
Cc: 23013 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Date: Thu, 7 Apr 2016 18:32:51 -0400
> From: Ken Raeburn <raeburn@HIDDEN>
> Cc: 23013 <at> debbugs.gnu.org
> 
>  I've reviewed the changes between 25.0.90 and 25.0.92. I see nothing
>  that could be directly linked to this problem. The only commits that
>  might be even remotely related are these 3:
> 
>  d82f24ba8530eb8de04a319cc80742a0a953040e
> 
> This could be interesting...
> 
>  Maybe you should try reverting these one by one.
> 
> I have no reliable way of reproducing the problem, so not hitting another crash once a change is reverted
> wouldn't tell me much. Is there something further I could introduce a check for to see if one of these patches
> might be causing the problem?

Nothing comes to mind.  But since we are talking about a single
commit, just revert it and run with that for however long it usually
takes to see this problem again.

The problem seems to be that some code deletes text in the minibuffer,
but doesn't update the markers there.  I couldn't find a code pattern
that might have that effect, but maybe you can.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23013; Package emacs. Full text available.

Message received at 23013 <at> debbugs.gnu.org:


Received: (at 23013) by debbugs.gnu.org; 7 Apr 2016 22:33:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 07 18:33:00 2016
Received: from localhost ([127.0.0.1]:53310 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aoIU0-0003Wm-3Y
	for submit <at> debbugs.gnu.org; Thu, 07 Apr 2016 18:33:00 -0400
Received: from mail-lf0-f48.google.com ([209.85.215.48]:35375)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raeburn@HIDDEN>) id 1aoITx-0003WX-Qq
 for 23013 <at> debbugs.gnu.org; Thu, 07 Apr 2016 18:32:58 -0400
Received: by mail-lf0-f48.google.com with SMTP id c126so67231202lfb.2
 for <23013 <at> debbugs.gnu.org>; Thu, 07 Apr 2016 15:32:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=permabit.com; s=google;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc; bh=bTRf4LZJptezD4OLepwXzCYZawxJCg/Hzl+0NgPZsPw=;
 b=IFcNC4Xp1WDStPMqecXk6FG1ZI8USe9hEEcSH3OfIBF4Hw8G/Ml0lYUaZzTXCfv+3W
 toTY/7w7N1RcLVDxvlPv8LMrhEtDMOtbuSgeuyarTTQBSeIR/epUPZ3TqcbKzqu9va8h
 asOUp3xdmSLzgF3Www/ufp5pv5/5xbHldvNNQ=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc;
 bh=bTRf4LZJptezD4OLepwXzCYZawxJCg/Hzl+0NgPZsPw=;
 b=Tt9G4P/oHCNXdvyhdum7AVMifyIDxKBzm2QNNhV99i/VNsYSDe1hqqOpiQnV+Qflig
 ZRY5KFr2nb1kRGPb8K9e02VVx+HQ7Rj9uqRgfz+2Kic140xFe/8Y/m/xZSa7grzh0cEj
 /WwSVEGlAtQ114qK/0ePff6njG33QiKedurZ0te6BHLxO6rmFZFvPgQxCc4uKPN5F9ef
 hXKzTmC4FBWF+FbVU+G6piSUfP0WrcFC/QAln4E+TyBgpNBQ7LgfzB9DfPWXFXg5OY8I
 PrC1ztdd0OfPsVNO1GOLT8uii+ENp8561wE0Wu5x8YABcZ8eMx0s4V+lbpyU9sfEV4do
 aJAA==
X-Gm-Message-State: AD7BkJKMmcwe521yxO6j6vZZ0DLoEWBpBzq++h7uqvmfXtjoJNK7Cqrxnr0XoXA0YXsVZUJMX9/gV/UJHSs6Hqyv
MIME-Version: 1.0
X-Received: by 10.25.146.206 with SMTP id u197mr2293980lfd.139.1460068371950; 
 Thu, 07 Apr 2016 15:32:51 -0700 (PDT)
Received: by 10.112.84.197 with HTTP; Thu, 7 Apr 2016 15:32:51 -0700 (PDT)
In-Reply-To: <838u1h9gq1.fsf@HIDDEN>
References: <6e8u1kyguc.fsf@HIDDEN>
 <6e7fh3bm7h.fsf@HIDDEN> <837fh3bljl.fsf@HIDDEN>
 <CAJJWxE-Z5nsz264WX6RPNfq_crY8Kma1y=YkPV+5B3MaoMEn9w@HIDDEN>
 <8337rrbiuh.fsf@HIDDEN>
 <CAJJWxE9_xUORoZ2Xy8iLkwdBXGaa6dQ6YUhJMvX2hP9RbVDMrQ@HIDDEN>
 <83zitya15t.fsf@HIDDEN>
 <CAJJWxE-hiU1SAHkRwd-FZ7f5RSkFKhsn5ffhp4EHCXhH6DYdwg@HIDDEN>
 <838u1h9gq1.fsf@HIDDEN>
Date: Thu, 7 Apr 2016 18:32:51 -0400
Message-ID: <CAJJWxE-Dh1FOsmK++1B8Y6vDQPnfw3d4_R8dn1q3DTkB=Hg10g@HIDDEN>
Subject: Re: bug#23013: 25.0.92; assertion failure on marker outside text
 range in echo area
From: Ken Raeburn <raeburn@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=001a11401ab2a89c20052feca877
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23013
Cc: 23013 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a11401ab2a89c20052feca877
Content-Type: text/plain; charset=UTF-8

On Thu, Mar 17, 2016 at 1:06 PM, Eli Zaretskii <eliz@HIDDEN> wrote:

> I've reviewed the changes between 25.0.90 and 25.0.92.  I see nothing
> that could be directly linked to this problem.  The only commits that
> might be even remotely related are these 3:
>
>   d82f24ba8530eb8de04a319cc80742a0a953040e
>

This could be interesting...


>   84829495b5746417f5eaf9be693fb35f0509697a
>

scroll-conservatively is 0, at least in the core file, and it looks like
the only mode I use that changes it is jabber-chat-mode which sets it to 5,
so either way it shouldn't reach the path where this change occurred.


>   06a872b71d6580e0699600844bb9526602437990
>

Probably not relevant as I was only using X frames. There's the initial
frame created in daemon mode, which has FRAME_VISIBLE_P true but
FRAME_GARBAGED_P false (also FRAME_TERMCAP_P and FRAME_MSDOS_P false) so it
wouldn't follow that path.


>
> Maybe you should try reverting these one by one.
>

I have no reliable way of reproducing the problem, so not hitting another
crash once a change is reverted wouldn't tell me much. Is there something
further I could introduce a check for to see if one of these patches might
be causing the problem?


>
> It could also happen that the assertions you saw in 25.0.90 are caused
> by the same problem that now causes this bug.  Any idea if those
> assertions were for the mini-window as well?
>

Both assertions in .90 were in find_last_row_displaying_text, checking
row->enabled_p. The window being examined (next frame up, try_window_id) is
the root window of its frame. Redisplay is being done during a call to
wait_reading_process_output. So it doesn't look very similar.

--001a11401ab2a89c20052feca877
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_quote">On T=
hu, Mar 17, 2016 at 1:06 PM, Eli Zaretskii <span dir=3D"ltr">&lt;<a href=3D=
"mailto:eliz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt;</span> wrote:<=
br><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left=
:1px #ccc solid;padding-left:1ex">I&#39;ve reviewed the changes between 25.=
0.90 and 25.0.92.=C2=A0 I see nothing<br>
that could be directly linked to this problem.=C2=A0 The only commits that<=
br>
might be even remotely related are these 3:<br>
<br>
=C2=A0 d82f24ba8530eb8de04a319cc80742a0a953040e<br></blockquote><div><br></=
div><div>This could be interesting...</div><div>=C2=A0</div><blockquote cla=
ss=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;pa=
dding-left:1ex">
=C2=A0 84829495b5746417f5eaf9be693fb35f0509697a<br></blockquote><div><br></=
div><div>scroll-conservatively is 0, at least in the core file, and it look=
s like the only mode I use that changes it is jabber-chat-mode which sets i=
t to 5, so either way it shouldn&#39;t reach the path where this change occ=
urred.</div><div>=C2=A0</div><blockquote class=3D"gmail_quote" style=3D"mar=
gin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
=C2=A0 06a872b71d6580e0699600844bb9526602437990<br></blockquote><div><br></=
div><div>Probably not relevant as I was only using X frames. There&#39;s th=
e initial frame created in daemon mode, which has FRAME_VISIBLE_P true but =
FRAME_GARBAGED_P false (also FRAME_TERMCAP_P and FRAME_MSDOS_P false) so it=
 wouldn&#39;t follow that path.</div><div>=C2=A0</div><blockquote class=3D"=
gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-=
left:1ex">
<br>
Maybe you should try reverting these one by one.<br></blockquote><div><br><=
/div><div>I have no reliable way of reproducing the problem, so not hitting=
 another crash once a change is reverted wouldn&#39;t tell me much. Is ther=
e something further I could introduce a check for to see if one of these pa=
tches might be causing the problem?</div><div>=C2=A0</div><blockquote class=
=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padd=
ing-left:1ex">
<br>
It could also happen that the assertions you saw in 25.0.90 are caused<br>
by the same problem that now causes this bug.=C2=A0 Any idea if those<br>
assertions were for the mini-window as well?<br>
</blockquote></div><br></div><div class=3D"gmail_extra">Both assertions in =
.90 were in find_last_row_displaying_text, checking row-&gt;enabled_p. The =
window being examined (next frame up, try_window_id) is the root window of =
its frame. Redisplay is being done during a call to wait_reading_process_ou=
tput. So it doesn&#39;t look very similar.</div></div>

--001a11401ab2a89c20052feca877--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23013; Package emacs. Full text available.

Message received at 23013 <at> debbugs.gnu.org:


Received: (at 23013) by debbugs.gnu.org; 17 Mar 2016 17:07:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 17 13:07:02 2016
Received: from localhost ([127.0.0.1]:51255 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1agbO1-0006oE-TW
	for submit <at> debbugs.gnu.org; Thu, 17 Mar 2016 13:07:02 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39804)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1agbO0-0006nx-Ab
 for 23013 <at> debbugs.gnu.org; Thu, 17 Mar 2016 13:07:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1agbNr-0008HF-Qv
 for 23013 <at> debbugs.gnu.org; Thu, 17 Mar 2016 13:06:54 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:34784)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1agbNr-0008HB-OJ; Thu, 17 Mar 2016 13:06:51 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1953
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1agbNq-0006GU-2L; Thu, 17 Mar 2016 13:06:51 -0400
Date: Thu, 17 Mar 2016 19:06:30 +0200
Message-Id: <838u1h9gq1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ken Raeburn <raeburn@HIDDEN>
In-reply-to: <CAJJWxE-hiU1SAHkRwd-FZ7f5RSkFKhsn5ffhp4EHCXhH6DYdwg@HIDDEN>
 (message from Ken Raeburn on Wed, 16 Mar 2016 15:28:08 -0400)
Subject: Re: bug#23013: 25.0.92; assertion failure on marker outside text
 range in echo area
References: <6e8u1kyguc.fsf@HIDDEN>
 <6e7fh3bm7h.fsf@HIDDEN> <837fh3bljl.fsf@HIDDEN>
 <CAJJWxE-Z5nsz264WX6RPNfq_crY8Kma1y=YkPV+5B3MaoMEn9w@HIDDEN>
 <8337rrbiuh.fsf@HIDDEN>
 <CAJJWxE9_xUORoZ2Xy8iLkwdBXGaa6dQ6YUhJMvX2hP9RbVDMrQ@HIDDEN>
 <83zitya15t.fsf@HIDDEN>
 <CAJJWxE-hiU1SAHkRwd-FZ7f5RSkFKhsn5ffhp4EHCXhH6DYdwg@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 23013
Cc: 23013 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Wed, 16 Mar 2016 15:28:08 -0400
> From: Ken Raeburn <raeburn@HIDDEN>
> Cc: 23013 <at> debbugs.gnu.org
> 
>      Anyway, do you have any explanation for why this started happening
>     now?  Did you switch from an older Emacs version, or changed something
>     in your local system configuration or in the way you invoke Emacs?
>     (I'm trying to establish whether this is an old problem, or something
>     that was caused by recent changes.)
> 
> I switched one week ago to emacs-25.0.92 from emacs-25.0.90, which I'd been running since early or mid February.  I didn't see this problem in .90, though a couple of assertion failures in find_last_row_displaying_text prompted me to pick up the newer snapshot.  Some changes I saw in the log for .92 made me think maybe that had been addressed, so I wasn't planning to report the assertion failure unless I saw it again in the newer snapshot.

I've reviewed the changes between 25.0.90 and 25.0.92.  I see nothing
that could be directly linked to this problem.  The only commits that
might be even remotely related are these 3:

  d82f24ba8530eb8de04a319cc80742a0a953040e
  84829495b5746417f5eaf9be693fb35f0509697a
  06a872b71d6580e0699600844bb9526602437990

Maybe you should try reverting these one by one.

It could also happen that the assertions you saw in 25.0.90 are caused
by the same problem that now causes this bug.  Any idea if those
assertions were for the mini-window as well?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23013; Package emacs. Full text available.

Message received at 23013 <at> debbugs.gnu.org:


Received: (at 23013) by debbugs.gnu.org; 16 Mar 2016 19:28:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 16 15:28:17 2016
Received: from localhost ([127.0.0.1]:50458 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1agH7A-0000it-VT
	for submit <at> debbugs.gnu.org; Wed, 16 Mar 2016 15:28:17 -0400
Received: from mail-lb0-f177.google.com ([209.85.217.177]:36176)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raeburn@HIDDEN>) id 1agH78-0000ig-Lo
 for 23013 <at> debbugs.gnu.org; Wed, 16 Mar 2016 15:28:15 -0400
Received: by mail-lb0-f177.google.com with SMTP id qe11so526204lbc.3
 for <23013 <at> debbugs.gnu.org>; Wed, 16 Mar 2016 12:28:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=permabit.com; s=google;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc; bh=3mdeqYZT2/AopwUctva45jm0nLEc859pv5cEOkWORIQ=;
 b=NKi7wAKFznS2+QJxm5YyN+Ha3lbY3vJ9Szf5WzS15IblbyqLVkt7Ud+rBdLNZAMUob
 P/Ol1fKhaMPLYcUORROgViA0jChIEyWrQFizbrJapEEBQHrFRoNf/V9XjbB695S7z03G
 +72H2iOKxD3z+fdNJKq+rqNba7FsiiR+LPbEs=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc;
 bh=3mdeqYZT2/AopwUctva45jm0nLEc859pv5cEOkWORIQ=;
 b=Hi/bhE2pyPQpzfgAWiEsrYGvq2AgnSaNWI6imX3z+cXPKpdiVJtAtZ4MqSlekaRbIZ
 7TnNg20rNiDXGmUzKQo6q6QqBKL9598sKczQFEVx9DyQmDb00Juo4HQU9RysWnhpxGLr
 /r2hR5ya38zyT/JcEIqLoJmvMSuVsZptHpW7OGP4IJY+FDoTv6UF0mKmIciM6uYdKRwO
 amOoNWUoHsQqGh4l/ZCsCm7NRcqV7/ualPIEJhimst8eOjJcWEcI76Qvd35EmiQVrMoI
 VuQqjwKPVEmuNPOJkbfJGwZ5vd5NQw1y/cK9jWauqL+xG6xhD8+Vyvuj/DSKBNJcosSz
 t09A==
X-Gm-Message-State: AD7BkJLRfFjnSz0N/wdx6UVDJeHMukqmAEt1KEj8+hO6hSER9oamFWKRDa2eGU6Kj4tGyAxSvRHSDNZaX8GmJ+vG
MIME-Version: 1.0
X-Received: by 10.112.55.200 with SMTP id u8mr1141042lbp.51.1458156488909;
 Wed, 16 Mar 2016 12:28:08 -0700 (PDT)
Received: by 10.112.63.72 with HTTP; Wed, 16 Mar 2016 12:28:08 -0700 (PDT)
In-Reply-To: <83zitya15t.fsf@HIDDEN>
References: <6e8u1kyguc.fsf@HIDDEN>
 <6e7fh3bm7h.fsf@HIDDEN> <837fh3bljl.fsf@HIDDEN>
 <CAJJWxE-Z5nsz264WX6RPNfq_crY8Kma1y=YkPV+5B3MaoMEn9w@HIDDEN>
 <8337rrbiuh.fsf@HIDDEN>
 <CAJJWxE9_xUORoZ2Xy8iLkwdBXGaa6dQ6YUhJMvX2hP9RbVDMrQ@HIDDEN>
 <83zitya15t.fsf@HIDDEN>
Date: Wed, 16 Mar 2016 15:28:08 -0400
Message-ID: <CAJJWxE-hiU1SAHkRwd-FZ7f5RSkFKhsn5ffhp4EHCXhH6DYdwg@HIDDEN>
Subject: Re: bug#23013: 25.0.92; assertion failure on marker outside text
 range in echo area
From: Ken Raeburn <raeburn@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=001a1133bad08c79a7052e2f83c6
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23013
Cc: 23013 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a1133bad08c79a7052e2f83c6
Content-Type: text/plain; charset=UTF-8

On Wed, Mar 16, 2016 at 11:32 AM, Eli Zaretskii <eliz@HIDDEN> wrote:

>
> > And as I said, the first time I wasn't killing a buffer. After
> extracting the recent keys from the earlier core file (we don't have a gdb
> macro for this??)
>
> recent_keys is just a vector, what macro besides xvector do you need?
>

A vector used as a ring buffer (so we don't "start" at 0), containing
integers or symbols denoting keys pressed or lists recording events like
switch-frame or commands invoked. Decoding that all at once would be handy,
since I can't use "C-h l" on a core file.

I've got one in the works, now, but it's got some glitches left to work
out. And I'm more interested in getting xbacktrace working again.


>
> > I've confirmed I was switching to an existing shell command output
> buffer.
>
> So in both cases you were inside or leaving the minibuffer, is that
> right?  And the 'mini' flag of the window is set, so it was a
> mini-window.
>

Yes

Anyway, do you have any explanation for why this started happening
> now?  Did you switch from an older Emacs version, or changed something
> in your local system configuration or in the way you invoke Emacs?
> (I'm trying to establish whether this is an old problem, or something
> that was caused by recent changes.)
>

I switched one week ago to emacs-25.0.92 from emacs-25.0.90, which I'd been
running since early or mid February.  I didn't see this problem in .90,
though a couple of assertion failures in find_last_row_displaying_text
prompted me to pick up the newer snapshot.  Some changes I saw in the log
for .92 made me think maybe that had been addressed, so I wasn't planning
to report the assertion failure unless I saw it again in the newer snapshot.

--001a1133bad08c79a7052e2f83c6
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_quote">On W=
ed, Mar 16, 2016 at 11:32 AM, Eli Zaretskii <span dir=3D"ltr">&lt;<a href=
=3D"mailto:eliz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt;</span> wrot=
e:<br><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-l=
eft:1px #ccc solid;padding-left:1ex"><span class=3D""><br>
&gt; And as I said, the first time I wasn&#39;t killing a buffer. After ext=
racting the recent keys from the earlier core file (we don&#39;t have a gdb=
 macro for this??)<br>
<br>
</span>recent_keys is just a vector, what macro besides xvector do you need=
?<br></blockquote><div><br></div><div>A vector used as a ring buffer (so we=
 don&#39;t &quot;start&quot; at 0), containing integers or symbols denoting=
 keys pressed or lists recording events like switch-frame or commands invok=
ed. Decoding that all at once would be handy, since I can&#39;t use &quot;C=
-h l&quot; on a core file.</div><div><br></div><div>I&#39;ve got one in the=
 works, now, but it&#39;s got some glitches left to work out. And I&#39;m m=
ore interested in getting xbacktrace working again.</div><div>=C2=A0</div><=
blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px=
 #ccc solid;padding-left:1ex">
<span class=3D""><br>
&gt; I&#39;ve confirmed I was switching to an existing shell command output=
 buffer.<br>
<br>
</span>So in both cases you were inside or leaving the minibuffer, is that<=
br>
right?=C2=A0 And the &#39;mini&#39; flag of the window is set, so it was a<=
br>
mini-window.<br></blockquote><div><br></div><div>Yes=C2=A0</div><div><br></=
div><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-lef=
t:1px #ccc solid;padding-left:1ex">
Anyway, do you have any explanation for why this started happening<br>
now?=C2=A0 Did you switch from an older Emacs version, or changed something=
<br>
in your local system configuration or in the way you invoke Emacs?<br>
(I&#39;m trying to establish whether this is an old problem, or something<b=
r>
that was caused by recent changes.)<br>
</blockquote></div><br></div><div class=3D"gmail_extra">I switched one week=
 ago to emacs-25.0.92 from emacs-25.0.90, which I&#39;d been running since =
early or mid February.=C2=A0 I didn&#39;t see this problem in .90, though a=
 couple of assertion failures in find_last_row_displaying_text prompted me =
to pick up the newer snapshot.=C2=A0 Some changes I saw in the log for .92 =
made me think maybe that had been addressed, so I wasn&#39;t planning to re=
port the assertion failure unless I saw it again in the newer snapshot.</di=
v></div>

--001a1133bad08c79a7052e2f83c6--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23013; Package emacs. Full text available.

Message received at 23013 <at> debbugs.gnu.org:


Received: (at 23013) by debbugs.gnu.org; 16 Mar 2016 15:33:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 16 11:33:18 2016
Received: from localhost ([127.0.0.1]:50314 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1agDRm-0001nK-Lt
	for submit <at> debbugs.gnu.org; Wed, 16 Mar 2016 11:33:18 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41889)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1agDRl-0001n7-At
 for 23013 <at> debbugs.gnu.org; Wed, 16 Mar 2016 11:33:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1agDRd-0001RF-0q
 for 23013 <at> debbugs.gnu.org; Wed, 16 Mar 2016 11:33:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:34837)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1agDRc-0001R8-TK; Wed, 16 Mar 2016 11:33:08 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1210
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1agDRc-0003gL-3A; Wed, 16 Mar 2016 11:33:08 -0400
Date: Wed, 16 Mar 2016 17:32:46 +0200
Message-Id: <83zitya15t.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ken Raeburn <raeburn@HIDDEN>
In-reply-to: <CAJJWxE9_xUORoZ2Xy8iLkwdBXGaa6dQ6YUhJMvX2hP9RbVDMrQ@HIDDEN>
 (message from Ken Raeburn on Tue, 15 Mar 2016 17:16:33 -0400)
Subject: Re: bug#23013: 25.0.92; assertion failure on marker outside text
 range in echo area
References: <6e8u1kyguc.fsf@HIDDEN>
 <6e7fh3bm7h.fsf@HIDDEN> <837fh3bljl.fsf@HIDDEN>
 <CAJJWxE-Z5nsz264WX6RPNfq_crY8Kma1y=YkPV+5B3MaoMEn9w@HIDDEN>
 <8337rrbiuh.fsf@HIDDEN>
 <CAJJWxE9_xUORoZ2Xy8iLkwdBXGaa6dQ6YUhJMvX2hP9RbVDMrQ@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 23013
Cc: 23013 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

>     Emacs will promptly recreate the echo-area buffers if they are killed.
> 
> As I understand it, that'd be a new buffer, and the one pointed to by the marker would still be dead (name=nil), wouldn't it?

Probably.

> And as I said, the first time I wasn't killing a buffer. After extracting the recent keys from the earlier core file (we don't have a gdb macro for this??)

recent_keys is just a vector, what macro besides xvector do you need?

> I've confirmed I was switching to an existing shell command output buffer.

So in both cases you were inside or leaving the minibuffer, is that
right?  And the 'mini' flag of the window is set, so it was a
mini-window.

Anyway, do you have any explanation for why this started happening
now?  Did you switch from an older Emacs version, or changed something
in your local system configuration or in the way you invoke Emacs?
(I'm trying to establish whether this is an old problem, or something
that was caused by recent changes.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23013; Package emacs. Full text available.

Message received at 23013 <at> debbugs.gnu.org:


Received: (at 23013) by debbugs.gnu.org; 15 Mar 2016 21:16:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 15 17:16:41 2016
Received: from localhost ([127.0.0.1]:49481 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1afwKW-0005d4-SC
	for submit <at> debbugs.gnu.org; Tue, 15 Mar 2016 17:16:41 -0400
Received: from mail-lb0-f181.google.com ([209.85.217.181]:33750)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raeburn@HIDDEN>) id 1afwKV-0005cs-BJ
 for 23013 <at> debbugs.gnu.org; Tue, 15 Mar 2016 17:16:39 -0400
Received: by mail-lb0-f181.google.com with SMTP id oe12so35708767lbc.0
 for <23013 <at> debbugs.gnu.org>; Tue, 15 Mar 2016 14:16:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=permabit.com; s=google;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc; bh=7DljtA8HSuNdKOugHxu8SHNqT76FQY4LnCdjwr0qEZ0=;
 b=T8C+tGphKY6zruUV+uccP0BmQWQGg0IF9kdMD3LJlQr5xclg5Hpf/wDW6DhUls1fvc
 UkGJVv0+JodBp21XpmS49fvopWzY081gJ/sfgxR9V2l5ChR+IrAPw58FNEHxKErCHX/i
 NC0V0mQ5F62P5SHZlVMYayizqKacBlKXbMJBM=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc;
 bh=7DljtA8HSuNdKOugHxu8SHNqT76FQY4LnCdjwr0qEZ0=;
 b=huVITtX8tmHuL+E0TsMJnpErKUwuWriw7tet8petIgn+03LfGluvwa8v/Gc+ztnEft
 2jApRgHeiXmITPpTfZvePdnqT+acDpyAgwiw9ZielhcMLwaAKDEx9dWH5qML7bILoax1
 3YaHHxW3xrl1vYLJmYYwljHPRDvsRpW5ThUcdtq8y3gGob4dHodA4sYrOMbGTN8/IJFj
 tLiYVBy+bZ1t6tCWCf6zMcYRksR2eWQyTXeYJocwd33GyY1v9ULbbm1LEOoV/NnG3EgB
 olU05dZIS3yc2k3AAlP7VknAQUhk5xGoLfrRJRs/sKefdjNgEwP2/IozMM4a9k3tm8Fc
 YeuQ==
X-Gm-Message-State: AD7BkJK+tmRsNDdIDYMI4rlIweb2b0I4/PO/V1TqbGFTdL8YCMkvHj+3Sfak3rdUaxoNbKEZ4JJHPh9onNhDX452
MIME-Version: 1.0
X-Received: by 10.112.63.200 with SMTP id i8mr62664lbs.5.1458076593497; Tue,
 15 Mar 2016 14:16:33 -0700 (PDT)
Received: by 10.112.63.72 with HTTP; Tue, 15 Mar 2016 14:16:33 -0700 (PDT)
In-Reply-To: <8337rrbiuh.fsf@HIDDEN>
References: <6e8u1kyguc.fsf@HIDDEN>
 <6e7fh3bm7h.fsf@HIDDEN> <837fh3bljl.fsf@HIDDEN>
 <CAJJWxE-Z5nsz264WX6RPNfq_crY8Kma1y=YkPV+5B3MaoMEn9w@HIDDEN>
 <8337rrbiuh.fsf@HIDDEN>
Date: Tue, 15 Mar 2016 17:16:33 -0400
Message-ID: <CAJJWxE9_xUORoZ2Xy8iLkwdBXGaa6dQ6YUhJMvX2hP9RbVDMrQ@HIDDEN>
Subject: Re: bug#23013: 25.0.92; assertion failure on marker outside text
 range in echo area
From: Ken Raeburn <raeburn@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=001a11c3efde6941a4052e1ce994
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23013
Cc: 23013 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a11c3efde6941a4052e1ce994
Content-Type: text/plain; charset=UTF-8

On Tue, Mar 15, 2016 at 4:13 PM, Eli Zaretskii <eliz@HIDDEN> wrote:

> > Date: Tue, 15 Mar 2016 15:46:37 -0400
> > From: Ken Raeburn <raeburn@HIDDEN>
> > Cc: 23013 <at> debbugs.gnu.org
> >
> > And the buffer still has a name; killing the buffer sets the name to
> > nil.
>
> Emacs will promptly recreate the echo-area buffers if they are killed.
>

As I understand it, that'd be a new buffer, and the one pointed to by the
marker would still be dead (name=nil), wouldn't it?

And as I said, the first time I wasn't killing a buffer. After extracting
the recent keys from the earlier core file (we don't have a gdb macro for
this??), I've confirmed I was switching to an existing shell command output
buffer.

--001a11c3efde6941a4052e1ce994
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><div class=3D"gmail_extra"><br><div class=3D"gmail_quo=
te">On Tue, Mar 15, 2016 at 4:13 PM, Eli Zaretskii <span dir=3D"ltr">&lt;<a=
 href=3D"mailto:eliz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt;</span>=
 wrote:<br><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;bor=
der-left:1px #ccc solid;padding-left:1ex">&gt; Date: Tue, 15 Mar 2016 15:46=
:37 -0400<br>
&gt; From: Ken Raeburn &lt;<a href=3D"mailto:raeburn@HIDDEN">raeburn@=
permabit.com</a>&gt;<br>
&gt; Cc: <a href=3D"mailto:23013 <at> debbugs.gnu.org">23013 <at> debbugs.gnu.org</a>=
<br>
<span class=3D"">&gt;<br>
&gt; And the buffer still has a name; killing the buffer sets the name to<b=
r>
&gt; nil.<br>
<br>
</span>Emacs will promptly recreate the echo-area buffers if they are kille=
d.<br>
</blockquote></div><br></div><div class=3D"gmail_extra">As I understand it,=
 that&#39;d be a new buffer, and the one pointed to by the marker would sti=
ll be dead (name=3Dnil), wouldn&#39;t it?</div><div class=3D"gmail_extra"><=
br></div><div class=3D"gmail_extra">And as I said, the first time I wasn&#3=
9;t killing a buffer. After extracting the recent keys from the earlier cor=
e file (we don&#39;t have a gdb macro for this??), I&#39;ve confirmed I was=
 switching to an existing shell command output buffer.</div></div>

--001a11c3efde6941a4052e1ce994--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23013; Package emacs. Full text available.

Message received at 23013 <at> debbugs.gnu.org:


Received: (at 23013) by debbugs.gnu.org; 15 Mar 2016 20:13:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 15 16:13:45 2016
Received: from localhost ([127.0.0.1]:49427 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1afvLc-00045p-Ql
	for submit <at> debbugs.gnu.org; Tue, 15 Mar 2016 16:13:45 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49733)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1afvLb-00045d-7U
 for 23013 <at> debbugs.gnu.org; Tue, 15 Mar 2016 16:13:43 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1afvLS-00020u-Ql
 for 23013 <at> debbugs.gnu.org; Tue, 15 Mar 2016 16:13:37 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42234)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1afvLS-00020p-O0; Tue, 15 Mar 2016 16:13:34 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4253
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1afvLR-0001VJ-VV; Tue, 15 Mar 2016 16:13:34 -0400
Date: Tue, 15 Mar 2016 22:13:10 +0200
Message-Id: <8337rrbiuh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ken Raeburn <raeburn@HIDDEN>
In-reply-to: <CAJJWxE-Z5nsz264WX6RPNfq_crY8Kma1y=YkPV+5B3MaoMEn9w@HIDDEN>
 (message from Ken Raeburn on Tue, 15 Mar 2016 15:46:37 -0400)
Subject: Re: bug#23013: 25.0.92; assertion failure on marker outside text
 range in echo area
References: <6e8u1kyguc.fsf@HIDDEN>
 <6e7fh3bm7h.fsf@HIDDEN> <837fh3bljl.fsf@HIDDEN>
 <CAJJWxE-Z5nsz264WX6RPNfq_crY8Kma1y=YkPV+5B3MaoMEn9w@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 23013
Cc: 23013 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Tue, 15 Mar 2016 15:46:37 -0400
> From: Ken Raeburn <raeburn@HIDDEN>
> Cc: 23013 <at> debbugs.gnu.org
> 
> And the buffer still has a name; killing the buffer sets the name to
> nil.

Emacs will promptly recreate the echo-area buffers if they are killed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23013; Package emacs. Full text available.

Message received at 23013 <at> debbugs.gnu.org:


Received: (at 23013) by debbugs.gnu.org; 15 Mar 2016 19:46:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 15 15:46:45 2016
Received: from localhost ([127.0.0.1]:49418 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1afuvV-0003Qn-A8
	for submit <at> debbugs.gnu.org; Tue, 15 Mar 2016 15:46:45 -0400
Received: from mail-lf0-f46.google.com ([209.85.215.46]:36051)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raeburn@HIDDEN>) id 1afuvT-0003Qa-Gi
 for 23013 <at> debbugs.gnu.org; Tue, 15 Mar 2016 15:46:43 -0400
Received: by mail-lf0-f46.google.com with SMTP id l83so3595218lfd.3
 for <23013 <at> debbugs.gnu.org>; Tue, 15 Mar 2016 12:46:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=permabit.com; s=google;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc; bh=Qujv6noszDB7cmGJU1P6MreRGfb4QboHnhqM1waFy4s=;
 b=TXqG7tkbdxv6nM6jnBcTy4Dj2O3ERcmIBxemLQX7F6yIQBzeznj3YHULAQW/5mhNMH
 BY5hbq3lk+1tebClTvF2MybaBa8ZVEr2nmUYRlHtkz3mB4iL10zPKa2krbsKmy9todZs
 991B6o9rhQ2Yebd6Dmc1GESdeOjCpmB7N/gbs=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc;
 bh=Qujv6noszDB7cmGJU1P6MreRGfb4QboHnhqM1waFy4s=;
 b=PcHnOtPNrzDqVMQ/P39Pzda/95j5DFBioLFlK6F9EqumyQ6XRM+zG1XqG6QvcnW+Xp
 /j099pXYuuAQAcYwMNRH5Ku5ta9Hkv8GTHP75KMMMBRq4Azdpy/XnaTOlxWNDs1UxnkP
 /gyzwJlKvYa8DbeZEvhXnFhvm7jiA027QCAmP1SUQ5oO0jUgFPYhCerLIrhhWp/beZWB
 Kjmdd6t7yj0NNb5/zHRCsFZVocUMIYpcf6JzN3zCapP4SY686sOj1ClZ+seFJd/lPDmt
 P3aQRR2sgyqypY3IpvCqBwlJOCziLu4nMQe4NJ59rRT1k7bFx+96EypLJV6IerZQVqLm
 mb5g==
X-Gm-Message-State: AD7BkJISgJwbGJhBz4CaTWN17RSll6MH32fuxCWH+kyoNZWcpWR4ei7C1xuP91KudmXOcReIcoDGin3uEAOPZNk8
MIME-Version: 1.0
X-Received: by 10.25.27.200 with SMTP id b191mr1792974lfb.8.1458071197755;
 Tue, 15 Mar 2016 12:46:37 -0700 (PDT)
Received: by 10.112.63.72 with HTTP; Tue, 15 Mar 2016 12:46:37 -0700 (PDT)
In-Reply-To: <837fh3bljl.fsf@HIDDEN>
References: <6e8u1kyguc.fsf@HIDDEN>
 <6e7fh3bm7h.fsf@HIDDEN> <837fh3bljl.fsf@HIDDEN>
Date: Tue, 15 Mar 2016 15:46:37 -0400
Message-ID: <CAJJWxE-Z5nsz264WX6RPNfq_crY8Kma1y=YkPV+5B3MaoMEn9w@HIDDEN>
Subject: Re: bug#23013: 25.0.92; assertion failure on marker outside text
 range in echo area
From: Ken Raeburn <raeburn@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=001a11402c48ccc35d052e1ba7ff
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23013
Cc: 23013 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a11402c48ccc35d052e1ba7ff
Content-Type: text/plain; charset=UTF-8

On Tue, Mar 15, 2016 at 3:14 PM, Eli Zaretskii <eliz@HIDDEN> wrote:

>
> Could it be that one of the buffers you killed was an echo-area
> buffer?
>

It shouldn't be, there's no file name associated with them AFAIK. And the
buffer still has a name; killing the buffer sets the name to nil. The first
time I hit this crash, I wasn't even using this function.

--001a11402c48ccc35d052e1ba7ff
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_quote">On T=
ue, Mar 15, 2016 at 3:14 PM, Eli Zaretskii <span dir=3D"ltr">&lt;<a href=3D=
"mailto:eliz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt;</span> wrote:<=
br><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left=
:1px #ccc solid;padding-left:1ex"><span class=3D""><br>
</span>Could it be that one of the buffers you killed was an echo-area<br>
buffer?<br>
</blockquote></div><br></div><div class=3D"gmail_extra">It shouldn&#39;t be=
, there&#39;s no file name associated with them AFAIK. And the buffer still=
 has a name; killing the buffer sets the name to nil. The first time I hit =
this crash, I wasn&#39;t even using this function.</div></div>

--001a11402c48ccc35d052e1ba7ff--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23013; Package emacs. Full text available.

Message received at 23013 <at> debbugs.gnu.org:


Received: (at 23013) by debbugs.gnu.org; 15 Mar 2016 19:15:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 15 15:15:32 2016
Received: from localhost ([127.0.0.1]:49390 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1afuRI-0002f2-83
	for submit <at> debbugs.gnu.org; Tue, 15 Mar 2016 15:15:32 -0400
Received: from eggs.gnu.org ([208.118.235.92]:35048)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1afuRG-0002ep-Bd
 for 23013 <at> debbugs.gnu.org; Tue, 15 Mar 2016 15:15:30 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1afuR8-000409-4a
 for 23013 <at> debbugs.gnu.org; Tue, 15 Mar 2016 15:15:25 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:41210)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1afuR8-000405-1P; Tue, 15 Mar 2016 15:15:22 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4170
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1afuR4-0001Ts-5q; Tue, 15 Mar 2016 15:15:21 -0400
Date: Tue, 15 Mar 2016 21:14:54 +0200
Message-Id: <837fh3bljl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ken Raeburn <raeburn@HIDDEN>
In-reply-to: <6e7fh3bm7h.fsf@HIDDEN> (message from Ken
 Raeburn on Tue, 15 Mar 2016 15:00:34 -0400)
Subject: Re: bug#23013: 25.0.92;
 assertion failure on marker outside text range in echo area
References: <6e8u1kyguc.fsf@HIDDEN>
 <6e7fh3bm7h.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 23013
Cc: 23013 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Ken Raeburn <raeburn@HIDDEN>
> Date: Tue, 15 Mar 2016 15:00:34 -0400
> 
> 
> I had several X11 frames open, most local and one remote. In a local
> window I was invoking this function, which kills a set of buffers based
> on their file names:
> 
>   (defun kill-buffers-under (dir)
>     (interactive "GKill buffers under directory: ")
>     (setq dir (file-name-as-directory (expand-file-name dir)))
>     (mapc (lambda (b)
>             (let ((file-name (buffer-file-name b)))
>               (if (and file-name
>                        (same-or-parent-dir-p (file-name-directory file-name)
>                                              dir))
>                   (kill-buffer b))))
>           (buffer-list)))
> 
> I entered the directory name in the minibuffer, after I hit return,
> Emacs crashed. Once again, redisplay_window is calling marker_position,
> on a marker with position 9 in an empty echo-area buffer.

Could it be that one of the buffers you killed was an echo-area
buffer?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23013; Package emacs. Full text available.

Message received at 23013 <at> debbugs.gnu.org:


Received: (at 23013) by debbugs.gnu.org; 15 Mar 2016 19:00:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 15 15:00:46 2016
Received: from localhost ([127.0.0.1]:49381 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1afuCy-0002Gr-Sk
	for submit <at> debbugs.gnu.org; Tue, 15 Mar 2016 15:00:46 -0400
Received: from mail-qg0-f43.google.com ([209.85.192.43]:34244)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raeburn@HIDDEN>) id 1afuCw-0002Ge-NY
 for 23013 <at> debbugs.gnu.org; Tue, 15 Mar 2016 15:00:44 -0400
Received: by mail-qg0-f43.google.com with SMTP id w104so23063333qge.1
 for <23013 <at> debbugs.gnu.org>; Tue, 15 Mar 2016 12:00:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=permabit.com; s=google;
 h=from:to:subject:references:date:in-reply-to:message-id:user-agent
 :mime-version:content-transfer-encoding;
 bh=Q+m0MNMAd92RlmIphFBIuXKaJCZ+g2TPkcE/ZN6aR20=;
 b=Z3de3LciDCBi2xJ9AWe4tijwYg2FBuUKB8NdcyFmSs16b+xcTuMnrWQDr/JzrLLwKP
 9l7l5Gc/G/5iTjEFBwEFTD8qjCY1pNjiX3S4ga9lRUIXGbZYAufxMdsy7m4TiKhXYRog
 G2dN2biPZdelO+pcFtQihNHhAoWQCaiP8rjHk=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=Q+m0MNMAd92RlmIphFBIuXKaJCZ+g2TPkcE/ZN6aR20=;
 b=ZcXRcdYSTc/sgRJEB8aAFt/GdkGmYXB5EplejYDpMTHyUfD8qs2R5DVniD5Iazsdan
 3rwfFkVP/mO/pYczRcA7/ncEIQZ9ZDiKKEMkd/4/RM5iCIHwednsga11dWRppUpOpCxP
 huRQBVLCzUcQZjZAdaOtpdfVUGoqrD3Y3SyVpIvhgmSHFtf/0WTMUaCqO1pLkWQSZZqi
 D4JZ6Ekk6TGPP/sFn+WNTppA/957voQWlIYXcQDVw8ptzoTWhExHfiCRAbuwTkqPQzqm
 uW9IT4u2rWKVokYm6HFv22yK34PbKIl3tm/41necbD11TyRE2t8Isbh1K9t3pyTILXlg
 91zg==
X-Gm-Message-State: AD7BkJI3sXjMLzvpOUI8n2zYRoQ1XyabUBGT057WkvS/XydQj6M7DXf5Avptrq37R3YKhkOA
X-Received: by 10.140.140.196 with SMTP id 187mr41338996qhm.29.1458068437112; 
 Tue, 15 Mar 2016 12:00:37 -0700 (PDT)
Received: from just-testing.permabit.com (vpn.permabit.com. [66.202.84.2])
 by smtp.gmail.com with ESMTPSA id z203sm13229597qhd.32.2016.03.15.12.00.35
 (version=TLSv1/SSLv3 cipher=OTHER);
 Tue, 15 Mar 2016 12:00:35 -0700 (PDT)
From: Ken Raeburn <raeburn@HIDDEN>
To: 23013 <at> debbugs.gnu.org
Subject: Re: bug#23013: 25.0.92;
 assertion failure on marker outside text range in echo area
References: <6e8u1kyguc.fsf@HIDDEN>
Date: Tue, 15 Mar 2016 15:00:34 -0400
In-Reply-To: <6e8u1kyguc.fsf@HIDDEN> (Ken Raeburn's message
 of "Mon, 14 Mar 2016 15:55:39 -0400")
Message-ID: <6e7fh3bm7h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  I wrote: > I was using Emacs remotely via emacsclient when
 I lost my ssh session > due to a network problem. After the network came
 back, I logged in > again and used emacsclient to get another window. I was
 going to switch > to a file to resume my work (switch-to-buffer, I think,
 but possibly > find-file) when Emacs crashed. > > The stack trace seems to
 indicate it was examining a marker that had a > position of 40 in buffer
 " *Echo Area 0*" which is empty,
 making 40 out > of range. The marker is associated
 with a window in the remote frame I > had just started up. [...] 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [209.85.192.43 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.192.43 listed in wl.mailspike.net]
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
 0.0 FILL_THIS_FORM         Fill in a form with personal information
 2.2 FILL_THIS_FORM_LOAN    Answer loan question(s)
X-Debbugs-Envelope-To: 23013
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  I wrote: > I was using Emacs remotely via emacsclient when
    I lost my ssh session > due to a network problem. After the network came
   back, I logged in > again and used emacsclient to get another window. I was
    going to switch > to a file to resume my work (switch-to-buffer, I think,
    but possibly > find-file) when Emacs crashed. > > The stack trace seems to
    indicate it was examining a marker that had a > position of 40 in buffer
   " *Echo Area 0*" which is empty, making 40 out > of range. The marker is associated
    with a window in the remote frame I > had just started up. [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.192.43 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [209.85.192.43 listed in list.dnswl.org]
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
  2.2 FILL_THIS_FORM_LOAN    Answer loan question(s)


I wrote:

> I was using Emacs remotely via emacsclient when I lost my ssh session
> due to a network problem.  After the network came back, I logged in
> again and used emacsclient to get another window. I was going to switch
> to a file to resume my work (switch-to-buffer, I think, but possibly
> find-file) when Emacs crashed.
>
> The stack trace seems to indicate it was examining a marker that had a
> position of 40 in buffer " *Echo Area 0*" which is empty, making 40 out
> of range.  The marker is associated with a window in the remote frame I
> had just started up.


This just happened to me again.

I had several X11 frames open, most local and one remote. In a local
window I was invoking this function, which kills a set of buffers based
on their file names:

  (defun kill-buffers-under (dir)
    (interactive "GKill buffers under directory: ")
    (setq dir (file-name-as-directory (expand-file-name dir)))
    (mapc (lambda (b)
            (let ((file-name (buffer-file-name b)))
              (if (and file-name
                       (same-or-parent-dir-p (file-name-directory file-name)
                                             dir))
                  (kill-buffer b))))
          (buffer-list)))

I entered the directory name in the minibuffer, after I hit return,
Emacs crashed. Once again, redisplay_window is calling marker_position,
on a marker with position 9 in an empty echo-area buffer.

The "xbacktrace" command doesn't work on a core file, of course, but
manually walking the pdl stack I get:

"redisplay_internal (C function)"
"redisplay"
"sit-for"
"execute-extended-command"
"funcall-interactively"
"call-interactively"
"command-execute"




(gdb) thr app all bt full

Thread 4 (Thread 0x7f7f46b16700 (LWP 15756)):
#0  0x00007f7f534079d3 in __GI___poll (fds=3D<optimized out>, nfds=3D<optim=
ized out>, timeout=3D<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:=
87
        resultvar =3D <optimized out>
        oldtype =3D 0
        result =3D <optimized out>
#1  0x00007f7f55e87ff6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#2  0x00007f7f55e8845a in g_main_loop_run () from /lib/x86_64-linux-gnu/lib=
glib-2.0.so.0
No symbol table info available.
#3  0x00007f7f5666d5e6 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.s=
o.0
No symbol table info available.
#4  0x00007f7f55ea99b5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#5  0x00007f7f54e3ee9a in start_thread (arg=3D0x7f7f46b16700) at pthread_cr=
eate.c:308
        __res =3D <optimized out>
        pd =3D 0x7f7f46b16700
        now =3D <optimized out>
        unwind_buf =3D {
          cancel_jmp_buf =3D {{
              jmp_buf =3D {0, -618103265982450701, 140184724387952, 1401846=
23606208, 0, 3, 689757969675154419, 689797987309417459},=20
              mask_was_saved =3D 0
            }},=20
          priv =3D {
            pad =3D {0x0, 0x0, 0x0, 0x0},=20
            data =3D {
              prev =3D 0x0,=20
              cleanup =3D 0x0,=20
              canceltype =3D 0
            }
          }
        }
        not_first_call =3D 0
        pagesize_m1 =3D <optimized out>
        sp =3D <optimized out>
        freesize =3D <optimized out>
        __PRETTY_FUNCTION__ =3D "start_thread"
#6  0x00007f7f5341338d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clo=
ne.S:112
No locals.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 3 (Thread 0x7f7f4eef8700 (LWP 15558)):
#0  0x00007f7f534079d3 in __GI___poll (fds=3D<optimized out>, nfds=3D<optim=
ized out>, timeout=3D<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:=
87
        resultvar =3D <optimized out>
        oldtype =3D 0
        result =3D <optimized out>
#1  0x00007f7f55e87ff6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#2  0x00007f7f55e88124 in g_main_context_iteration () from /lib/x86_64-linu=
x-gnu/libglib-2.0.so.0
No symbol table info available.
#3  0x00007f7f55e88171 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#4  0x00007f7f55ea99b5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#5  0x00007f7f54e3ee9a in start_thread (arg=3D0x7f7f4eef8700) at pthread_cr=
eate.c:308
        __res =3D <optimized out>
        pd =3D 0x7f7f4eef8700
        now =3D <optimized out>
        unwind_buf =3D {
          cancel_jmp_buf =3D {{
              jmp_buf =3D {0, -618103265982450701, 140727119785728, 1401847=
61895360, 0, 3, 689775889352455155, 689797987309417459},=20
              mask_was_saved =3D 0
            }},=20
          priv =3D {
            pad =3D {0x0, 0x0, 0x0, 0x0},=20
            data =3D {
              prev =3D 0x0,=20
              cleanup =3D 0x0,=20
              canceltype =3D 0
            }
          }
        }
        not_first_call =3D 0
        pagesize_m1 =3D <optimized out>
        sp =3D <optimized out>
        freesize =3D <optimized out>
        __PRETTY_FUNCTION__ =3D "start_thread"
#6  0x00007f7f5341338d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clo=
ne.S:112
No locals.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 2 (Thread 0x7f7f4cb34700 (LWP 15755)):
#0  0x00007f7f534079d3 in __GI___poll (fds=3D<optimized out>, nfds=3D<optim=
ized out>, timeout=3D<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:=
87
        resultvar =3D <optimized out>
        oldtype =3D 0
        result =3D <optimized out>
#1  0x00007f7f55e87ff6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#2  0x00007f7f55e8845a in g_main_loop_run () from /lib/x86_64-linux-gnu/lib=
glib-2.0.so.0
No symbol table info available.
#3  0x00007f7f4cb3998b in ?? () from /usr/lib/x86_64-linux-gnu/gio/modules/=
libdconfsettings.so
No symbol table info available.
#4  0x00007f7f55ea99b5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#5  0x00007f7f54e3ee9a in start_thread (arg=3D0x7f7f4cb34700) at pthread_cr=
eate.c:308
        __res =3D <optimized out>
        pd =3D 0x7f7f4cb34700
        now =3D <optimized out>
        unwind_buf =3D {
          cancel_jmp_buf =3D {{
              jmp_buf =3D {0, -618103265982450701, 140727119772160, 1401847=
24392384, 0, 3, 689779980308804595, 689797987309417459},=20
              mask_was_saved =3D 0
            }},=20
          priv =3D {
            pad =3D {0x0, 0x0, 0x0, 0x0},=20
            data =3D {
              prev =3D 0x0,=20
              cleanup =3D 0x0,=20
              canceltype =3D 0
            }
          }
        }
        not_first_call =3D 0
        pagesize_m1 =3D <optimized out>
        sp =3D <optimized out>
        freesize =3D <optimized out>
        __PRETTY_FUNCTION__ =3D "start_thread"
#6  0x00007f7f5341338d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clo=
ne.S:112
No locals.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (Thread 0x7f7f59172a00 (LWP 15556)):
#0  0x00007f7f54e46b7b in raise (sig=3D<optimized out>) at ../nptl/sysdeps/=
unix/sysv/linux/pt-raise.c:42
        resultvar =3D 0
        pid =3D <optimized out>
#1  0x000000000052cfe8 in terminate_due_to_signal (sig=3D6, backtrace_limit=
=3D2147483647) at ../../src/emacs.c:380
No locals.
#2  0x0000000000598fa4 in die (msg=3D<optimized out>, file=3D<optimized out=
>, line=3D<optimized out>) at ../../src/alloc.c:7220
No locals.
#3  0x00000000005623b4 in marker_position (marker=3D<optimized out>) at ../=
../src/marker.c:640
        buf =3D <optimized out>
#4  0x000000000047909a in redisplay_window (window=3D90266293, just_this_on=
e_p=3Dfalse) at ../../src/xdisp.c:16231
        new_pt =3D <optimized out>
        new_pt_byte =3D <optimized out>
        w =3D 0x5615ab0
        f =3D 0x5611b98
        buffer =3D 0x1
        old =3D 0x78a1140
        lpoint =3D {
          charpos =3D 2665,=20
          bytepos =3D 2665
        }
        opoint =3D {
          charpos =3D 1,=20
          bytepos =3D 1
        }
        startp =3D <optimized out>
        update_mode_line =3D true
        tem =3D 1056964608
        it =3D {
          window =3D 2358,=20
          w =3D 0xbae,=20
          f =3D 0x0,=20
          method =3D GET_FROM_BUFFER,=20
          stop_charpos =3D 0,=20
          prev_stop =3D 1,=20
          base_level_stop =3D 0,=20
          end_charpos =3D 0,=20
          s =3D 0x0,=20
          string_nchars =3D 0,=20
          redisplay_end_trigger_charpos =3D 0,=20
          multibyte_p =3D false,=20
          header_line_p =3D false,=20
          string_from_display_prop_p =3D false,=20
          string_from_prefix_prop_p =3D false,=20
          from_disp_prop_p =3D false,=20
          ellipsis_p =3D false,=20
          avoid_cursor_p =3D false,=20
          dp =3D 0x0,=20
          dpvec =3D 0x0,=20
          dpend =3D 0x0,=20
          dpvec_char_len =3D 0,=20
          dpvec_face_id =3D 0,=20
          saved_face_id =3D 0,=20
          ctl_chars =3D {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2665, 2665, -1, -1, =
-1, 4294967295},=20
          start =3D {
            pos =3D {
              charpos =3D 2358,=20
              bytepos =3D 2358
            },=20
            overlay_string_index =3D -1,=20
            string_pos =3D {
              charpos =3D -1,=20
              bytepos =3D -1
            },=20
            dpvec_index =3D -1
          },=20
          current =3D {
            pos =3D {
              charpos =3D 0,=20
              bytepos =3D 2665
            },=20
            overlay_string_index =3D 0,=20
            string_pos =3D {
              charpos =3D 0,=20
              bytepos =3D 0
            },=20
            dpvec_index =3D 0
          },=20
          n_overlay_strings =3D 0,=20
          overlay_strings_charpos =3D 0,=20
          overlay_strings =3D {0 <repeats 16 times>},=20
          string_overlays =3D {0 <repeats 16 times>},=20
          string =3D 0,=20
          from_overlay =3D 0,=20
          stack =3D {{
              string =3D 0,=20
              string_nchars =3D 0,=20
              end_charpos =3D 0,=20
              stop_charpos =3D 0,=20
              prev_stop =3D 0,=20
              base_level_stop =3D 0,=20
              cmp_it =3D {
                stop_pos =3D 0,=20
                id =3D 0,=20
                ch =3D 0,=20
                rule_idx =3D 0,=20
                lookback =3D 0,=20
                nglyphs =3D 0,=20
                reversed_p =3D false,=20
                charpos =3D 0,=20
                nchars =3D 0,=20
                nbytes =3D 0,=20
                from =3D 0,=20
                to =3D 0,=20
                width =3D 0
              },=20
              face_id =3D 0,=20
              u =3D {
                image =3D {
                  object =3D 0,=20
                  slice =3D {
                    x =3D 0,=20
                    y =3D 0,=20
                    width =3D 0,=20
                    height =3D 0
                  },=20
                  image_id =3D 0
                },=20
                stretch =3D {
                  object =3D 0
                },=20
                xwidget =3D {
                  object =3D 0
                }
              },=20
              position =3D {
                charpos =3D 0,=20
                bytepos =3D 0
              },=20
              current =3D {
                pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                overlay_string_index =3D 0,=20
                string_pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                dpvec_index =3D 0
              },=20
              from_overlay =3D 0,=20
              area =3D LEFT_MARGIN_AREA,=20
              method =3D GET_FROM_BUFFER,=20
              paragraph_embedding =3D NEUTRAL_DIR,=20
              multibyte_p =3D false,=20
              string_from_display_prop_p =3D false,=20
              string_from_prefix_prop_p =3D false,=20
              display_ellipsis_p =3D false,=20
              avoid_cursor_p =3D false,=20
              bidi_p =3D false,=20
              from_disp_prop_p =3D false,=20
              line_wrap =3D TRUNCATE,=20
              voffset =3D 0,=20
              space_width =3D 0,=20
              font_height =3D 0
            }, {
              string =3D 0,=20
              string_nchars =3D 0,=20
              end_charpos =3D 0,=20
              stop_charpos =3D 0,=20
              prev_stop =3D 0,=20
              base_level_stop =3D 0,=20
              cmp_it =3D {
                stop_pos =3D 0,=20
                id =3D 0,=20
                ch =3D 0,=20
                rule_idx =3D 0,=20
                lookback =3D 0,=20
                nglyphs =3D 0,=20
                reversed_p =3D false,=20
                charpos =3D 0,=20
                nchars =3D 0,=20
                nbytes =3D 0,=20
                from =3D 0,=20
                to =3D 0,=20
                width =3D 0
              },=20
              face_id =3D 0,=20
              u =3D {
                image =3D {
                  object =3D 0,=20
                  slice =3D {
                    x =3D 0,=20
                    y =3D 0,=20
                    width =3D 0,=20
                    height =3D 0
                  },=20
                  image_id =3D 0
                },=20
                stretch =3D {
                  object =3D 0
                },=20
                xwidget =3D {
                  object =3D 0
                }
              },=20
              position =3D {
                charpos =3D 0,=20
                bytepos =3D 0
              },=20
              current =3D {
                pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                overlay_string_index =3D 0,=20
                string_pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                dpvec_index =3D 0
              },=20
              from_overlay =3D 0,=20
              area =3D LEFT_MARGIN_AREA,=20
              method =3D GET_FROM_BUFFER,=20
              paragraph_embedding =3D NEUTRAL_DIR,=20
              multibyte_p =3D false,=20
              string_from_display_prop_p =3D false,=20
              string_from_prefix_prop_p =3D false,=20
              display_ellipsis_p =3D false,=20
              avoid_cursor_p =3D false,=20
              bidi_p =3D false,=20
              from_disp_prop_p =3D false,=20
              line_wrap =3D TRUNCATE,=20
              voffset =3D 0,=20
              space_width =3D 0,=20
              font_height =3D 0
            }, {
              string =3D 0,=20
              string_nchars =3D 0,=20
              end_charpos =3D 0,=20
              stop_charpos =3D 0,=20
              prev_stop =3D 0,=20
              base_level_stop =3D 0,=20
              cmp_it =3D {
                stop_pos =3D 0,=20
                id =3D 0,=20
                ch =3D 0,=20
                rule_idx =3D 0,=20
                lookback =3D 0,=20
                nglyphs =3D 0,=20
                reversed_p =3D false,=20
                charpos =3D 0,=20
                nchars =3D 0,=20
                nbytes =3D 0,=20
                from =3D 0,=20
                to =3D 0,=20
                width =3D 0
              },=20
              face_id =3D 0,=20
              u =3D {
                image =3D {
                  object =3D 0,=20
                  slice =3D {
                    x =3D 0,=20
                    y =3D 0,=20
                    width =3D 0,=20
                    height =3D 0
                  },=20
                  image_id =3D 0
                },=20
                stretch =3D {
                  object =3D 0
                },=20
                xwidget =3D {
                  object =3D 0
                }
              },=20
              position =3D {
                charpos =3D 0,=20
                bytepos =3D 0
              },=20
              current =3D {
                pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                overlay_string_index =3D 0,=20
                string_pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                dpvec_index =3D 0
              },=20
              from_overlay =3D 0,=20
              area =3D LEFT_MARGIN_AREA,=20
              method =3D GET_FROM_BUFFER,=20
              paragraph_embedding =3D NEUTRAL_DIR,=20
              multibyte_p =3D false,=20
              string_from_display_prop_p =3D false,=20
              string_from_prefix_prop_p =3D false,=20
              display_ellipsis_p =3D false,=20
              avoid_cursor_p =3D false,=20
              bidi_p =3D false,=20
              from_disp_prop_p =3D false,=20
              line_wrap =3D TRUNCATE,=20
              voffset =3D 0,=20
              space_width =3D 0,=20
              font_height =3D 0
            }, {
              string =3D 0,=20
              string_nchars =3D 0,=20
              end_charpos =3D 0,=20
              stop_charpos =3D 0,=20
              prev_stop =3D 0,=20
              base_level_stop =3D 0,=20
              cmp_it =3D {
                stop_pos =3D 0,=20
                id =3D 0,=20
                ch =3D 0,=20
                rule_idx =3D 0,=20
                lookback =3D 0,=20
                nglyphs =3D 0,=20
                reversed_p =3D false,=20
                charpos =3D 0,=20
                nchars =3D 0,=20
                nbytes =3D 0,=20
                from =3D 0,=20
                to =3D 0,=20
                width =3D 0
              },=20
              face_id =3D 0,=20
              u =3D {
                image =3D {
                  object =3D 0,=20
                  slice =3D {
                    x =3D 0,=20
                    y =3D 0,=20
                    width =3D 0,=20
                    height =3D 0
                  },=20
                  image_id =3D 0
                },=20
                stretch =3D {
                  object =3D 0
                },=20
                xwidget =3D {
                  object =3D 0
                }
              },=20
              position =3D {
                charpos =3D 0,=20
                bytepos =3D 0
              },=20
              current =3D {
                pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                overlay_string_index =3D 0,=20
                string_pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                dpvec_index =3D 0
              },=20
              from_overlay =3D 0,=20
              area =3D LEFT_MARGIN_AREA,=20
              method =3D GET_FROM_BUFFER,=20
              paragraph_embedding =3D NEUTRAL_DIR,=20
              multibyte_p =3D false,=20
              string_from_display_prop_p =3D false,=20
              string_from_prefix_prop_p =3D false,=20
              display_ellipsis_p =3D false,=20
              avoid_cursor_p =3D false,=20
              bidi_p =3D false,=20
              from_disp_prop_p =3D false,=20
              line_wrap =3D TRUNCATE,=20
              voffset =3D 0,=20
              space_width =3D 0,=20
              font_height =3D 0
            }, {
              string =3D 0,=20
              string_nchars =3D 0,=20
              end_charpos =3D 0,=20
              stop_charpos =3D 0,=20
              prev_stop =3D 0,=20
              base_level_stop =3D 0,=20
              cmp_it =3D {
                stop_pos =3D 0,=20
                id =3D 0,=20
                ch =3D 0,=20
                rule_idx =3D 0,=20
                lookback =3D 0,=20
                nglyphs =3D 0,=20
                reversed_p =3D false,=20
                charpos =3D 0,=20
                nchars =3D 0,=20
                nbytes =3D 0,=20
                from =3D 0,=20
                to =3D 0,=20
                width =3D 0
              },=20
              face_id =3D 0,=20
              u =3D {
                image =3D {
                  object =3D 0,=20
                  slice =3D {
                    x =3D 0,=20
                    y =3D 0,=20
                    width =3D 0,=20
                    height =3D 0
                  },=20
                  image_id =3D 0
                },=20
                stretch =3D {
                  object =3D 0
                },=20
                xwidget =3D {
                  object =3D 0
                }
              },=20
              position =3D {
                charpos =3D 0,=20
                bytepos =3D 0
              },=20
              current =3D {
                pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                overlay_string_index =3D 0,=20
                string_pos =3D {
                  charpos =3D 0,=20
                  bytepos =3D 0
                },=20
                dpvec_index =3D 0
              },=20
              from_overlay =3D 0,=20
              area =3D LEFT_MARGIN_AREA,=20
              method =3D GET_FROM_BUFFER,=20
              paragraph_embedding =3D NEUTRAL_DIR,=20
              multibyte_p =3D true,=20
              string_from_display_prop_p =3D false,=20
              string_from_prefix_prop_p =3D false,=20
              display_ellipsis_p =3D false,=20
              avoid_cursor_p =3D false,=20
              bidi_p =3D true,=20
              from_disp_prop_p =3D false,=20
              line_wrap =3D 3,=20
              voffset =3D 2,=20
              space_width =3D 266287972352,=20
              font_height =3D 0
            }},=20
          sp =3D 2732,=20
          selective =3D -1,=20
          what =3D 4294967294,=20
          face_id =3D 0,=20
          selective_display_ellipsis_p =3D false,=20
          ctl_arrow_p =3D false,=20
          face_box_p =3D false,=20
          start_of_box_run_p =3D false,=20
          end_of_box_run_p =3D false,=20
          overlay_strings_at_end_processed_p =3D false,=20
          ignore_overlay_strings_at_pos_p =3D false,=20
          glyph_not_available_p =3D false,=20
          starts_in_middle_of_char_p =3D false,=20
          face_before_selective_p =3D false,=20
          constrain_row_ascent_descent_p =3D false,=20
          line_wrap =3D TRUNCATE,=20
          base_face_id =3D 0,=20
          c =3D 0,=20
          len =3D 0,=20
          cmp_it =3D {
            stop_pos =3D 0,=20
            id =3D 0,=20
            ch =3D 0,=20
            rule_idx =3D 0,=20
            lookback =3D 0,=20
            nglyphs =3D 0,=20
            reversed_p =3D false,=20
            charpos =3D 0,=20
            nchars =3D 0,=20
            nbytes =3D 0,=20
            from =3D 0,=20
            to =3D 0,=20
            width =3D 0
          },=20
          char_to_display =3D 0,=20
          glyphless_method =3D GLYPHLESS_DISPLAY_THIN_SPACE,=20
          image_id =3D 0,=20
          xwidget =3D 0x80000,=20
          slice =3D {
            x =3D 0,=20
            y =3D 126488901,=20
            width =3D 2358,=20
            height =3D 2358
          },=20
          space_width =3D 589824,=20
          voffset =3D 720,=20
          tab_width =3D 0,=20
          font_height =3D 0,=20
          object =3D 4294967295,=20
          position =3D {
            charpos =3D 0,=20
            bytepos =3D 0
          },=20
          truncation_pixel_width =3D 1,=20
          continuation_pixel_width =3D 0,=20
          first_visible_x =3D 1,=20
          last_visible_x =3D 0,=20
          last_visible_y =3D 0,=20
          extra_line_spacing =3D 0,=20
          max_extra_line_spacing =3D 0,=20
          override_ascent =3D 0,=20
          override_descent =3D 0,=20
          override_boff =3D 0,=20
          glyph_row =3D 0x0,=20
          area =3D LEFT_MARGIN_AREA,=20
          nglyphs =3D 0,=20
          pixel_width =3D 0,=20
          ascent =3D 0,=20
          descent =3D 0,=20
          max_ascent =3D 0,=20
          max_descent =3D 147,=20
          phys_ascent =3D 0,=20
          phys_descent =3D -8,=20
          max_phys_ascent =3D 0,=20
          max_phys_descent =3D 0,=20
          current_x =3D 0,=20
          continuation_lines_width =3D 1048576,=20
          eol_pos =3D {
            charpos =3D 2358,=20
            bytepos =3D 2358
          },=20
          current_y =3D 0,=20
          first_vpos =3D 0,=20
          vpos =3D -1,=20
          hpos =3D -1,=20
          left_user_fringe_bitmap =3D 0,=20
          right_user_fringe_bitmap =3D 0,=20
          left_user_fringe_face_id =3D 0,=20
          right_user_fringe_face_id =3D 6,=20
          bidi_p =3D false,=20
          bidi_it =3D {
            bytepos =3D 6,=20
            charpos =3D 0,=20
            ch =3D 0,=20
            nchars =3D 0,=20
            ch_len =3D 0,=20
            type =3D UNKNOWN_BT,=20
            type_after_wn =3D UNKNOWN_BT,=20
            orig_type =3D UNKNOWN_BT,=20
            resolved_level =3D 0 '\000',=20
            isolate_level =3D 0 '\000',=20
            invalid_levels =3D -1,=20
            invalid_isolates =3D 0,=20
            prev =3D {
              charpos =3D -1,=20
              type =3D UNKNOWN_BT,=20
              orig_type =3D UNKNOWN_BT
            },=20
            last_strong =3D {
              charpos =3D 0,=20
              type =3D UNKNOWN_BT,=20
              orig_type =3D UNKNOWN_BT
            },=20
            next_for_neutral =3D {
              charpos =3D -1,=20
              type =3D UNKNOWN_BT,=20
              orig_type =3D UNKNOWN_BT
            },=20
            prev_for_neutral =3D {
              charpos =3D 0,=20
              type =3D UNKNOWN_BT,=20
              orig_type =3D STRONG_L
            },=20
            next_for_ws =3D {
              charpos =3D 0,=20
              type =3D 4294967295,=20
              orig_type =3D 4294967295
            },=20
            bracket_pairing_pos =3D 0,=20
            bracket_enclosed_type =3D UNKNOWN_BT,=20
            next_en_pos =3D 0,=20
            next_en_type =3D UNKNOWN_BT,=20
            sos =3D NEUTRAL_DIR,=20
            scan_dir =3D 0,=20
            disp_pos =3D 0,=20
            disp_prop =3D 0,=20
            stack_idx =3D 0,=20
            level_stack =3D {{
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 0,=20
                prev_for_neutral_type =3D 0,=20
                level =3D 0 '\000',=20
                flags =3D 0 '\000'
              } <repeats 127 times>, {
                next_for_neutral_pos =3D 0,=20
                next_for_neutral_type =3D 0,=20
                last_strong_type =3D 4,=20
                prev_for_neutral_type =3D 6,=20
                level =3D 228 '\344',=20
                flags =3D 4 '\004'
              }},=20
            string =3D {
              lstring =3D 0,=20
              s =3D 0xffffffffffffffff <Address 0xffffffffffffffff out of b=
ounds>,=20
              schars =3D 7,=20
              bufpos =3D 0,=20
              from_disp_str =3D true,=20
              unibyte =3D false
            },=20
            w =3D 0x7ffd95fbb3a0,=20
            paragraph_dir =3D 2516300720,=20
            separator_limit =3D 0,=20
            first_elt =3D false,=20
            new_paragraph =3D false,=20
            frame_window_p =3D false
          },=20
          paragraph_embedding =3D 23
        }
        current_matrix_up_to_date_p =3D false
        used_current_matrix_p =3D false
        buffer_unchanged_p =3D false
        temp_scroll_step =3D false
        rc =3D -1778672576
        centering_position =3D -1
        last_line_misfit =3D false
        beg_unchanged =3D 0
        end_unchanged =3D 0
        frame_line_height =3D 18
        use_desired_matrix =3D <optimized out>
#5  0x0000000000481017 in redisplay_window_0 (window=3D<optimized out>) at =
../../src/xdisp.c:14413
No locals.
#6  0x00000000005b9776 in internal_condition_case_1 (bfun=3D0x480fe0 <redis=
play_window_0>, arg=3D90266293, handlers=3D<optimized out>, hfun=3D0x4373b0=
 <redisplay_window_error>) at ../../src/eval.c:1333
        val =3D <optimized out>
        c =3D 0x3c8c
#7  0x0000000000435ca0 in redisplay_windows (window=3D90266293) at ../../sr=
c/xdisp.c:14393
No locals.
#8  0x000000000046067d in redisplay_internal () at ../../src/xdisp.c:13953
        gcscrollbars =3D <optimized out>
        f_redisplay_flag =3D <optimized out>
        f =3D 0x5611b98
        w =3D <optimized out>
        sw =3D 0x4e46fa0
        pending =3D <optimized out>
        must_finish =3D true
        match_p =3D 112
        tlbufpos =3D {
          charpos =3D 1,=20
          bytepos =3D 1
        }
        tlendpos =3D {
          charpos =3D <optimized out>,=20
          bytepos =3D 4
        }
        number_of_visible_frames =3D <optimized out>
        sf =3D <optimized out>
        polling_stopped_here =3D false
        tail =3D 85462387
        consider_all_windows_p =3D true
        update_miniwindow_p =3D true
#9  0x0000000000461a95 in redisplay_preserve_echo_area (from_where=3D<optim=
ized out>) at ../../src/xdisp.c:14250
No locals.
#10 0x000000000041580d in Fredisplay (force=3D0) at ../../src/dispnew.c:5791
No locals.
#11 0x00000000005bb78c in Ffuncall (nargs=3D1, args=3D0x7ffd95fc2618) at ..=
/../src/eval.c:2693
        internal_argbuf =3D {0, 146908416, 0, 4, 140727119783808, 0, 2, 13}
        fun =3D <optimized out>
        original_fun =3D <optimized out>
        funcar =3D 0
        numargs =3D 0
        lisp_numargs =3D 6
        val =3D <optimized out>
        internal_args =3D 0x7ffd95fc2620
        count =3D 9
#12 0x00000000005fc3ad in exec_byte_code (bytestr=3D15556, vector=3D1, maxd=
epth=3D6, args_template=3D0, nargs=3D1, args=3D0x400448) at ../../src/bytec=
ode.c:880
        targets =3D {0x5fc182, 0x5fcae5, 0x5fcaea, 0x5fcaef, 0x5fcaf5, 0x5f=
c1e3, 0x5fc7df, 0x5fc825, 0x5fc7d5, 0x5fc7da, 0x5fc7a6, 0x5fc7ab, 0x5fc224,=
 0x5fc228, 0x5fc56f, 0x5fc7b0, 0x5fc73a, 0x5fc73f, 0x5fc4e9, 0x5fc4ee, 0x5f=
c2b5, 0x5fc2b8, 0x5fc518, 0x5fc4f3, 0x5fc4ba, 0x5fc4bf, 0x5fc4c4, 0x5fc4c9,=
 0x5fc349, 0x5fc350, 0x5fc55b, 0x5fc495, 0x5fc480, 0x5fc485, 0x5fc48a, 0x5f=
d87e, 0x5fc38f, 0x5fc390, 0x5fc4d5, 0x5fc45b, 0x5fdd5a, 0x5fdd5f, 0x5fdd64,=
 0x5fdd30, 0x5fc3d0, 0x5fc3d0, 0x5fdcd6, 0x5fdd35, 0x5fdb91, 0x5fdb87, 0x5f=
dac7, 0x5fc182, 0x5fc182, 0x5fc182, 0x5fc182, 0x5fc182, 0x5fea50, 0x5fe9a2,=
 0x5fe9f9, 0x5fe822, 0x5fe879, 0x5fc744, 0x5fc689, 0x5fe8f8, 0x5fc618, 0x5f=
c6c9, 0x5fe962, 0x5fe3fc, 0x5fec35, 0x5febbb, 0x5febf8, 0x5feb8c, 0x5fec75,=
 0x5fecb5, 0x5fe267, 0x5fe7f3, 0x5fe773, 0x5fe7b3, 0x5fe672, 0x5fe6b2, 0x5f=
e6f9, 0x5fe736, 0x5fe42b, 0x5fe4b8, 0x5fe4f8, 0x5fe53c, 0x5fe5e8, 0x5fe5a3,=
 0x5fe62d, 0x5fd0b3, 0x5fd0f8, 0x5fd135, 0x5fd174, 0x5fd1b1, 0x5fd1ee, 0x5f=
d22b, 0x5fd2e5, 0x5fc42d, 0x5fd346, 0x5fd375, 0x5fd3f3, 0x5fd458, 0x5fd4b9,=
 0x5fd4e8, 0x5fd519, 0x5fd54a, 0x5fd5a2, 0x5fc182, 0x5fd5f2, 0x5fd627, 0x5f=
d65c, 0x5fd691, 0x5fd6c6, 0x5fd6fb, 0x5fc42d, 0x5fc182, 0x5fd72a, 0x5fd771,=
 0x5fd7a0, 0x5fd7cf, 0x5fd80f, 0x5fd84f, 0x5fcd23, 0x5fcd70, 0x5fcf91, 0x5f=
cfd1, 0x5fcf5c, 0x5fd084, 0x5fc182, 0x5fda00, 0x5fdd69, 0x5fc583, 0x5fde2c,=
 0x5fe0db, 0x5fe16d, 0x5fd991, 0x5fd9df, 0x5fc52c, 0x5fd883, 0x5fc9a4, 0x5f=
da54, 0x5fda82, 0x5fdbbf, 0x5fdc2c, 0x5fdc73, 0x5fe060, 0x5fdcea, 0x5fd011,=
 0x5fd055, 0x5fcdb0, 0x5fcddf, 0x5fce0e, 0x5fce3d, 0x5fce7d, 0x5fcebd, 0x5f=
cefd, 0x5fcf3d, 0x5fcb05, 0x5fcb45, 0x5fcb85, 0x5fcbb4, 0x5fcbf4, 0x5fcc34,=
 0x5fcc8d, 0x5fcce6, 0x5fd268, 0x5fd2a5, 0x5fca26, 0x5fca8e, 0x5fc182, 0x5f=
df2a, 0x5fdfda, 0x5fe296, 0x5fe377, 0x5fd8b1, 0x5feb3c, 0x5fe468, 0x5fd3a6,=
 0x5fc881, 0x5fc8c6, 0x5fc182, 0x5fc182, 0x5fc91e, 0x5fc182, 0x5fc182, 0x5f=
c182, 0x5fc182, 0x5fc182, 0x5fc182, 0x5fc182, 0x5fc182, 0x5fc182, 0x5fc969 =
<repeats 64 times>}
        count =3D 9
        stack =3D {
          pc =3D 0xc3eece "\207\001\204C",=20
          byte_string =3D 9380252,=20
          byte_string_start =3D 0xc3ee93 "\001\247\203\022",=20
          next =3D 0x7ffd95fc2910
        }
        result =3D 0
        type =3D 15556
#13 0x00000000005bb392 in Ffuncall (nargs=3D2, args=3D0x7ffd95fc2870) at ..=
/../src/eval.c:2754
        fun =3D <optimized out>
        original_fun =3D 4015376
        funcar =3D 0
        numargs =3D 1
        lisp_numargs =3D 6
        val =3D <optimized out>
        internal_args =3D <optimized out>
        count =3D 8
#14 0x00000000005fc3ad in exec_byte_code (bytestr=3D15556, vector=3D2, maxd=
epth=3D6, args_template=3D0, nargs=3D0, args=3D0x400448) at ../../src/bytec=
ode.c:880
        targets =3D {0x5fc182, 0x5fcae5, 0x5fcaea, 0x5fcaef, 0x5fcaf5, 0x5f=
c1e3, 0x5fc7df, 0x5fc825, 0x5fc7d5, 0x5fc7da, 0x5fc7a6, 0x5fc7ab, 0x5fc224,=
 0x5fc228, 0x5fc56f, 0x5fc7b0, 0x5fc73a, 0x5fc73f, 0x5fc4e9, 0x5fc4ee, 0x5f=
c2b5, 0x5fc2b8, 0x5fc518, 0x5fc4f3, 0x5fc4ba, 0x5fc4bf, 0x5fc4c4, 0x5fc4c9,=
 0x5fc349, 0x5fc350, 0x5fc55b, 0x5fc495, 0x5fc480, 0x5fc485, 0x5fc48a, 0x5f=
d87e, 0x5fc38f, 0x5fc390, 0x5fc4d5, 0x5fc45b, 0x5fdd5a, 0x5fdd5f, 0x5fdd64,=
 0x5fdd30, 0x5fc3d0, 0x5fc3d0, 0x5fdcd6, 0x5fdd35, 0x5fdb91, 0x5fdb87, 0x5f=
dac7, 0x5fc182, 0x5fc182, 0x5fc182, 0x5fc182, 0x5fc182, 0x5fea50, 0x5fe9a2,=
 0x5fe9f9, 0x5fe822, 0x5fe879, 0x5fc744, 0x5fc689, 0x5fe8f8, 0x5fc618, 0x5f=
c6c9, 0x5fe962, 0x5fe3fc, 0x5fec35, 0x5febbb, 0x5febf8, 0x5feb8c, 0x5fec75,=
 0x5fecb5, 0x5fe267, 0x5fe7f3, 0x5fe773, 0x5fe7b3, 0x5fe672, 0x5fe6b2, 0x5f=
e6f9, 0x5fe736, 0x5fe42b, 0x5fe4b8, 0x5fe4f8, 0x5fe53c, 0x5fe5e8, 0x5fe5a3,=
 0x5fe62d, 0x5fd0b3, 0x5fd0f8, 0x5fd135, 0x5fd174, 0x5fd1b1, 0x5fd1ee, 0x5f=
d22b, 0x5fd2e5, 0x5fc42d, 0x5fd346, 0x5fd375, 0x5fd3f3, 0x5fd458, 0x5fd4b9,=
 0x5fd4e8, 0x5fd519, 0x5fd54a, 0x5fd5a2, 0x5fc182, 0x5fd5f2, 0x5fd627, 0x5f=
d65c, 0x5fd691, 0x5fd6c6, 0x5fd6fb, 0x5fc42d, 0x5fc182, 0x5fd72a, 0x5fd771,=
 0x5fd7a0, 0x5fd7cf, 0x5fd80f, 0x5fd84f, 0x5fcd23, 0x5fcd70, 0x5fcf91, 0x5f=
cfd1, 0x5fcf5c, 0x5fd084, 0x5fc182, 0x5fda00, 0x5fdd69, 0x5fc583, 0x5fde2c,=
 0x5fe0db, 0x5fe16d, 0x5fd991, 0x5fd9df, 0x5fc52c, 0x5fd883, 0x5fc9a4, 0x5f=
da54, 0x5fda82, 0x5fdbbf, 0x5fdc2c, 0x5fdc73, 0x5fe060, 0x5fdcea, 0x5fd011,=
 0x5fd055, 0x5fcdb0, 0x5fcddf, 0x5fce0e, 0x5fce3d, 0x5fce7d, 0x5fcebd, 0x5f=
cefd, 0x5fcf3d, 0x5fcb05, 0x5fcb45, 0x5fcb85, 0x5fcbb4, 0x5fcbf4, 0x5fcc34,=
 0x5fcc8d, 0x5fcce6, 0x5fd268, 0x5fd2a5, 0x5fca26, 0x5fca8e, 0x5fc182, 0x5f=
df2a, 0x5fdfda, 0x5fe296, 0x5fe377, 0x5fd8b1, 0x5feb3c, 0x5fe468, 0x5fd3a6,=
 0x5fc881, 0x5fc8c6, 0x5fc182, 0x5fc182, 0x5fc91e, 0x5fc182, 0x5fc182, 0x5f=
c182, 0x5fc182, 0x5fc182, 0x5fc182, 0x5fc182, 0x5fc182, 0x5fc182, 0x5fc969 =
<repeats 64 times>}
        count =3D 8
        stack =3D {
          pc =3D 0xbf4935 "\211\205\354",=20
          byte_string =3D 10145916,=20
          byte_string_start =3D 0xbf48da "\001\204\020",=20
          next =3D 0x7ffd95fc2e60
        }
        result =3D 0
        type =3D 15556
#15 0x00000000005bb392 in Ffuncall (nargs=3D4, args=3D0x7ffd95fc2af8) at ..=
/../src/eval.c:2754
        fun =3D <optimized out>
        original_fun =3D 457728
        funcar =3D 0
        numargs =3D 3
        lisp_numargs =3D 6
        val =3D <optimized out>
        internal_args =3D <optimized out>
        count =3D 7
#16 0x00000000005b6a79 in Ffuncall_interactively (nargs=3D4, args=3D0x7ffd9=
5fc2af8) at ../../src/callint.c:248
No locals.
#17 0x00000000005bb826 in Ffuncall (nargs=3D5, args=3D0x7ffd95fc2af0) at ..=
/../src/eval.c:2673
        fun =3D <optimized out>
        original_fun =3D 24000
        funcar =3D 0
        numargs =3D 4
        lisp_numargs =3D 6
        val =3D <optimized out>
        internal_args =3D <optimized out>
        count =3D 5
#18 0x00000000005bc6f9 in Fapply (nargs=3D3, args=3D<optimized out>) at ../=
../src/eval.c:2321
        i =3D <optimized out>
        numargs =3D <optimized out>
        funcall_nargs =3D 5
        funcall_args =3D 0x7ffd95fc2af0
        spread_arg =3D 0
        fun =3D <optimized out>
        retval =3D <optimized out>
        sa_avail =3D <optimized out>
        sa_must_free =3D false
#19 0x00000000005b6efc in Fcall_interactively (function=3D<optimized out>, =
record_flag=3D10146483, keys=3D<optimized out>) at ../../src/callint.c:385
        input =3D <optimized out>
        funval =3D <optimized out>
        events =3D <optimized out>
        args =3D <optimized out>
        visargs =3D <optimized out>
        specs =3D 148181827
        filter_specs =3D <optimized out>
        teml =3D <optimized out>
        up_event =3D <optimized out>
        sa_avail =3D 16384
        sa_must_free =3D false
        next_event =3D <optimized out>
        prefix_arg =3D 3
        string =3D <optimized out>
        tem =3D <optimized out>
        varies =3D <optimized out>
        i =3D <optimized out>
        nargs =3D <optimized out>
        mark =3D <optimized out>
        arg_from_tty =3D false
        key_count =3D 457728
        record_then_fail =3D false
        save_this_command =3D 457728
        save_last_command =3D 3841296
        save_this_original_command =3D 457728
        save_real_this_command =3D 457728
#20 0x00000000005bb71c in Ffuncall (nargs=3D4, args=3D0x7ffd95fc2dd8) at ..=
/../src/eval.c:2700
        internal_argbuf =3D {457728, 0, 0, 4440222, 0, 5927016, 4, 47472}
        fun =3D <optimized out>
        original_fun =3D <optimized out>
        funcar =3D 0
        numargs =3D 3
        lisp_numargs =3D 6
        val =3D <optimized out>
        internal_args =3D 0x7ffd95fc2de0
        count =3D 4
#21 0x00000000005fc3ad in exec_byte_code (bytestr=3D15556, vector=3D4, maxd=
epth=3D6, args_template=3D0, nargs=3D1, args=3D0x400448) at ../../src/bytec=
ode.c:880
        targets =3D {0x5fc182, 0x5fcae5, 0x5fcaea, 0x5fcaef, 0x5fcaf5, 0x5f=
c1e3, 0x5fc7df, 0x5fc825, 0x5fc7d5, 0x5fc7da, 0x5fc7a6, 0x5fc7ab, 0x5fc224,=
 0x5fc228, 0x5fc56f, 0x5fc7b0, 0x5fc73a, 0x5fc73f, 0x5fc4e9, 0x5fc4ee, 0x5f=
c2b5, 0x5fc2b8, 0x5fc518, 0x5fc4f3, 0x5fc4ba, 0x5fc4bf, 0x5fc4c4, 0x5fc4c9,=
 0x5fc349, 0x5fc350, 0x5fc55b, 0x5fc495, 0x5fc480, 0x5fc485, 0x5fc48a, 0x5f=
d87e, 0x5fc38f, 0x5fc390, 0x5fc4d5, 0x5fc45b, 0x5fdd5a, 0x5fdd5f, 0x5fdd64,=
 0x5fdd30, 0x5fc3d0, 0x5fc3d0, 0x5fdcd6, 0x5fdd35, 0x5fdb91, 0x5fdb87, 0x5f=
dac7, 0x5fc182, 0x5fc182, 0x5fc182, 0x5fc182, 0x5fc182, 0x5fea50, 0x5fe9a2,=
 0x5fe9f9, 0x5fe822, 0x5fe879, 0x5fc744, 0x5fc689, 0x5fe8f8, 0x5fc618, 0x5f=
c6c9, 0x5fe962, 0x5fe3fc, 0x5fec35, 0x5febbb, 0x5febf8, 0x5feb8c, 0x5fec75,=
 0x5fecb5, 0x5fe267, 0x5fe7f3, 0x5fe773, 0x5fe7b3, 0x5fe672, 0x5fe6b2, 0x5f=
e6f9, 0x5fe736, 0x5fe42b, 0x5fe4b8, 0x5fe4f8, 0x5fe53c, 0x5fe5e8, 0x5fe5a3,=
 0x5fe62d, 0x5fd0b3, 0x5fd0f8, 0x5fd135, 0x5fd174, 0x5fd1b1, 0x5fd1ee, 0x5f=
d22b, 0x5fd2e5, 0x5fc42d, 0x5fd346, 0x5fd375, 0x5fd3f3, 0x5fd458, 0x5fd4b9,=
 0x5fd4e8, 0x5fd519, 0x5fd54a, 0x5fd5a2, 0x5fc182, 0x5fd5f2, 0x5fd627, 0x5f=
d65c, 0x5fd691, 0x5fd6c6, 0x5fd6fb, 0x5fc42d, 0x5fc182, 0x5fd72a, 0x5fd771,=
 0x5fd7a0, 0x5fd7cf, 0x5fd80f, 0x5fd84f, 0x5fcd23, 0x5fcd70, 0x5fcf91, 0x5f=
cfd1, 0x5fcf5c, 0x5fd084, 0x5fc182, 0x5fda00, 0x5fdd69, 0x5fc583, 0x5fde2c,=
 0x5fe0db, 0x5fe16d, 0x5fd991, 0x5fd9df, 0x5fc52c, 0x5fd883, 0x5fc9a4, 0x5f=
da54, 0x5fda82, 0x5fdbbf, 0x5fdc2c, 0x5fdc73, 0x5fe060, 0x5fdcea, 0x5fd011,=
 0x5fd055, 0x5fcdb0, 0x5fcddf, 0x5fce0e, 0x5fce3d, 0x5fce7d, 0x5fcebd, 0x5f=
cefd, 0x5fcf3d, 0x5fcb05, 0x5fcb45, 0x5fcb85, 0x5fcbb4, 0x5fcbf4, 0x5fcc34,=
 0x5fcc8d, 0x5fcce6, 0x5fd268, 0x5fd2a5, 0x5fca26, 0x5fca8e, 0x5fc182, 0x5f=
df2a, 0x5fdfda, 0x5fe296, 0x5fe377, 0x5fd8b1, 0x5feb3c, 0x5fe468, 0x5fd3a6,=
 0x5fc881, 0x5fc8c6, 0x5fc182, 0x5fc182, 0x5fc91e, 0x5fc182, 0x5fc182, 0x5f=
c182, 0x5fc182, 0x5fc182, 0x5fc182, 0x5fc182, 0x5fc182, 0x5fc182, 0x5fc969 =
<repeats 64 times>}
        count =3D 4
        stack =3D {
          pc =3D 0xbf4810 "\006\006\071\203\242",=20
          byte_string =3D 10146716,=20
          byte_string_start =3D 0xbf4795 "\306\020\211?\205\023",=20
          next =3D 0x0
        }
        result =3D 0
        type =3D 15556
#22 0x00000000005bb392 in Ffuncall (nargs=3D2, args=3D0x7ffd95fc2f70) at ..=
/../src/eval.c:2754
        fun =3D <optimized out>
        original_fun =3D 14784
        funcar =3D 0
        numargs =3D 1
        lisp_numargs =3D 6
        val =3D <optimized out>
        internal_args =3D <optimized out>
        count =3D 3
#23 0x00000000005bba1a in call1 (fn=3D<optimized out>, arg1=3D<optimized ou=
t>) at ../../src/eval.c:2552
No locals.
#24 0x00000000005413b0 in command_loop_1 () at ../../src/keyboard.c:1472
        cmd =3D <optimized out>
        keybuf =3D {536871394, 10, 194, 4231219, 4294967296, -8215771151326=
775296, 0, 5923780, 0, 28416, 0, 142584467, 140727119786128, 24000, 0, 4584=
0, 13433712, 6011332, 157168, 142584467, 9253700, 24000, 140727119786128, 5=
450233, 0, 142584467, 0, 5450519, 0, 6004375}
        i =3D <optimized out>
        prev_modiff =3D 313
        prev_buffer =3D 0x582d910
#25 0x00000000005b97da in internal_condition_case (bfun=3D0x540e10 <command=
_loop_1>, handlers=3D<optimized out>, hfun=3D0x532a30 <cmd_error>) at ../..=
/src/eval.c:1309
        val =3D <optimized out>
        c =3D 0x3c8c
#26 0x0000000000530c8c in command_loop_2 (ignore=3D<optimized out>) at ../.=
./src/keyboard.c:1100
        val =3D 0
#27 0x00000000005b9868 in internal_catch (tag=3D<optimized out>, func=3D0x5=
30c70 <command_loop_2>, arg=3D0) at ../../src/eval.c:1074
        val =3D 0
        c =3D 0x3c8c
#28 0x0000000000530bc2 in command_loop () at ../../src/keyboard.c:1079
No locals.
#29 0x0000000000532526 in recursive_edit_1 () at ../../src/keyboard.c:685
        val =3D <optimized out>
#30 0x0000000000532885 in Frecursive_edit () at ../../src/keyboard.c:756
        buffer =3D <optimized out>
#31 0x0000000000413a18 in main (argc=3D<optimized out>, argv=3D<optimized o=
ut>) at ../../src/emacs.c:1605
        dummy =3D 140184927700760
        stack_bottom_variable =3D 0 '\000'
        do_initial_setlocale =3D <optimized out>
        dumping =3D <optimized out>
        skip_args =3D 1
        rlim =3D {
          rlim_cur =3D 8720000,=20
          rlim_max =3D 18446744073709551615
        }
        no_loadup =3D false
        junk =3D 0x0
        dname_arg =3D 0x0
        ch_to_dir =3D 0x0
        original_pwd =3D 0x2 <Address 0x2 out of bounds>
(gdb) fr 3
#3  0x00000000005623b4 in marker_position (marker=3D<optimized out>) at ../=
../src/marker.c:640
640	  eassert (BUF_BEG (buf) <=3D m->charpos && m->charpos <=3D BUF_Z (buf)=
);
(gdb) up
#4  0x000000000047909a in redisplay_window (window=3D90266293, just_this_on=
e_p=3Dfalse) at ../../src/xdisp.c:16231
16231	      ptrdiff_t new_pt =3D marker_position (w->pointm);
(gdb) p w->pointm
$1 =3D 71947953
(gdb) xmarker
$2 =3D (struct Lisp_Marker *) 0x449d6b0
(gdb) p *$
$3 =3D {
  type =3D Lisp_Misc_Marker,=20
  gcmarkbit =3D false,=20
  spacer =3D 1168,=20
  need_adjustment =3D false,=20
  insertion_type =3D false,=20
  buffer =3D 0x44e0400,=20
  next =3D 0x449d6d8,=20
  charpos =3D 9,=20
  bytepos =3D 9
}
(gdb) p *$.buffer
$4 =3D {
  header =3D {
    size =3D 4611686018528256071
  },=20
  name_ =3D 49984820,=20
  filename_ =3D 0,=20
  directory_ =3D 17534084,=20
  backed_up_ =3D 0,=20
  save_length_ =3D 2,=20
  auto_save_file_name_ =3D 0,=20
  read_only_ =3D 0,=20
  mark_ =3D 22486753,=20
  local_var_alist_ =3D 83784483,=20
  major_mode_ =3D 24192,=20
  mode_name_ =3D 9288972,=20
  mode_line_format_ =3D 17492051,=20
  header_line_format_ =3D 0,=20
  keymap_ =3D 0,=20
  abbrev_table_ =3D 17909781,=20
  syntax_table_ =3D 13553725,=20
  category_table_ =3D 13555733,=20
  case_fold_search_ =3D 44448,=20
  tab_width_ =3D 34,=20
  fill_column_ =3D 282,=20
  left_margin_ =3D 2,=20
  auto_fill_function_ =3D 0,=20
  downcase_table_ =3D 13557101,=20
  upcase_table_ =3D 13561317,=20
  case_canon_table_ =3D 19245301,=20
  case_eqv_table_ =3D 19567077,=20
  truncate_lines_ =3D 0,=20
  word_wrap_ =3D 0,=20
  ctl_arrow_ =3D 44448,=20
  bidi_display_reordering_ =3D 44448,=20
  bidi_paragraph_direction_ =3D 30480,=20
  selective_display_ =3D 0,=20
  selective_display_ellipses_ =3D 44448,=20
  minor_modes_ =3D 0,=20
  overwrite_mode_ =3D 0,=20
  abbrev_mode_ =3D 0,=20
  display_table_ =3D 0,=20
  mark_active_ =3D 0,=20
  enable_multibyte_characters_ =3D 0,=20
  buffer_file_coding_system_ =3D 0,=20
  file_format_ =3D 0,=20
  auto_save_file_format_ =3D 44448,=20
  cache_long_scans_ =3D 44448,=20
  width_table_ =3D 0,=20
  pt_marker_ =3D 0,=20
  begv_marker_ =3D 0,=20
  zv_marker_ =3D 0,=20
  point_before_scroll_ =3D 0,=20
  file_truename_ =3D 0,=20
  invisibility_spec_ =3D 44448,=20
  last_selected_window_ =3D 0,=20
  display_count_ =3D 14,=20
  left_margin_cols_ =3D 2,=20
  right_margin_cols_ =3D 2,=20
  left_fringe_width_ =3D 0,=20
  right_fringe_width_ =3D 0,=20
  fringes_outside_margins_ =3D 0,=20
  scroll_bar_width_ =3D 0,=20
  scroll_bar_height_ =3D 0,=20
  vertical_scroll_bar_type_ =3D 44448,=20
  horizontal_scroll_bar_type_ =3D 44448,=20
  indicate_empty_lines_ =3D 44448,=20
  indicate_buffer_boundaries_ =3D 0,=20
  fringe_indicator_alist_ =3D 21476051,=20
  fringe_cursor_alist_ =3D 21568931,=20
  display_time_ =3D 149858931,=20
  scroll_up_aggressively_ =3D 0,=20
  scroll_down_aggressively_ =3D 0,=20
  cursor_type_ =3D 44448,=20
  extra_line_spacing_ =3D 0,=20
  cursor_in_non_selected_windows_ =3D 44448,=20
  own_text =3D {
    beg =3D 0x6c03ea0 "",=20
    gpt =3D 1,=20
    z =3D 1,=20
    gpt_byte =3D 1,=20
    z_byte =3D 1,=20
    gap_size =3D 2021,=20
    modiff =3D 5305,=20
    chars_modiff =3D 5305,=20
    save_modiff =3D 1,=20
    overlay_modiff =3D 1,=20
    compact =3D 5301,=20
    beg_unchanged =3D 0,=20
    end_unchanged =3D 0,=20
    unchanged_modified =3D 5304,=20
    overlay_unchanged_modified =3D 1,=20
    intervals =3D 0x0,=20
    markers =3D 0x449d688,=20
    inhibit_shrinking =3D false,=20
    redisplay =3D true
  },=20
  text =3D 0x44e0640,=20
  next =3D 0x4413010,=20
  pt =3D 1,=20
  pt_byte =3D 1,=20
  begv =3D 1,=20
  begv_byte =3D 1,=20
  zv =3D 1,=20
  zv_byte =3D 1,=20
  base_buffer =3D 0x0,=20
  indirections =3D 0,=20
  window_count =3D 1,=20
  local_flags =3D '\000' <repeats 41 times>"\377, \377\377\377\377\377\377\=
000",=20
  modtime =3D {
    tv_sec =3D 0,=20
    tv_nsec =3D -2
  },=20
  modtime_size =3D -1,=20
  auto_save_modified =3D 0,=20
  display_error_modiff =3D 0,=20
  auto_save_failure_time =3D 0,=20
  last_window_start =3D 1,=20
  newline_cache =3D 0x4d15720,=20
  width_run_cache =3D 0x0,=20
  bidi_paragraph_cache =3D 0x0,=20
  prevent_redisplay_optimizations_p =3D false,=20
  clip_changed =3D false,=20
  overlays_before =3D 0x0,=20
  overlays_after =3D 0x0,=20
  overlay_center =3D 1,=20
  undo_list_ =3D 44448
}
(gdb) p $.name_
$5 =3D 49984820
(gdb) xstring
$6 =3D (struct Lisp_String *) 0x2fab530
" *Echo Area 0*"
(gdb) p *w
$7 =3D {
  header =3D {
    size =3D 4611686018494648343
  },=20
  frame =3D 90250141,=20
  next =3D 0,=20
  prev =3D 145585861,=20
  parent =3D 0,=20
  normal_lines =3D 67520975,=20
  normal_cols =3D 67520967,=20
  new_total =3D 6,=20
  new_normal =3D 390592,=20
  new_pixel =3D 2,=20
  contents =3D 72221701,=20
  start =3D 71947993,=20
  pointm =3D 71947953,=20
  old_pointm =3D 71947913,=20
  temslot =3D 14,=20
  vertical_scroll_bar =3D 90267165,=20
  vertical_scroll_bar_type =3D 44448,=20
  horizontal_scroll_bar =3D 0,=20
  horizontal_scroll_bar_type =3D 0,=20
  display_table =3D 0,=20
  dedicated =3D 0,=20
  redisplay_end_trigger =3D 0,=20
  combination_limit =3D 0,=20
  window_parameters =3D 0,=20
  current_matrix =3D 0x6f90ef0,=20
  desired_matrix =3D 0x5df14a0,=20
  prev_buffers =3D 0,=20
  next_buffers =3D 0,=20
  use_time =3D 2025,=20
  sequence_number =3D 105,=20
  pixel_left =3D 0,=20
  pixel_top =3D 612,=20
  left_col =3D 0,=20
  top_line =3D 34,=20
  pixel_width =3D 752,=20
  pixel_height =3D 18,=20
  total_cols =3D 83,=20
  total_lines =3D 1,=20
  hscroll =3D 0,=20
  min_hscroll =3D 0,=20
  hscroll_whole =3D 0,=20
  last_modified =3D 1639,=20
  last_overlay_modified =3D 1643,=20
  last_point =3D 51,=20
  base_line_number =3D 0,=20
  base_line_pos =3D 0,=20
  column_number_displayed =3D -1,=20
  nrows_scale_factor =3D 1,=20
  ncols_scale_factor =3D 1,=20
  cursor =3D {
    x =3D 0,=20
    y =3D 0,=20
    hpos =3D 0,=20
    vpos =3D 0
  },=20
  phys_cursor =3D {
    x =3D 0,=20
    y =3D 0,=20
    hpos =3D 0,=20
    vpos =3D 0
  },=20
  output_cursor =3D {
    x =3D 0,=20
    y =3D 0,=20
    hpos =3D 0,=20
    vpos =3D 0
  },=20
  last_cursor_vpos =3D 0,=20
  phys_cursor_type =3D FILLED_BOX_CURSOR,=20
  phys_cursor_width =3D 9,=20
  phys_cursor_ascent =3D 15,=20
  phys_cursor_height =3D 18,=20
  left_fringe_width =3D -1,=20
  right_fringe_width =3D -1,=20
  left_margin_cols =3D 0,=20
  right_margin_cols =3D 0,=20
  scroll_bar_width =3D -1,=20
  scroll_bar_height =3D -1,=20
  mode_line_height =3D -1,=20
  header_line_height =3D -1,=20
  window_end_pos =3D 0,=20
  window_end_vpos =3D 0,=20
  mini =3D true,=20
  horizontal =3D false,=20
  update_mode_line =3D false,=20
  last_had_star =3D true,=20
  start_at_line_beg =3D false,=20
  force_start =3D false,=20
  optional_new_start =3D false,=20
  phys_cursor_on_p =3D true,=20
  cursor_off_p =3D false,=20
  last_cursor_off_p =3D false,=20
  must_be_updated_p =3D true,=20
  pseudo_window_p =3D false,=20
  fringes_outside_margins =3D false,=20
  window_end_valid =3D false,=20
  redisplay =3D true,=20
  suspend_auto_hscroll =3D false,=20
  vscroll =3D 0,=20
  window_end_bytepos =3D 0
}
(gdb) p w->frame
$8 =3D 90250141
(gdb) xframe
$9 =3D (struct frame *) 0x5611b98
"*sent wide reply to fche at redhat dot com*"
(gdb) p *$
$10 =3D {
  header =3D {
    size =3D 4611686018477895701
  },=20
  name =3D 136062228,=20
  icon_name =3D 0,=20
  title =3D 0,=20
  focus_frame =3D 0,=20
  root_window =3D 145585861,=20
  selected_window =3D 82079653,=20
  minibuffer_window =3D 90266293,=20
  param_alist =3D 125198691,=20
  scroll_bars =3D 128280413,=20
  condemned_scroll_bars =3D 90267165,=20
  menu_bar_items =3D 0,=20
  face_alist =3D 128343395,=20
  menu_bar_vector =3D 0,=20
  buffer_predicate =3D 0,=20
  buffer_list =3D 149855539,=20
  buried_buffer_list =3D 0,=20
  tool_bar_window =3D 90484229,=20
  desired_tool_bar_string =3D 0,=20
  current_tool_bar_string =3D 0,=20
  tool_bar_items =3D 0,=20
  font_data =3D 127743203,=20
  face_cache =3D 0x57604e0,=20
  last_tool_bar_item =3D -1,=20
  menu_bar_items_used =3D 0,=20
  namebuf =3D 0x4733fa0 "emacs",=20
  shell_position =3D 0x4d4b440 "=3D738x632",=20
  current_pool =3D 0x0,=20
  desired_pool =3D 0x0,=20
  desired_matrix =3D 0x0,=20
  current_matrix =3D 0x0,=20
  glyphs_initialized_p =3D true,=20
  resized_p =3D false,=20
  default_face_done_p =3D true,=20
  already_hscrolled_p =3D false,=20
  updated_p =3D false,=20
  minimize_tool_bar_window_p =3D false,=20
  fonts_changed =3D false,=20
  cursor_type_changed =3D false,=20
  redisplay =3D true,=20
  external_menu_bar =3D false,=20
  visible =3D 1,=20
  iconified =3D false,=20
  garbaged =3D false,=20
  wants_modeline =3D true,=20
  auto_raise =3D false,=20
  auto_lower =3D false,=20
  no_split =3D false,=20
  explicit_name =3D false,=20
  window_sizes_changed =3D false,=20
  mouse_moved =3D false,=20
  pointer_invisible =3D true,=20
  frozen_window_starts =3D false,=20
  output_method =3D output_x_window,=20
  want_fullscreen =3D FULLSCREEN_NONE,=20
  vertical_scroll_bar_type =3D vertical_scroll_bar_left,=20
  horizontal_scroll_bars =3D false,=20
  new_pixelwise =3D false,=20
  can_x_set_window_size =3D true,=20
  after_make_frame =3D true,=20
  tool_bar_redisplayed =3D true,=20
  tool_bar_resized =3D false,=20
  inhibit_horizontal_resize =3D false,=20
  inhibit_vertical_resize =3D false,=20
  face_change =3D false,=20
  tool_bar_lines =3D 0,=20
  tool_bar_height =3D 0,=20
  n_tool_bar_rows =3D 0,=20
  n_tool_bar_items =3D 0,=20
  decode_mode_spec_buffer =3D 0x7052eb0 "",=20
  insert_line_cost =3D 0x0,=20
  delete_line_cost =3D 0x0,=20
  insert_n_lines_cost =3D 0x0,=20
  delete_n_lines_cost =3D 0x0,=20
  text_cols =3D 80,=20
  text_lines =3D 35,=20
  total_cols =3D 84,=20
  total_lines =3D 35,=20
  text_width =3D 720,=20
  text_height =3D 630,=20
  new_width =3D 0,=20
  new_height =3D 0,=20
  left_pos =3D 1680,=20
  top_pos =3D 24,=20
  pixel_width =3D 754,=20
  pixel_height =3D 632,=20
  win_gravity =3D 1,=20
  size_hint_flags =3D 0,=20
  border_width =3D 0,=20
  internal_border_width =3D 1,=20
  right_divider_width =3D 0,=20
  bottom_divider_width =3D 0,=20
  left_fringe_width =3D 8,=20
  right_fringe_width =3D 8,=20
  fringe_cols =3D 2,=20
  menu_bar_lines =3D 0,=20
  menu_bar_height =3D 0,=20
  column_width =3D 9,=20
  line_height =3D 18,=20
  terminal =3D 0x3df6a78,=20
  output_data =3D {
    tty =3D 0x535d660,=20
    x =3D 0x535d660,=20
    w32 =3D 0x535d660,=20
    ns =3D 0x535d660,=20
    nothing =3D 87414368
  },=20
  font_driver_list =3D 0x476a0c0,=20
  wait_event_type =3D 0,=20
  desired_cursor =3D FILLED_BOX_CURSOR,=20
  cursor_width =3D 1,=20
  blink_off_cursor =3D DEFAULT_CURSOR,=20
  blink_off_cursor_width =3D 0,=20
  config_scroll_bar_width =3D 16,=20
  config_scroll_bar_cols =3D 2,=20
  config_scroll_bar_height =3D 16,=20
  config_scroll_bar_lines =3D 1,=20
  cost_calculation_baud_rate =3D 19200,=20
  alpha =3D {-1, -1},=20
  gamma =3D 0,=20
  extra_line_spacing =3D 0,=20
  background_pixel =3D 16777215,=20
  foreground_pixel =3D 0
}




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23013; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Mar 2016 19:56:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 14 15:56:14 2016
Received: from localhost ([127.0.0.1]:48196 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1afYb8-0002Qc-77
	for submit <at> debbugs.gnu.org; Mon, 14 Mar 2016 15:56:14 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48720)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raeburn@HIDDEN>) id 1afYb7-0002QP-3z
 for submit <at> debbugs.gnu.org; Mon, 14 Mar 2016 15:56:13 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <raeburn@HIDDEN>) id 1afYau-0004zv-0a
 for submit <at> debbugs.gnu.org; Mon, 14 Mar 2016 15:56:07 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.7 required=5.0 tests=BAYES_50,FILL_THIS_FORM,
 FILL_THIS_FORM_LOAN,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:33627)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <raeburn@HIDDEN>) id 1afYat-0004zk-SU
 for submit <at> debbugs.gnu.org; Mon, 14 Mar 2016 15:55:59 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:39604)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <raeburn@HIDDEN>) id 1afYal-0003Zu-Kp
 for bug-gnu-emacs@HIDDEN; Mon, 14 Mar 2016 15:55:59 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <raeburn@HIDDEN>) id 1afYae-0004ws-2N
 for bug-gnu-emacs@HIDDEN; Mon, 14 Mar 2016 15:55:51 -0400
Received: from mail-qg0-x233.google.com ([2607:f8b0:400d:c04::233]:33575)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <raeburn@HIDDEN>) id 1afYad-0004wH-Mm
 for bug-gnu-emacs@HIDDEN; Mon, 14 Mar 2016 15:55:44 -0400
Received: by mail-qg0-x233.google.com with SMTP id t4so163702292qge.0
 for <bug-gnu-emacs@HIDDEN>; Mon, 14 Mar 2016 12:55:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=permabit.com; s=google;
 h=from:to:subject:date:message-id:mime-version;
 bh=e8/JIFFZa406VVrolznSqItrcWN1YbtDIuD+xN4CQIg=;
 b=GojEUFxP4VXikt5hCEV7uMbRXvyEg+ggFbk/MzxXcc3otFmBm+t2XWZC8SOc4/H+pb
 RuJv6/S3NKq2sp7gEf2hOpIcAkAPBrETU0ti8XcGRBmk0LG0qWrMNKhyx+1uS+gN64Tp
 hWTcM+gvehWZaUhSsD1aQ9gHPa0+5vuy3n4Bc=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=e8/JIFFZa406VVrolznSqItrcWN1YbtDIuD+xN4CQIg=;
 b=e+AKelMV0zA2Udl/ag+5n+phrsmaaYq0UwSOlKPZ1RY5uKDYfywoNol1T2SC86U5X/
 n3TfO/kIFqb3W1jlsbclqajPHR2Myl4GJc01yXMCYJJojuBYgDpjAfLq4wn2nCqMg/dG
 6lucesXtZq6MpEyVtfBfBJxbXBiy75oMU+sGIPvwmOw2JXRsG8STbRyhB2BZgcGPSj5n
 WNq/X64LPTefaGg6bKVvWtC81TU+V1+I1+dfdeZJ0AyFQqQNsveBXGtMPAaswU+gNhnr
 MBHuLhCQpO+ymaFkwjJ8+s6pXKUjx6ns0HWrUlRuazaD3utfDnkxUjwrVLYbsGD2McUw
 a9Bw==
X-Gm-Message-State: AD7BkJJlQaaOtH+A1FSu5aP5fqwvKcyQO6l5Bi8qyyAe0mMP+uh6GxpSf7OQAAaIxMu+M+R+
X-Received: by 10.140.105.198 with SMTP id c64mr32896857qgf.94.1457985342816; 
 Mon, 14 Mar 2016 12:55:42 -0700 (PDT)
Received: from just-testing.permabit.com (vpn.permabit.com. [66.202.84.2])
 by smtp.gmail.com with ESMTPSA id f83sm11072401qkb.25.2016.03.14.12.55.40
 (version=TLSv1/SSLv3 cipher=OTHER);
 Mon, 14 Mar 2016 12:55:41 -0700 (PDT)
From: Ken Raeburn <raeburn@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.0.92; assertion failure on marker outside text range in echo area
Date: Mon, 14 Mar 2016 15:55:39 -0400
Message-ID: <6e8u1kyguc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>


I was using Emacs remotely via emacsclient when I lost my ssh session
due to a network problem.  After the network came back, I logged in
again and used emacsclient to get another window. I was going to switch
to a file to resume my work (switch-to-buffer, I think, but possibly
find-file) when Emacs crashed.

The stack trace seems to indicate it was examining a marker that had a
position of 40 in buffer " *Echo Area 0*" which is empty, making 40 out
of range.  The marker is associated with a window in the remote frame I
had just started up.


(gdb) thr app all bt 

Thread 7 (Thread 0x7f490a4cb700 (LWP 2430)):
#0  0x00007f491c5263d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f491c524efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f491fe1ee9a in start_thread (arg=0x7f490a4cb700) at pthread_create.c:308
#3  0x00007f491e3f338d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f490bfff700 (LWP 2422)):
#0  0x00007f491e3e79d3 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f4920e67ff6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4920e6845a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f492164d5e6 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007f4920e899b5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f491fe1ee9a in start_thread (arg=0x7f490bfff700) at pthread_create.c:308
#6  0x00007f491e3f338d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f4909cca700 (LWP 2431)):
#0  0x00007f491c5263d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f491c524efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f491fe1ee9a in start_thread (arg=0x7f4909cca700) at pthread_create.c:308
#3  0x00007f491e3f338d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f49094c9700 (LWP 2432)):
#0  0x00007f491c5263d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f491c524efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f491fe1ee9a in start_thread (arg=0x7f49094c9700) at pthread_create.c:308
#3  0x00007f491e3f338d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f4919ed8700 (LWP 1159)):
#0  0x00007f491e3e79d3 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f4920e67ff6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4920e68124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4920e68171 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f4920e899b5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f491fe1ee9a in start_thread (arg=0x7f4919ed8700) at pthread_create.c:308
#6  0x00007f491e3f338d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f4918a3c700 (LWP 2421)):
#0  0x00007f491e3e79d3 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f4920e67ff6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4920e6845a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4918a4198b in ?? () from /usr/lib/x86_64-linux-gnu/gio/modules/libdconfsettings.so
#4  0x00007f4920e899b5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f491fe1ee9a in start_thread (arg=0x7f4918a3c700) at pthread_create.c:308
#6  0x00007f491e3f338d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f4924152a00 (LWP 1157)):
#0  0x00007f491fe26b7b in raise (sig=<optimized out>) at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
#1  0x000000000052cfe8 in terminate_due_to_signal (sig=6, backtrace_limit=2147483647) at ../../src/emacs.c:380
#2  0x0000000000598fa4 in die (msg=<optimized out>, file=<optimized out>, line=<optimized out>) at ../../src/alloc.c:7220
#3  0x00000000005623b4 in marker_position (marker=<optimized out>) at ../../src/marker.c:640
#4  0x000000000047909a in redisplay_window (window=135999781, just_this_one_p=false) at ../../src/xdisp.c:16231
#5  0x0000000000481017 in redisplay_window_0 (window=<optimized out>) at ../../src/xdisp.c:14413
#6  0x00000000005b9776 in internal_condition_case_1 (bfun=0x480fe0 <redisplay_window_0>, arg=135999781, handlers=<optimized out>, hfun=0x4373b0 <redisplay_window_error>) at ../../src/eval.c:1333
#7  0x0000000000435ca0 in redisplay_windows (window=135999781) at ../../src/xdisp.c:14393
#8  0x000000000046067d in redisplay_internal () at ../../src/xdisp.c:13953
#9  0x000000000053a73b in read_char (commandflag=1, map=60775235, prev_event=0, used_mouse_menu=0x7ffc1bb9fcdf, end_time=0x0) at ../../src/keyboard.c:2470
#10 0x000000000053f66e in read_key_sequence (keybuf=0x7ffc1bb9fd40, prompt=0, dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=<optimized out>, bufsize=30) at ../../src/keyboard.c:9054
#11 0x0000000000541024 in command_loop_1 () at ../../src/keyboard.c:1358
#12 0x00000000005b97da in internal_condition_case (bfun=0x540e10 <command_loop_1>, handlers=<optimized out>, hfun=0x532a30 <cmd_error>) at ../../src/eval.c:1309
#13 0x0000000000530c8c in command_loop_2 (ignore=<optimized out>) at ../../src/keyboard.c:1100
#14 0x00000000005b9868 in internal_catch (tag=<optimized out>, func=0x530c70 <command_loop_2>, arg=0) at ../../src/eval.c:1074
#15 0x0000000000530bc2 in command_loop () at ../../src/keyboard.c:1079
#16 0x0000000000532526 in recursive_edit_1 () at ../../src/keyboard.c:685
#17 0x0000000000532885 in Frecursive_edit () at ../../src/keyboard.c:756
#18 0x0000000000413a18 in main (argc=<optimized out>, argv=<optimized out>) at ../../src/emacs.c:1605
(gdb) 

Thread 7 (Thread 0x7f490a4cb700 (LWP 2430)):
#0  0x00007f491c5263d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f491c524efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f491fe1ee9a in start_thread (arg=0x7f490a4cb700) at pthread_create.c:308
#3  0x00007f491e3f338d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f490bfff700 (LWP 2422)):
#0  0x00007f491e3e79d3 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f4920e67ff6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4920e6845a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f492164d5e6 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007f4920e899b5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f491fe1ee9a in start_thread (arg=0x7f490bfff700) at pthread_create.c:308
#6  0x00007f491e3f338d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f4909cca700 (LWP 2431)):
#0  0x00007f491c5263d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f491c524efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f491fe1ee9a in start_thread (arg=0x7f4909cca700) at pthread_create.c:308
#3  0x00007f491e3f338d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f49094c9700 (LWP 2432)):
#0  0x00007f491c5263d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f491c524efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f491fe1ee9a in start_thread (arg=0x7f49094c9700) at pthread_create.c:308
#3  0x00007f491e3f338d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f4919ed8700 (LWP 1159)):
#0  0x00007f491e3e79d3 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f4920e67ff6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4920e68124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4920e68171 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f4920e899b5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f491fe1ee9a in start_thread (arg=0x7f4919ed8700) at pthread_create.c:308
#6  0x00007f491e3f338d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f4918a3c700 (LWP 2421)):
#0  0x00007f491e3e79d3 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f4920e67ff6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4920e6845a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4918a4198b in ?? () from /usr/lib/x86_64-linux-gnu/gio/modules/libdconfsettings.so
#4  0x00007f4920e899b5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f491fe1ee9a in start_thread (arg=0x7f4918a3c700) at pthread_create.c:308
#6  0x00007f491e3f338d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f4924152a00 (LWP 1157)):
#0  0x00007f491fe26b7b in raise (sig=<optimized out>) at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
#1  0x000000000052cfe8 in terminate_due_to_signal (sig=6, backtrace_limit=2147483647) at ../../src/emacs.c:380
#2  0x0000000000598fa4 in die (msg=<optimized out>, file=<optimized out>, line=<optimized out>) at ../../src/alloc.c:7220
#3  0x00000000005623b4 in marker_position (marker=<optimized out>) at ../../src/marker.c:640
#4  0x000000000047909a in redisplay_window (window=135999781, just_this_one_p=false) at ../../src/xdisp.c:16231
#5  0x0000000000481017 in redisplay_window_0 (window=<optimized out>) at ../../src/xdisp.c:14413
#6  0x00000000005b9776 in internal_condition_case_1 (bfun=0x480fe0 <redisplay_window_0>, arg=135999781, handlers=<optimized out>, hfun=0x4373b0 <redisplay_window_error>) at ../../src/eval.c:1333
#7  0x0000000000435ca0 in redisplay_windows (window=135999781) at ../../src/xdisp.c:14393
#8  0x000000000046067d in redisplay_internal () at ../../src/xdisp.c:13953
#9  0x000000000053a73b in read_char (commandflag=1, map=60775235, prev_event=0, used_mouse_menu=0x7ffc1bb9fcdf, end_time=0x0) at ../../src/keyboard.c:2470
#10 0x000000000053f66e in read_key_sequence (keybuf=0x7ffc1bb9fd40, prompt=0, dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=<optimized out>, bufsize=30) at ../../src/keyboard.c:9054
#11 0x0000000000541024 in command_loop_1 () at ../../src/keyboard.c:1358
#12 0x00000000005b97da in internal_condition_case (bfun=0x540e10 <command_loop_1>, handlers=<optimized out>, hfun=0x532a30 <cmd_error>) at ../../src/eval.c:1309
#13 0x0000000000530c8c in command_loop_2 (ignore=<optimized out>) at ../../src/keyboard.c:1100
#14 0x00000000005b9868 in internal_catch (tag=<optimized out>, func=0x530c70 <command_loop_2>, arg=0) at ../../src/eval.c:1074
#15 0x0000000000530bc2 in command_loop () at ../../src/keyboard.c:1079
#16 0x0000000000532526 in recursive_edit_1 () at ../../src/keyboard.c:685
#17 0x0000000000532885 in Frecursive_edit () at ../../src/keyboard.c:756
#18 0x0000000000413a18 in main (argc=<optimized out>, argv=<optimized out>) at ../../src/emacs.c:1605
(gdb) thr app all bt full 

Thread 7 (Thread 0x7f490a4cb700 (LWP 2430)):
#0  0x00007f491c5263d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
No symbol table info available.
#1  0x00007f491c524efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
No symbol table info available.
#2  0x00007f491fe1ee9a in start_thread (arg=0x7f490a4cb700) at pthread_create.c:308
        __res = <optimized out>
        pd = 0x7f490a4cb700
        now = <optimized out>
        unwind_buf = {
          cancel_jmp_buf = {{
              jmp_buf = {0, -7945929781894729523, 139951986614816, 139951682140608, 0, 3, 8009782156997406925, 8009754422432739533}, 
              mask_was_saved = 0
            }}, 
          priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, 
            data = {
              prev = 0x0, 
              cleanup = 0x0, 
              canceltype = 0
            }
          }
        }
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#3  0x00007f491e3f338d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
No locals.
#4  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 6 (Thread 0x7f490bfff700 (LWP 2422)):
#0  0x00007f491e3e79d3 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = <optimized out>
        oldtype = 0
        result = <optimized out>
#1  0x00007f4920e67ff6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#2  0x00007f4920e6845a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#3  0x00007f492164d5e6 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
No symbol table info available.
#4  0x00007f4920e899b5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#5  0x00007f491fe1ee9a in start_thread (arg=0x7f490bfff700) at pthread_create.c:308
        __res = <optimized out>
        pd = 0x7f490bfff700
        now = <optimized out>
        unwind_buf = {
          cancel_jmp_buf = {{
              jmp_buf = {0, -7945929781894729523, 139951922722928, 139951710665152, 0, 3, 8009780621546598605, 8009754422432739533}, 
              mask_was_saved = 0
            }}, 
          priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, 
            data = {
              prev = 0x0, 
              cleanup = 0x0, 
              canceltype = 0
            }
          }
        }
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#6  0x00007f491e3f338d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
No locals.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 5 (Thread 0x7f4909cca700 (LWP 2431)):
#0  0x00007f491c5263d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
No symbol table info available.
#1  0x00007f491c524efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
No symbol table info available.
#2  0x00007f491fe1ee9a in start_thread (arg=0x7f4909cca700) at pthread_create.c:308
        __res = <optimized out>
        pd = 0x7f4909cca700
        now = <optimized out>
        unwind_buf = {
          cancel_jmp_buf = {{
              jmp_buf = {0, -7945929781894729523, 139951986614816, 139951673747904, 0, 3, 8009776659976138957, 8009754422432739533}, 
              mask_was_saved = 0
            }}, 
          priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, 
            data = {
              prev = 0x0, 
              cleanup = 0x0, 
              canceltype = 0
            }
          }
        }
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#3  0x00007f491e3f338d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
No locals.
#4  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 4 (Thread 0x7f49094c9700 (LWP 2432)):
#0  0x00007f491c5263d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
No symbol table info available.
#1  0x00007f491c524efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
No symbol table info available.
#2  0x00007f491fe1ee9a in start_thread (arg=0x7f49094c9700) at pthread_create.c:308
        __res = <optimized out>
        pd = 0x7f49094c9700
        now = <optimized out>
        unwind_buf = {
          cancel_jmp_buf = {{
              jmp_buf = {0, -7945929781894729523, 139951986614816, 139951665355200, 0, 3, 8009775561001382093, 8009754422432739533}, 
              mask_was_saved = 0
            }}, 
          priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, 
            data = {
              prev = 0x0, 
              cleanup = 0x0, 
              canceltype = 0
            }
          }
        }
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#3  0x00007f491e3f338d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
No locals.
#4  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 3 (Thread 0x7f4919ed8700 (LWP 1159)):
#0  0x00007f491e3e79d3 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = <optimized out>
        oldtype = 0
        result = <optimized out>
#1  0x00007f4920e67ff6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#2  0x00007f4920e68124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#3  0x00007f4920e68171 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#4  0x00007f4920e899b5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#5  0x00007f491fe1ee9a in start_thread (arg=0x7f4919ed8700) at pthread_create.c:308
        __res = <optimized out>
        pd = 0x7f4919ed8700
        now = <optimized out>
        unwind_buf = {
          cancel_jmp_buf = {{
              jmp_buf = {0, -7945929781894729523, 140720773659792, 139951944337856, 0, 3, 8009741188914983117, 8009754422432739533}, 
              mask_was_saved = 0
            }}, 
          priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, 
            data = {
              prev = 0x0, 
              cleanup = 0x0, 
              canceltype = 0
            }
          }
        }
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#6  0x00007f491e3f338d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
No locals.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 2 (Thread 0x7f4918a3c700 (LWP 2421)):
#0  0x00007f491e3e79d3 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = <optimized out>
        oldtype = 0
        result = <optimized out>
#1  0x00007f4920e67ff6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#2  0x00007f4920e6845a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#3  0x00007f4918a4198b in ?? () from /usr/lib/x86_64-linux-gnu/gio/modules/libdconfsettings.so
No symbol table info available.
#4  0x00007f4920e899b5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#5  0x00007f491fe1ee9a in start_thread (arg=0x7f4918a3c700) at pthread_create.c:308
        __res = <optimized out>
        pd = 0x7f4918a3c700
        now = <optimized out>
        unwind_buf = {
          cancel_jmp_buf = {{
              jmp_buf = {0, -7945929781894729523, 140720773646224, 139951922727360, 0, 3, 8009743957021405389, 8009754422432739533}, 
              mask_was_saved = 0
            }}, 
          priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, 
            data = {
              prev = 0x0, 
              cleanup = 0x0, 
              canceltype = 0
            }
          }
        }
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#6  0x00007f491e3f338d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
No locals.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (Thread 0x7f4924152a00 (LWP 1157)):
#0  0x00007f491fe26b7b in raise (sig=<optimized out>) at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
        resultvar = 0
        pid = <optimized out>
#1  0x000000000052cfe8 in terminate_due_to_signal (sig=6, backtrace_limit=2147483647) at ../../src/emacs.c:380
No locals.
#2  0x0000000000598fa4 in die (msg=<optimized out>, file=<optimized out>, line=<optimized out>) at ../../src/alloc.c:7220
No locals.
#3  0x00000000005623b4 in marker_position (marker=<optimized out>) at ../../src/marker.c:640
        buf = <optimized out>
#4  0x000000000047909a in redisplay_window (window=135999781, just_this_one_p=false) at ../../src/xdisp.c:16231
        new_pt = <optimized out>
        new_pt_byte = <optimized out>
        w = 0x81b3120
        f = 0x5f95fb0
        buffer = 0x1
        old = 0x5fa4810
        lpoint = {
          charpos = 10858, 
          bytepos = 10858
        }
        opoint = {
          charpos = 1, 
          bytepos = 1
        }
        startp = <optimized out>
        update_mode_line = true
        tem = 1056964608
        it = {
          window = 1, 
          w = 0x7ffc1bb9cb10, 
          f = 0x0, 
          method = GET_FROM_DISPLAY_VECTOR, 
          stop_charpos = 10, 
          prev_stop = 140720773645056, 
          base_level_stop = 140720773645064, 
          end_charpos = 5106763, 
          s = 0x1 <Address 0x1 out of bounds>, 
          string_nchars = 140720773644888, 
          redisplay_end_trigger_charpos = 140720773644896, 
          multibyte_p = false, 
          header_line_p = false, 
          string_from_display_prop_p = false, 
          string_from_prefix_prop_p = false, 
          from_disp_prop_p = false, 
          ellipsis_p = false, 
          avoid_cursor_p = false, 
          dp = 0x81b3120, 
          dpvec = 0x1000000004dec4b, 
          dpend = 0x0, 
          dpvec_char_len = 0, 
          dpvec_face_id = 0, 
          saved_face_id = 465158752, 
          ctl_chars = {1, 135999776, 140720773644864, 0, 140720773644864, 0, 1, 1, 5111178, 1, 140720773644896, 140720773644888, 0, 1, 5111178, 1}, 
          start = {
            pos = {
              charpos = 140720308486166, 
              bytepos = 140720773644888
            }, 
            overlay_string_index = 140720773644912, 
            string_pos = {
              charpos = 140720773644904, 
              bytepos = 4294967297
            }, 
            dpvec_index = 40
          }, 
          current = {
            pos = {
              charpos = 140720773644864, 
              bytepos = 140720773644864
            }, 
            overlay_string_index = 0, 
            string_pos = {
              charpos = 10, 
              bytepos = 0
            }, 
            dpvec_index = 465156392
          }, 
          n_overlay_strings = 5113863, 
          overlay_strings_charpos = 140720773644864, 
          overlay_strings = {4, 88586884, 10, 140720773642536, 5113863, 140720773642552, 0, 0, 61, 0, 42, 10, 1, 1, 25769803782, 6}, 
          string_overlays = {0, 0, 0, 135999776, 72057594037927936, 135999776, 144115188075855871, 135999776, 72057598332895233, 1, 4760120832, 140720773639680, 140720773644864, 9, 140720773644864, 10}, 
          string = 1, 
          from_overlay = 4, 
          stack = {{
              string = 5111178, 
              string_nchars = 1, 
              end_charpos = 140720773644896, 
              stop_charpos = 140720773644888, 
              prev_stop = 140720773644912, 
              base_level_stop = 140720773644904, 
              cmp_it = {
                stop_pos = 140720308486150, 
                id = 0, 
                ch = 6, 
                rule_idx = 0, 
                lookback = 0, 
                nglyphs = 6, 
                reversed_p = false, 
                charpos = 0, 
                nchars = 6, 
                nbytes = 0, 
                from = 1, 
                to = 0, 
                width = 465158720
              }, 
              face_id = 0, 
              u = {
                image = {
                  object = 0, 
                  slice = {
                    x = 10, 
                    y = 0, 
                    width = 1, 
                    height = 5113863
                  }, 
                  image_id = 1
                }, 
                stretch = {
                  object = 0
                }, 
                xwidget = {
                  object = 0
                }
              }, 
              position = {
                charpos = 4, 
                bytepos = 88586884
              }, 
              current = {
                pos = {
                  charpos = 10, 
                  bytepos = 1
                }, 
                overlay_string_index = 1, 
                string_pos = {
                  charpos = 91, 
                  bytepos = 1
                }, 
                dpvec_index = 1
              }, 
              from_overlay = 98784247831, 
              area = 23, 
              method = 255, 
              paragraph_embedding = NEUTRAL_DIR, 
              multibyte_p = false, 
              string_from_display_prop_p = false, 
              string_from_prefix_prop_p = false, 
              display_ellipsis_p = false, 
              avoid_cursor_p = false, 
              bidi_p = false, 
              from_disp_prop_p = false, 
              line_wrap = TRUNCATE, 
              voffset = 0, 
              space_width = 0, 
              font_height = 94489280534
            }, {
              string = 59, 
              string_nchars = 0, 
              end_charpos = -1, 
              stop_charpos = 0, 
              prev_stop = 0, 
              base_level_stop = 94489280513, 
              cmp_it = {
                stop_pos = 1, 
                id = 23, 
                ch = 9, 
                rule_idx = 0, 
                lookback = 1, 
                nglyphs = 0, 
                reversed_p = false, 
                charpos = 4294967296, 
                nchars = 1, 
                nbytes = 0, 
                from = 10, 
                to = 0, 
                width = 0
              }, 
              face_id = 0, 
              u = {
                image = {
                  object = 0, 
                  slice = {
                    x = 0, 
                    y = 0, 
                    width = 0, 
                    height = 0
                  }, 
                  image_id = 0
                }, 
                stretch = {
                  object = 0
                }, 
                xwidget = {
                  object = 0
                }
              }, 
              position = {
                charpos = 40, 
                bytepos = 0
              }, 
              current = {
                pos = {
                  charpos = 0, 
                  bytepos = 0
                }, 
                overlay_string_index = 0, 
                string_pos = {
                  charpos = 0, 
                  bytepos = 0
                }, 
                dpvec_index = 0
              }, 
              from_overlay = 0, 
              area = LEFT_MARGIN_AREA, 
              method = GET_FROM_BUFFER, 
              paragraph_embedding = NEUTRAL_DIR, 
              multibyte_p = false, 
              string_from_display_prop_p = false, 
              string_from_prefix_prop_p = false, 
              display_ellipsis_p = false, 
              avoid_cursor_p = false, 
              bidi_p = false, 
              from_disp_prop_p = false, 
              line_wrap = TRUNCATE, 
              voffset = 0, 
              space_width = 0, 
              font_height = 0
            }, {
              string = 0, 
              string_nchars = 0, 
              end_charpos = 0, 
              stop_charpos = 0, 
              prev_stop = 0, 
              base_level_stop = 0, 
              cmp_it = {
                stop_pos = 0, 
                id = 0, 
                ch = 0, 
                rule_idx = 0, 
                lookback = 0, 
                nglyphs = 0, 
                reversed_p = false, 
                charpos = 0, 
                nchars = 0, 
                nbytes = 0, 
                from = 0, 
                to = 0, 
                width = 0
              }, 
              face_id = 0, 
              u = {
                image = {
                  object = 0, 
                  slice = {
                    x = 0, 
                    y = 0, 
                    width = 0, 
                    height = 0
                  }, 
                  image_id = 0
                }, 
                stretch = {
                  object = 0
                }, 
                xwidget = {
                  object = 0
                }
              }, 
              position = {
                charpos = 0, 
                bytepos = 4
              }, 
              current = {
                pos = {
                  charpos = 0, 
                  bytepos = 0
                }, 
                overlay_string_index = 0, 
                string_pos = {
                  charpos = 0, 
                  bytepos = 5232
                }, 
                dpvec_index = 48029187
              }, 
              from_overlay = 47420627, 
              area = 47420624, 
              method = GET_FROM_BUFFER, 
              paragraph_embedding = R2L, 
              multibyte_p = false, 
              string_from_display_prop_p = false, 
              string_from_prefix_prop_p = false, 
              display_ellipsis_p = false, 
              avoid_cursor_p = false, 
              bidi_p = false, 
              from_disp_prop_p = false, 
              line_wrap = 3, 
              voffset = 0, 
              space_width = 0, 
              font_height = 0
            }, {
              string = 6069490, 
              string_nchars = 138572373, 
              end_charpos = 138572368, 
              stop_charpos = 48029192, 
              prev_stop = 0, 
              base_level_stop = 3, 
              cmp_it = {
                stop_pos = 48029168, 
                id = 4, 
                ch = 5, 
                rule_idx = 0, 
                lookback = 6, 
                nglyphs = 6122344, 
                reversed_p = false, 
                charpos = 100229040, 
                nchars = 47420611, 
                nbytes = 0, 
                from = 47420608, 
                to = 0, 
                width = 465140736
              }, 
              face_id = 0, 
              u = {
                image = {
                  object = 48385056, 
                  slice = {
                    x = 140720773626880, 
                    y = 1, 
                    width = 140720773626876, 
                    height = 139952077724346
                  }, 
                  image_id = 140720773626496
                }, 
                stretch = {
                  object = 48385056
                }, 
                xwidget = {
                  object = 48385056
                }
              }, 
              position = {
                charpos = 115152784, 
                bytepos = 4294967298
              }, 
              current = {
                pos = {
                  charpos = 140720773626832, 
                  bytepos = 0
                }, 
                overlay_string_index = 5191356, 
                string_pos = {
                  charpos = 0, 
                  bytepos = 1
                }, 
                dpvec_index = 20256
              }, 
              from_overlay = 140720773627008, 
              area = LEFT_MARGIN_AREA, 
              method = GET_FROM_BUFFER, 
              paragraph_embedding = 72233280, 
              multibyte_p = false, 
              string_from_display_prop_p = false, 
              string_from_prefix_prop_p = false, 
              display_ellipsis_p = false, 
              avoid_cursor_p = false, 
              bidi_p = false, 
              from_disp_prop_p = false, 
              line_wrap = 465140864, 
              voffset = 32764, 
              space_width = 1, 
              font_height = 140720773627004
            }, {
              string = 139952077724346, 
              string_nchars = 47904, 
              end_charpos = 115152784, 
              stop_charpos = 4295015200, 
              prev_stop = 140720773626960, 
              base_level_stop = 138572368, 
              cmp_it = {
                stop_pos = 5115803, 
                id = 140720773641344, 
                ch = 465155200, 
                rule_idx = 32764, 
                lookback = 140720773641344, 
                nglyphs = 465155200, 
                reversed_p = 252, 
                charpos = 0, 
                nchars = 5121925, 
                nbytes = 0, 
                from = 48581392, 
                to = 0, 
                width = 465140352
              }, 
              face_id = 48581392, 
              u = {
                image = {
                  object = 140720773626496, 
                  slice = {
                    x = 100229040, 
                    y = 6070655, 
                    width = 112, 
                    height = 1
                  }, 
                  image_id = 0
                }, 
                stretch = {
                  object = 140720773626496
                }, 
                xwidget = {
                  object = 140720773626496
                }
              }, 
              position = {
                charpos = 5191815, 
                bytepos = 201355
              }, 
              current = {
                pos = {
                  charpos = 140720773626496, 
                  bytepos = 15670320
                }, 
                overlay_string_index = 15671600, 
                string_pos = {
                  charpos = 83931728, 
                  bytepos = 16384
                }, 
                dpvec_index = 20
              }, 
              from_overlay = 140720773626080, 
              area = 465139984, 
              method = 32764, 
              paragraph_embedding = 465152736, 
              multibyte_p = false, 
              string_from_display_prop_p = false, 
              string_from_prefix_prop_p = true, 
              display_ellipsis_p = true, 
              avoid_cursor_p = true, 
              bidi_p = true, 
              from_disp_prop_p = true, 
              line_wrap = 465155200, 
              voffset = 32764, 
              space_width = 0, 
              font_height = 0
            }}, 
          sp = 18, 
          selective = 140720773639016, 
          what = 5125230, 
          face_id = 0, 
          selective_display_ellipsis_p = false, 
          ctl_arrow_p = false, 
          face_box_p = false, 
          start_of_box_run_p = false, 
          end_of_box_run_p = false, 
          overlay_strings_at_end_processed_p = false, 
          ignore_overlay_strings_at_pos_p = false, 
          glyph_not_available_p = false, 
          starts_in_middle_of_char_p = false, 
          face_before_selective_p = false, 
          constrain_row_ascent_descent_p = false, 
          line_wrap = TRUNCATE, 
          base_face_id = 0, 
          c = 0, 
          len = 10, 
          cmp_it = {
            stop_pos = 1, 
            id = 1, 
            ch = 6, 
            rule_idx = 6, 
            lookback = 6, 
            nglyphs = 0, 
            reversed_p = false, 
            charpos = 0, 
            nchars = 0, 
            nbytes = 0, 
            from = 135999776, 
            to = 0, 
            width = 0
          }, 
          char_to_display = 0, 
          glyphless_method = GLYPHLESS_DISPLAY_THIN_SPACE, 
          image_id = -1, 
          xwidget = 0x0, 
          slice = {
            x = 4294967297, 
            y = 1, 
            width = 140720773641344, 
            height = 140720773641344
          }, 
          space_width = 0, 
          voffset = 39, 
          tab_width = 0, 
          font_height = 18, 
          object = 0, 
          position = {
            charpos = 5121066, 
            bytepos = -4294967295
          }, 
          truncation_pixel_width = 31296, 
          continuation_pixel_width = 7097, 
          first_visible_x = 32764, 
          last_visible_x = 465140304, 
          last_visible_y = 32764, 
          extra_line_spacing = 0, 
          max_extra_line_spacing = 0, 
          override_ascent = 47420675, 
          override_descent = 0, 
          override_boff = 1, 
          glyph_row = 0x4f000000a2, 
          area = 6, 
          nglyphs = 0, 
          pixel_width = 0, 
          ascent = 0, 
          descent = 0, 
          max_ascent = 0, 
          max_descent = 0, 
          phys_ascent = 0, 
          phys_descent = 0, 
          max_phys_ascent = 0, 
          max_phys_descent = 0, 
          current_x = 0, 
          continuation_lines_width = 150, 
          eol_pos = {
            charpos = 1, 
            bytepos = 40
          }, 
          current_y = 1, 
          first_vpos = 0, 
          vpos = 0, 
          hpos = 0, 
          left_user_fringe_bitmap = 31392, 
          right_user_fringe_bitmap = 7097, 
          left_user_fringe_face_id = 32764, 
          right_user_fringe_face_id = 633568, 
          bidi_p = true, 
          bidi_it = {
            bytepos = 140720773641344, 
            charpos = 0, 
            ch = 39, 
            nchars = 18, 
            ch_len = 0, 
            type = 5125230, 
            type_after_wn = UNKNOWN_BT, 
            orig_type = 39, 
            resolved_level = 0 '\000', 
            isolate_level = 0 '\000', 
            invalid_levels = 39, 
            invalid_isolates = 101, 
            prev = {
              charpos = 1, 
              type = STRONG_L, 
              orig_type = UNKNOWN_BT
            }, 
            last_strong = {
              charpos = 4294967297, 
              type = STRONG_L, 
              orig_type = UNKNOWN_BT
            }, 
            next_for_neutral = {
              charpos = 0, 
              type = UNKNOWN_BT, 
              orig_type = UNKNOWN_BT
            }, 
            prev_for_neutral = {
              charpos = 38, 
              type = STRONG_L, 
              orig_type = STRONG_L
            }, 
            next_for_ws = {
              charpos = 38, 
              type = STRONG_L, 
              orig_type = STRONG_L
            }, 
            bracket_pairing_pos = -1, 
            bracket_enclosed_type = UNKNOWN_BT, 
            next_en_pos = 38, 
            next_en_type = STRONG_L, 
            sos = L2R, 
            scan_dir = 34, 
            disp_pos = 1, 
            disp_prop = -1, 
            stack_idx = -1, 
            level_stack = {{
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 4294967296, 
                next_for_neutral_type = 1, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 40, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 1, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 140720773644864, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 10, 
                next_for_neutral_type = 1, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 140720773642536, 
                next_for_neutral_type = 4, 
                last_strong_type = 1, 
                prev_for_neutral_type = 2, 
                level = 78 'N', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 1, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = -1, 
                next_for_neutral_type = 1, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 140720773644864, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 1, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 140720773644864, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 22, 
                next_for_neutral_type = 7, 
                last_strong_type = 3, 
                prev_for_neutral_type = 6, 
                level = 78 'N', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 140720773644864, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 1, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 1, 
                next_for_neutral_type = 3, 
                last_strong_type = 2, 
                prev_for_neutral_type = 1, 
                level = 78 'N', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 1, 
                next_for_neutral_type = 3, 
                last_strong_type = 2, 
                prev_for_neutral_type = 1, 
                level = 78 'N', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 2251799814209544, 
                next_for_neutral_type = 1, 
                last_strong_type = 1, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 140720308486144, 
                next_for_neutral_type = 2, 
                last_strong_type = 6, 
                prev_for_neutral_type = 1, 
                level = 66 'B', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 162, 
                next_for_neutral_type = 5, 
                last_strong_type = 0, 
                prev_for_neutral_type = 7, 
                level = 97 'a', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 0, 
                last_strong_type = 6, 
                prev_for_neutral_type = 1, 
                level = 70 'F', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 0, 
                last_strong_type = 5, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 135999776, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 217 '\331', 
                flags = 4 '\004'
              }, {
                next_for_neutral_pos = 162, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 4, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 40 '(', 
                flags = 144 '\220'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 0, 
                last_strong_type = 4, 
                prev_for_neutral_type = 1, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 0, 
                last_strong_type = 6, 
                prev_for_neutral_type = 1, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 48069587, 
                next_for_neutral_type = 3, 
                last_strong_type = 2, 
                prev_for_neutral_type = 3, 
                level = 211 '\323', 
                flags = 2 '\002'
              }, {
                next_for_neutral_pos = 47420624, 
                next_for_neutral_type = 2, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 3, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 2, 
                last_strong_type = 6, 
                prev_for_neutral_type = 3, 
                level = 92 '\\', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 125474213, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 1, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 10, 
                next_for_neutral_type = 5, 
                last_strong_type = 3, 
                prev_for_neutral_type = 1, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 1, 
                next_for_neutral_type = 4, 
                last_strong_type = 1, 
                prev_for_neutral_type = 2, 
                level = 78 'N', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 9, 
                next_for_neutral_type = 1, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = -1, 
                next_for_neutral_type = 1, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 140720773644864, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 1, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 6, 
                last_strong_type = 0, 
                prev_for_neutral_type = 1, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 1, 
                next_for_neutral_type = 3, 
                last_strong_type = 2, 
                prev_for_neutral_type = 1, 
                level = 78 'N', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 1, 
                next_for_neutral_type = 3, 
                last_strong_type = 2, 
                prev_for_neutral_type = 1, 
                level = 78 'N', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 140720773628160, 
                next_for_neutral_type = 0, 
                last_strong_type = 2, 
                prev_for_neutral_type = 6, 
                level = 221 '\335', 
                flags = 6 '\006'
              }, {
                next_for_neutral_pos = 4294967298, 
                next_for_neutral_type = 0, 
                last_strong_type = 2, 
                prev_for_neutral_type = 1, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 4, 
                last_strong_type = 7, 
                prev_for_neutral_type = 2, 
                level = 79 'O', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 1, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 20256, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 4, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 5, 
                level = 78 'N', 
                flags = 4 '\004'
              }, {
                next_for_neutral_pos = 140720773628672, 
                next_for_neutral_type = 0, 
                last_strong_type = 4, 
                prev_for_neutral_type = 4, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 0, 
                last_strong_type = 2, 
                prev_for_neutral_type = 1, 
                level = 254 '\376', 
                flags = 4 '\004'
              }, {
                next_for_neutral_pos = 140720773628704, 
                next_for_neutral_type = 1, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 140720773628700, 
                next_for_neutral_type = 2, 
                last_strong_type = 7, 
                prev_for_neutral_type = 2, 
                level = 224 '\340', 
                flags = 33 '!'
              }, {
                next_for_neutral_pos = 125474208, 
                next_for_neutral_type = 0, 
                last_strong_type = 2, 
                prev_for_neutral_type = 7, 
                level = 185 '\271', 
                flags = 4 '\004'
              }, {
                next_for_neutral_pos = 4295015200, 
                next_for_neutral_type = 0, 
                last_strong_type = 6, 
                prev_for_neutral_type = 3, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 47904, 
                next_for_neutral_type = 0, 
                last_strong_type = 4, 
                prev_for_neutral_type = 4, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 47904, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 48581392, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 4, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 48581392, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 4, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 100229040, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 7, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 0, 
                last_strong_type = 4, 
                prev_for_neutral_type = 0, 
                level = 226 '\342', 
                flags = 2 '\002'
              }, {
                next_for_neutral_pos = 140720773628864, 
                next_for_neutral_type = 1, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 140720773628860, 
                next_for_neutral_type = 2, 
                last_strong_type = 7, 
                prev_for_neutral_type = 2, 
                level = 224 '\340', 
                flags = 33 '!'
              }, {
                next_for_neutral_pos = 15670320, 
                next_for_neutral_type = 0, 
                last_strong_type = 2, 
                prev_for_neutral_type = 6, 
                level = 221 '\335', 
                flags = 6 '\006'
              }, {
                next_for_neutral_pos = 4378899024, 
                next_for_neutral_type = 0, 
                last_strong_type = 2, 
                prev_for_neutral_type = 6, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 20, 
                next_for_neutral_type = 0, 
                last_strong_type = 4, 
                prev_for_neutral_type = 5, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 20256, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 15670320, 
                next_for_neutral_type = 0, 
                last_strong_type = 2, 
                prev_for_neutral_type = 4, 
                level = 239 '\357', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 20, 
                next_for_neutral_type = 0, 
                last_strong_type = 4, 
                prev_for_neutral_type = 6, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 34, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 33, 
                next_for_neutral_type = 4, 
                last_strong_type = 3, 
                prev_for_neutral_type = 1, 
                level = 97 'a', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 28752, 
                next_for_neutral_type = 0, 
                last_strong_type = 2, 
                prev_for_neutral_type = 1, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 47420675, 
                next_for_neutral_type = 4, 
                last_strong_type = 5, 
                prev_for_neutral_type = 4, 
                level = 97 'a', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 138, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 7, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 72198314811556376, 
                next_for_neutral_type = 0, 
                last_strong_type = 7, 
                prev_for_neutral_type = 6, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 0, 
                last_strong_type = 6, 
                prev_for_neutral_type = 6, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 140720308486144, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 140720773628416, 
                next_for_neutral_type = 2, 
                last_strong_type = 4, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 15671568, 
                next_for_neutral_type = 0, 
                last_strong_type = 6, 
                prev_for_neutral_type = 0, 
                level = 239 '\357', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 16, 
                next_for_neutral_type = 2, 
                last_strong_type = 6, 
                prev_for_neutral_type = 7, 
                level = 67 'C', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 1, 
                next_for_neutral_type = 0, 
                last_strong_type = 5, 
                prev_for_neutral_type = 0, 
                level = 134 '\206', 
                flags = 6 '\006'
              }, {
                next_for_neutral_pos = 34, 
                next_for_neutral_type = 0, 
                last_strong_type = 6, 
                prev_for_neutral_type = 5, 
                level = 97 'a', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 20256, 
                next_for_neutral_type = 0, 
                last_strong_type = 6, 
                prev_for_neutral_type = 2, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 47420675, 
                next_for_neutral_type = 4, 
                last_strong_type = 5, 
                prev_for_neutral_type = 4, 
                level = 97 'a', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 162, 
                next_for_neutral_type = 0, 
                last_strong_type = 6, 
                prev_for_neutral_type = 2, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 81347589, 
                next_for_neutral_type = 0, 
                last_strong_type = 5, 
                prev_for_neutral_type = 0, 
                level = 134 '\206', 
                flags = 6 '\006'
              }, {
                next_for_neutral_pos = 140720773628320, 
                next_for_neutral_type = 0, 
                last_strong_type = 6, 
                prev_for_neutral_type = 5, 
                level = 97 'a', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 140720773628336, 
                next_for_neutral_type = 6, 
                last_strong_type = 2, 
                prev_for_neutral_type = 2, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 134, 
                next_for_neutral_type = 5, 
                last_strong_type = 4, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 40, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 140720773628328, 
                next_for_neutral_type = 0, 
                last_strong_type = 4, 
                prev_for_neutral_type = 6, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 140720773628336, 
                next_for_neutral_type = 5, 
                last_strong_type = 3, 
                prev_for_neutral_type = 3, 
                level = 98 'b', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 140720773628352, 
                next_for_neutral_type = 0, 
                last_strong_type = 4, 
                prev_for_neutral_type = 3, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 37, 
                next_for_neutral_type = 0, 
                last_strong_type = 7, 
                prev_for_neutral_type = 4, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 40, 
                next_for_neutral_type = 0, 
                last_strong_type = 6, 
                prev_for_neutral_type = 0, 
                level = 239 '\357', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 15671568, 
                next_for_neutral_type = 5, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 217 '\331', 
                flags = 4 '\004'
              }, {
                next_for_neutral_pos = 40, 
                next_for_neutral_type = 1, 
                last_strong_type = 0, 
                prev_for_neutral_type = 7, 
                level = 97 'a', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 39, 
                next_for_neutral_type = 4, 
                last_strong_type = 3, 
                prev_for_neutral_type = 1, 
                level = 97 'a', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 31104, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 6, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 4, 
                last_strong_type = 5, 
                prev_for_neutral_type = 4, 
                level = 97 'a', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 162, 
                next_for_neutral_type = 0, 
                last_strong_type = 2, 
                prev_for_neutral_type = 6, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 6, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 3, 
                last_strong_type = 0, 
                prev_for_neutral_type = 6, 
                level = 97 'a', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 0, 
                last_strong_type = 2, 
                prev_for_neutral_type = 5, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 4, 
                last_strong_type = 5, 
                prev_for_neutral_type = 4, 
                level = 97 'a', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 162, 
                next_for_neutral_type = 0, 
                last_strong_type = 4, 
                prev_for_neutral_type = 7, 
                level = 185 '\271', 
                flags = 27 '\033'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 0, 
                last_strong_type = 2, 
                prev_for_neutral_type = 5, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 3, 
                last_strong_type = 0, 
                prev_for_neutral_type = 6, 
                level = 97 'a', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 2, 
                last_strong_type = 7, 
                prev_for_neutral_type = 3, 
                level = 67 'C', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 109509160, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 1, 
                level = 197 '\305', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 104963312, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 83931728, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 81347589, 
                next_for_neutral_type = 2, 
                last_strong_type = 7, 
                prev_for_neutral_type = 5, 
                level = 99 'c', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 1, 
                last_strong_type = 1, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 140720773638880, 
                next_for_neutral_type = 2, 
                last_strong_type = 6, 
                prev_for_neutral_type = 1, 
                level = 66 'B', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 83931728, 
                next_for_neutral_type = 1, 
                last_strong_type = 3, 
                prev_for_neutral_type = 7, 
                level = 99 'c', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 39, 
                next_for_neutral_type = 0, 
                last_strong_type = 6, 
                prev_for_neutral_type = 1, 
                level = 70 'F', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 140720773638880, 
                next_for_neutral_type = 3, 
                last_strong_type = 2, 
                prev_for_neutral_type = 6, 
                level = 69 'E', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 56835104, 
                next_for_neutral_type = 6, 
                last_strong_type = 2, 
                prev_for_neutral_type = 5, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 48581392, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 1, 
                level = 197 '\305', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 83321512, 
                next_for_neutral_type = 1, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 116879600, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 2, 
                last_strong_type = 7, 
                prev_for_neutral_type = 5, 
                level = 99 'c', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 3377695426478087, 
                next_for_neutral_type = 1, 
                last_strong_type = 1, 
                prev_for_neutral_type = 0, 
                level = 0 '\000', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 140720773628992, 
                next_for_neutral_type = 2, 
                last_strong_type = 6, 
                prev_for_neutral_type = 1, 
                level = 66 'B', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 116879600, 
                next_for_neutral_type = 1, 
                last_strong_type = 3, 
                prev_for_neutral_type = 7, 
                level = 99 'c', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 0, 
                next_for_neutral_type = 0, 
                last_strong_type = 6, 
                prev_for_neutral_type = 1, 
                level = 70 'F', 
                flags = 0 '\000'
              }, {
                next_for_neutral_pos = 135999776, 
                next_for_neutral_type = 0, 
                last_strong_type = 0, 
                prev_for_neutral_type = 0, 
                level = 217 '\331', 
                flags = 4 '\004'
              }}, 
            string = {
              lstring = 162, 
              s = 0x1bb981c0 <Address 0x1bb981c0 out of bounds>, 
              schars = 40, 
              bufpos = 12911680, 
              from_disp_str = false, 
              unibyte = false
            }, 
            w = 0x1, 
            paragraph_dir = 83931728, 
            separator_limit = 0, 
            first_elt = false, 
            new_paragraph = false, 
            frame_window_p = false
          }, 
          paragraph_embedding = 6500218
        }
        current_matrix_up_to_date_p = false
        used_current_matrix_p = false
        buffer_unchanged_p = false
        temp_scroll_step = false
        rc = 465136752
        centering_position = -1
        last_line_misfit = false
        beg_unchanged = 0
        end_unchanged = 0
        frame_line_height = 18
        use_desired_matrix = <optimized out>
#5  0x0000000000481017 in redisplay_window_0 (window=<optimized out>) at ../../src/xdisp.c:14413
No locals.
#6  0x00000000005b9776 in internal_condition_case_1 (bfun=0x480fe0 <redisplay_window_0>, arg=135999781, handlers=<optimized out>, hfun=0x4373b0 <redisplay_window_error>) at ../../src/eval.c:1333
        val = <optimized out>
        c = 0x44d
#7  0x0000000000435ca0 in redisplay_windows (window=135999781) at ../../src/xdisp.c:14393
No locals.
#8  0x000000000046067d in redisplay_internal () at ../../src/xdisp.c:13953
        gcscrollbars = <optimized out>
        f_redisplay_flag = <optimized out>
        f = 0x5f95fb0
        w = <optimized out>
        sw = 0x81ac1f0
        pending = <optimized out>
        must_finish = true
        match_p = 128
        tlbufpos = {
          charpos = 1, 
          bytepos = 1
        }
        tlendpos = {
          charpos = <optimized out>, 
          bytepos = 6
        }
        number_of_visible_frames = <optimized out>
        sf = <optimized out>
        polling_stopped_here = false
        tail = 61646723
        consider_all_windows_p = true
        update_miniwindow_p = true
#9  0x000000000053a73b in read_char (commandflag=1, map=60775235, prev_event=0, used_mouse_menu=0x7ffc1bb9fcdf, end_time=0x0) at ../../src/keyboard.c:2470
        c = <optimized out>
        local_getcjmp = {{
            __jmpbuf = {12306164, 140720773658912, 0, 1847395561052328960, 10645544, 10645549, 10645416, 2}, 
            __mask_was_saved = 5, 
            __saved_mask = {
              __val = {6004575, 15670672, 17957744, 15670672, 0, 4611686019484352512, 140720773658752, 2, 8555104, 0, 4611686018595160064, 4611686019484352512, 6009778, 4611686019484352512, 6070655, 25334544}
            }
          }}
        save_jump = {{
            __jmpbuf = {10, 140720773658752, 37776, 0, 0, 6004575, 15670608, 17957744}, 
            __mask_was_saved = 465172768, 
            __saved_mask = {
              __val = {0, 117353205, 1, 140720773658992, 6408339, 0, 0, 43434, 29440, 1, 23664, 0, 6395692, 100288533, 6408339, 29440}
            }
          }}
        tem = <optimized out>
        save = <optimized out>
        previous_echo_area_message = 0
        also_record = 0
        reread = false
        recorded = false
        polling_stopped_here = false
        orig_kboard = 0x54f0fb0
#10 0x000000000053f66e in read_key_sequence (keybuf=0x7ffc1bb9fd40, prompt=0, dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=<optimized out>, bufsize=30) at ../../src/keyboard.c:9054
        interrupted_kboard = <optimized out>
        interrupted_frame = 0x5f95fb0
        key = <optimized out>
        used_mouse_menu = false
        echo_local_start = 0
        last_real_key_start = 0
        keys_local_start = 0
        new_binding = <optimized out>
        t = 0
        echo_start = 0
        keys_start = 0
        current_binding = 60775235
        first_event = 0
        first_unbound = 31
        mock_input = 0
        fkey = {
          parent = 61650467, 
          map = 61650467, 
          start = 0, 
          end = 0
        }
        keytran = {
          parent = 13531715, 
          map = 13531715, 
          start = 0, 
          end = 0
        }
        indec = {
          parent = 61650483, 
          map = 61650483, 
          start = 0, 
          end = 0
        }
        shift_translated = false
        delayed_switch_frame = 0
        original_uppercase = 5928573
        original_uppercase_position = -1
        dummyflag = <optimized out>
        starting_buffer = 0x5fa4810
        fake_prefixed_keys = 0
#11 0x0000000000541024 in command_loop_1 () at ../../src/keyboard.c:1358
        cmd = <optimized out>
        keybuf = {98, 394, 202, 4231219, 4294967296, 1847395561052328960, 0, 5923780, 0, 28416, 0, 75980627, 140720773660192, 24000, 0, 45840, 13433712, 6011332, 157168, 75980627, 9253700, 24000, 140720773660192, 5450233, 0, 75980627, 0, 5450519, 0, 6004375}
        i = <optimized out>
        prev_modiff = 616
        prev_buffer = 0x729ec40
#12 0x00000000005b97da in internal_condition_case (bfun=0x540e10 <command_loop_1>, handlers=<optimized out>, hfun=0x532a30 <cmd_error>) at ../../src/eval.c:1309
        val = <optimized out>
        c = 0x44d
#13 0x0000000000530c8c in command_loop_2 (ignore=<optimized out>) at ../../src/keyboard.c:1100
        val = 0
#14 0x00000000005b9868 in internal_catch (tag=<optimized out>, func=0x530c70 <command_loop_2>, arg=0) at ../../src/eval.c:1074
        val = 0
        c = 0x44d
#15 0x0000000000530bc2 in command_loop () at ../../src/keyboard.c:1079
No locals.
#16 0x0000000000532526 in recursive_edit_1 () at ../../src/keyboard.c:685
        val = <optimized out>
#17 0x0000000000532885 in Frecursive_edit () at ../../src/keyboard.c:756
        buffer = <optimized out>
#18 0x0000000000413a18 in main (argc=<optimized out>, argv=<optimized out>) at ../../src/emacs.c:1605
        dummy = 139952110143256
        stack_bottom_variable = 0 '\000'
        do_initial_setlocale = <optimized out>
        dumping = <optimized out>
        skip_args = 1
        rlim = {
          rlim_cur = 8720000, 
          rlim_max = 18446744073709551615
        }
        no_loadup = false
        junk = 0x0
        dname_arg = 0x0
        ch_to_dir = 0x0
        original_pwd = 0x2 <Address 0x2 out of bounds>
(gdb) fr 3
#3  0x00000000005623b4 in marker_position (marker=<optimized out>) at ../../src/marker.c:640
640	  eassert (BUF_BEG (buf) <= m->charpos && m->charpos <= BUF_Z (buf));
(gdb) p m->charpos
value has been optimized out
(gdb) p buf
$1 = <optimized out>
(gdb) p marker
$2 = <optimized out>
(gdb) up
#4  0x000000000047909a in redisplay_window (window=135999781, just_this_one_p=false) at ../../src/xdisp.c:16231
16231	      ptrdiff_t new_pt = marker_position (w->pointm);
(gdb) p w->pointm
$3 = 55850753
(gdb) xmarker
$4 = (struct Lisp_Marker *) 0x3543700
(gdb) p *$4
$5 = {
  type = Lisp_Misc_Marker, 
  gcmarkbit = false, 
  spacer = 1168, 
  need_adjustment = false, 
  insertion_type = false, 
  buffer = 0x4d94400, 
  next = 0x3543728, 
  charpos = 40, 
  bytepos = 40
}
(gdb) p *$4->buffer
$6 = {
  header = {
    size = 4611686018528256071
  }, 
  name_ = 78027060, 
  filename_ = 0, 
  directory_ = 17534148, 
  backed_up_ = 0, 
  save_length_ = 2, 
  auto_save_file_name_ = 0, 
  read_only_ = 0, 
  mark_ = 22487809, 
  local_var_alist_ = 88644403, 
  major_mode_ = 24192, 
  mode_name_ = 9288972, 
  mode_line_format_ = 17492051, 
  header_line_format_ = 0, 
  keymap_ = 0, 
  abbrev_table_ = 17909781, 
  syntax_table_ = 13553725, 
  category_table_ = 13555733, 
  case_fold_search_ = 44448, 
  tab_width_ = 34, 
  fill_column_ = 282, 
  left_margin_ = 2, 
  auto_fill_function_ = 0, 
  downcase_table_ = 13557101, 
  upcase_table_ = 13561317, 
  case_canon_table_ = 19245301, 
  case_eqv_table_ = 19567077, 
  truncate_lines_ = 0, 
  word_wrap_ = 0, 
  ctl_arrow_ = 44448, 
  bidi_display_reordering_ = 44448, 
  bidi_paragraph_direction_ = 30480, 
  selective_display_ = 0, 
  selective_display_ellipses_ = 44448, 
  minor_modes_ = 0, 
  overwrite_mode_ = 0, 
  abbrev_mode_ = 0, 
  display_table_ = 0, 
  mark_active_ = 0, 
  enable_multibyte_characters_ = 44448, 
  buffer_file_coding_system_ = 0, 
  file_format_ = 0, 
  auto_save_file_format_ = 44448, 
  cache_long_scans_ = 44448, 
  width_table_ = 0, 
  pt_marker_ = 0, 
  begv_marker_ = 0, 
  zv_marker_ = 0, 
  point_before_scroll_ = 0, 
  file_truename_ = 0, 
  invisibility_spec_ = 44448, 
  last_selected_window_ = 0, 
  display_count_ = 10, 
  left_margin_cols_ = 2, 
  right_margin_cols_ = 2, 
  left_fringe_width_ = 0, 
  right_fringe_width_ = 0, 
  fringes_outside_margins_ = 0, 
  scroll_bar_width_ = 0, 
  scroll_bar_height_ = 0, 
  vertical_scroll_bar_type_ = 44448, 
  horizontal_scroll_bar_type_ = 44448, 
  indicate_empty_lines_ = 44448, 
  indicate_buffer_boundaries_ = 0, 
  fringe_indicator_alist_ = 21476051, 
  fringe_cursor_alist_ = 21568931, 
  display_time_ = 60653731, 
  scroll_up_aggressively_ = 0, 
  scroll_down_aggressively_ = 0, 
  cursor_type_ = 44448, 
  extra_line_spacing_ = 0, 
  cursor_in_non_selected_windows_ = 44448, 
  own_text = {
    beg = 0x7cb1c20 "", 
    gpt = 1, 
    z = 1, 
    gpt_byte = 1, 
    z_byte = 1, 
    gap_size = 59, 
    modiff = 15787, 
    chars_modiff = 15787, 
    save_modiff = 1, 
    overlay_modiff = 1, 
    compact = 15782, 
    beg_unchanged = 0, 
    end_unchanged = 0, 
    unchanged_modified = 15786, 
    overlay_unchanged_modified = 1, 
    intervals = 0x0, 
    markers = 0x35436d8, 
    inhibit_shrinking = false, 
    redisplay = true
  }, 
  text = 0x4d94640, 
  next = 0x4ac8100, 
  pt = 1, 
  pt_byte = 1, 
  begv = 1, 
  begv_byte = 1, 
  zv = 1, 
  zv_byte = 1, 
  base_buffer = 0x0, 
  indirections = 0, 
  window_count = 1, 
  local_flags = '\000' <repeats 49 times>, 
  modtime = {
    tv_sec = 0, 
    tv_nsec = -2
  }, 
  modtime_size = -1, 
  auto_save_modified = 0, 
  display_error_modiff = 0, 
  auto_save_failure_time = 0, 
  last_window_start = 1, 
  newline_cache = 0x6d82e00, 
  width_run_cache = 0x0, 
  bidi_paragraph_cache = 0x0, 
  prevent_redisplay_optimizations_p = false, 
  clip_changed = false, 
  overlays_before = 0x0, 
  overlays_after = 0x0, 
  overlay_center = 1, 
  undo_list_ = 44448
}
(gdb) p $6.name_
$7 = 78027060
(gdb) xtype
Lisp_String
(gdb) xstring
$8 = (struct Lisp_String *) 0x4a69930
" *Echo Area 0*"
(gdb) p &$4->buffer.own_text
$9 = (struct buffer_text *) 0x4d94640
(gdb) p w
$10 = (struct window *) 0x81b3120
(gdb) p *w
$11 = {
  header = {
    size = 4611686018494648343
  }, 
  frame = 100229045, 
  next = 0, 
  prev = 135971317, 
  parent = 0, 
  normal_lines = 129507135, 
  normal_cols = 129507127, 
  new_total = 2, 
  new_normal = 390592, 
  new_pixel = 2, 
  contents = 81347589, 
  start = 55850793, 
  pointm = 55850753, 
  old_pointm = 55850713, 
  temslot = 6, 
  vertical_scroll_bar = 114744901, 
  vertical_scroll_bar_type = 44448, 
  horizontal_scroll_bar = 0, 
  horizontal_scroll_bar_type = 0, 
  display_table = 0, 
  dedicated = 0, 
  redisplay_end_trigger = 0, 
  combination_limit = 0, 
  window_parameters = 0, 
  current_matrix = 0x7d472d0, 
  desired_matrix = 0x7049fe0, 
  prev_buffers = 0, 
  next_buffers = 0, 
  use_time = 3593, 
  sequence_number = 519, 
  pixel_left = 0, 
  pixel_top = 612, 
  left_col = 0, 
  top_line = 34, 
  pixel_width = 752, 
  pixel_height = 18, 
  total_cols = 83, 
  total_lines = 1, 
  hscroll = 0, 
  min_hscroll = 0, 
  hscroll_whole = 0, 
  last_modified = 4812, 
  last_overlay_modified = 6480, 
  last_point = 61, 
  base_line_number = 0, 
  base_line_pos = 0, 
  column_number_displayed = -1, 
  nrows_scale_factor = 1, 
  ncols_scale_factor = 1, 
  cursor = {
    x = 0, 
    y = 0, 
    hpos = 0, 
    vpos = 0
  }, 
  phys_cursor = {
    x = 0, 
    y = 0, 
    hpos = 0, 
    vpos = 0
  }, 
  output_cursor = {
    x = 0, 
    y = 0, 
    hpos = 0, 
    vpos = 0
  }, 
  last_cursor_vpos = 0, 
  phys_cursor_type = FILLED_BOX_CURSOR, 
  phys_cursor_width = 9, 
  phys_cursor_ascent = 15, 
  phys_cursor_height = 18, 
  left_fringe_width = -1, 
  right_fringe_width = -1, 
  left_margin_cols = 0, 
  right_margin_cols = 0, 
  scroll_bar_width = -1, 
  scroll_bar_height = -1, 
  mode_line_height = -1, 
  header_line_height = -1, 
  window_end_pos = 0, 
  window_end_vpos = 0, 
  mini = true, 
  horizontal = false, 
  update_mode_line = false, 
  last_had_star = true, 
  start_at_line_beg = true, 
  force_start = false, 
  optional_new_start = false, 
  phys_cursor_on_p = true, 
  cursor_off_p = false, 
  last_cursor_off_p = false, 
  must_be_updated_p = true, 
  pseudo_window_p = false, 
  fringes_outside_margins = false, 
  window_end_valid = false, 
  redisplay = true, 
  suspend_auto_hscroll = false, 
  vscroll = 0, 
  window_end_bytepos = 0
}
(gdb) p w.frame
$12 = 100229045
(gdb) xtype
Lisp_Vectorlike
PVEC_FRAME
(gdb) xframe
$13 = (struct frame *) 0x5f95fb0
"emacs@HIDDEN"
(gdb) p *$
$14 = {
  header = {
    size = 4611686018477895701
  }, 
  name = 78116292, 
  icon_name = 0, 
  title = 0, 
  focus_frame = 0, 
  root_window = 135971317, 
  selected_window = 135971317, 
  minibuffer_window = 135999781, 
  param_alist = 65046307, 
  scroll_bars = 120428485, 
  condemned_scroll_bars = 114744901, 
  menu_bar_items = 0, 
  face_alist = 64064083, 
  menu_bar_vector = 0, 
  buffer_predicate = 0, 
  buffer_list = 60781107, 
  buried_buffer_list = 0, 
  tool_bar_window = 121318549, 
  desired_tool_bar_string = 0, 
  current_tool_bar_string = 0, 
  tool_bar_items = 0, 
  font_data = 64149171, 
  face_cache = 0x68cd1d0, 
  last_tool_bar_item = -1, 
  menu_bar_items_used = 0, 
  namebuf = 0x594e190 "emacs", 
  shell_position = 0x2aae610 "=738x632", 
  current_pool = 0x0, 
  desired_pool = 0x0, 
  desired_matrix = 0x0, 
  current_matrix = 0x0, 
  glyphs_initialized_p = true, 
  resized_p = false, 
  default_face_done_p = true, 
  already_hscrolled_p = false, 
  updated_p = false, 
  minimize_tool_bar_window_p = false, 
  fonts_changed = false, 
  cursor_type_changed = false, 
  redisplay = true, 
  external_menu_bar = false, 
  visible = 1, 
  iconified = false, 
  garbaged = false, 
  wants_modeline = true, 
  auto_raise = false, 
  auto_lower = false, 
  no_split = false, 
  explicit_name = false, 
  window_sizes_changed = false, 
  mouse_moved = false, 
  pointer_invisible = true, 
  frozen_window_starts = false, 
  output_method = output_x_window, 
  want_fullscreen = FULLSCREEN_NONE, 
  vertical_scroll_bar_type = vertical_scroll_bar_left, 
  horizontal_scroll_bars = false, 
  new_pixelwise = false, 
  can_x_set_window_size = true, 
  after_make_frame = true, 
  tool_bar_redisplayed = true, 
  tool_bar_resized = false, 
  inhibit_horizontal_resize = false, 
  inhibit_vertical_resize = false, 
  face_change = false, 
  tool_bar_lines = 0, 
  tool_bar_height = 0, 
  n_tool_bar_rows = 0, 
  n_tool_bar_items = 0, 
  decode_mode_spec_buffer = 0x7141d90 "", 
  insert_line_cost = 0x0, 
  delete_line_cost = 0x0, 
  insert_n_lines_cost = 0x0, 
  delete_n_lines_cost = 0x0, 
  text_cols = 80, 
  text_lines = 35, 
  total_cols = 84, 
  total_lines = 35, 
  text_width = 720, 
  text_height = 630, 
  new_width = 0, 
  new_height = 0, 
  left_pos = 20, 
  top_pos = 21, 
  pixel_width = 754, 
  pixel_height = 632, 
  win_gravity = 1, 
  size_hint_flags = 0, 
  border_width = 1, 
  internal_border_width = 1, 
  right_divider_width = 0, 
  bottom_divider_width = 0, 
  left_fringe_width = 8, 
  right_fringe_width = 8, 
  fringe_cols = 2, 
  menu_bar_lines = 0, 
  menu_bar_height = 0, 
  column_width = 9, 
  line_height = 18, 
  terminal = 0x7005698, 
  output_data = {
    tty = 0x3b50dd0, 
    x = 0x3b50dd0, 
    w32 = 0x3b50dd0, 
    ns = 0x3b50dd0, 
    nothing = 62197200
  }, 
  font_driver_list = 0x60756b0, 
  wait_event_type = 0, 
  desired_cursor = FILLED_BOX_CURSOR, 
  cursor_width = 1, 
  blink_off_cursor = DEFAULT_CURSOR, 
  blink_off_cursor_width = 0, 
  config_scroll_bar_width = 16, 
  config_scroll_bar_cols = 2, 
  config_scroll_bar_height = 16, 
  config_scroll_bar_lines = 1, 
  cost_calculation_baud_rate = 38400, 
  alpha = {-1, -1}, 
  gamma = 0, 
  extra_line_spacing = 0, 
  background_pixel = 1644912, 
  foreground_pixel = 11393254
}
(gdb) p $14.name
$15 = 78116292
(gdb) xtype
Lisp_String
(gdb) xstring
$16 = (struct Lisp_String *) 0x4a7f5c0
"emacs@HIDDEN"
(gdb) p $14.output_data.x
$17 = (struct x_output *) 0x3b50dd0
(gdb) p *$
$18 = {
  menubar_height = 0, 
  toolbar_top_height = 0, 
  toolbar_bottom_height = 0, 
  toolbar_left_width = 0, 
  toolbar_right_width = 0, 
  border_tile = 6291655, 
  normal_gc = 0x5860e90, 
  reverse_gc = 0x41c3420, 
  cursor_gc = 0x60fb5e0, 
  window_desc = 6291651, 
  icon_desc = 0, 
  parent_desc = 4194641, 
  widget = 0x34ca0d0, 
  column_widget = 0x6535a00, 
  edit_widget = 0x61ee100, 
  menubar_widget = 0x0, 
  icon_bitmap = 1, 
  font = 0x6419cf0, 
  baseline_offset = 0, 
  fontset = 2, 
  cursor_pixel = 16777215, 
  border_pixel = 0, 
  mouse_pixel = 65280, 
  cursor_foreground_pixel = 1644912, 
  scroll_bar_foreground_pixel = 11393254, 
  scroll_bar_background_pixel = 11393254, 
  scroll_bar_top_shadow_pixel = 13697023, 
  scroll_bar_bottom_shadow_pixel = 6849162, 
  text_cursor = 6291476, 
  nontext_cursor = 6291480, 
  modeline_cursor = 6291609, 
  hand_cursor = 6291613, 
  hourglass_cursor = 6291605, 
  horizontal_drag_cursor = 6291617, 
  vertical_drag_cursor = 6291621, 
  current_cursor = 6291476, 
  hourglass_window = 0, 
  wm_hints = {
    flags = 1, 
    input = 1, 
    initial_state = 0, 
    icon_pixmap = 6291657, 
    icon_window = 0, 
    icon_x = 0, 
    icon_y = 0, 
    icon_mask = 6291659, 
    window_group = 0
  }, 
  display_info = 0x60e0410, 
  saved_menu_event = 0x0, 
  id = 0, 
  hourglass_p = false, 
  explicit_parent = false, 
  asked_for_visible = true, 
  has_been_visible = true, 
  wait_for_wm = true, 
  xic = 0x7732450, 
  xic_style = 1032, 
  xic_xfs = 0x0, 
  black_relief = {
    gc = 0x5ee2db0, 
    pixel = 7566195
  }, 
  white_relief = {
    gc = 0x722f410, 
    pixel = 15132390
  }, 
  relief_background = 12566463, 
  focus_state = 3, 
  move_offset_top = 0, 
  move_offset_left = 0
}
(gdb) p *$.display_info
$19 = {
  next = 0x497cc40, 
  terminal = 0x7005698, 
  display = 0x6dd1790, 
  connection = 31, 
  name_list_element = 61650451, 
  reference_count = 1, 
  screen = 0x4128340, 
  resx = 96, 
  resy = 96, 
  visual = 0x738b020, 
  cmap = 33, 
  n_planes = 24, 
  grabbed = 0, 
  icon_bitmap_id = 1, 
  root_window = 417, 
  client_leader_window = 0, 
  vertical_scroll_bar_cursor = 6291461, 
  horizontal_scroll_bar_cursor = 6291465, 
  invisible_cursor = 6291470, 
  toggle_visible_pointer = 0x4fee90 <x_toggle_visible_pointer>, 
  xrdb = 0x7800f00, 
  smallest_char_width = 7, 
  smallest_font_height = 15, 
  scratch_cursor_gc = 0x4416b20, 
  mouse_highlight = {
    mouse_face_beg_row = -1, 
    mouse_face_beg_col = -1, 
    mouse_face_beg_x = 0, 
    mouse_face_end_row = -1, 
    mouse_face_end_col = -1, 
    mouse_face_end_x = 0, 
    mouse_face_window = 0, 
    mouse_face_face_id = 0, 
    mouse_face_overlay = 0, 
    mouse_face_mouse_frame = 0x0, 
    mouse_face_mouse_x = 491, 
    mouse_face_mouse_y = 223, 
    mouse_face_past_end = false, 
    mouse_face_defer = false, 
    mouse_face_hidden = false
  }, 
  x_id = 5, 
  x_id_name = 0x559c1b0 "emacs@HIDDEN", 
  n_fonts = 5, 
  bitmaps = 0x7c009b0, 
  bitmaps_size = 10, 
  bitmaps_last = 1, 
  meta_mod_mask = 16, 
  shift_lock_mask = 0, 
  alt_mod_mask = 8, 
  super_mod_mask = 0, 
  hyper_mod_mask = 0, 
  Xatom_wm_protocols = 294, 
  Xatom_wm_take_focus = 296, 
  Xatom_wm_save_yourself = 305, 
  Xatom_wm_delete_window = 293, 
  Xatom_wm_change_state = 291, 
  Xatom_wm_configure_denied = 306, 
  Xatom_wm_window_moved = 307, 
  Xatom_wm_client_leader = 308, 
  Xatom_editres = 309, 
  Xatom_CLIPBOARD = 239, 
  Xatom_TIMESTAMP = 310, 
  Xatom_TEXT = 240, 
  Xatom_DELETE = 311, 
  Xatom_COMPOUND_TEXT = 249, 
  Xatom_UTF8_STRING = 241, 
  Xatom_MULTIPLE = 243, 
  Xatom_INCR = 247, 
  Xatom_EMACS_TMP = 312, 
  Xatom_TARGETS = 242, 
  Xatom_NULL = 313, 
  Xatom_ATOM = 4, 
  Xatom_ATOM_PAIR = 250, 
  Xatom_CLIPBOARD_MANAGER = 248, 
  Xatom_PIXEL_SIZE = 97, 
  Xatom_AVERAGE_WIDTH = 102, 
  Xatom_MULE_BASELINE_OFFSET = 315, 
  Xatom_MULE_RELATIVE_COMPOSE = 316, 
  Xatom_MULE_DEFAULT_ASCENT = 317, 
  Xatom_DONE = 318, 
  Xatom_PAGE = 319, 
  Xatom_Scrollbar = 320, 
  Xatom_Horizontal_Scrollbar = 321, 
  Xatom_XEMBED = 322, 
  Xatom_XEMBED_INFO = 314, 
  x_focus_frame = 0x5f95fb0, 
  x_focus_event_frame = 0x5f95fb0, 
  x_highlight_frame = 0x5f95fb0, 
  x_pending_autoraise_frame = 0x0, 
  last_mouse_frame = 0x0, 
  last_mouse_glyph_frame = 0x5f95fb0, 
  last_mouse_motion_frame = 0x5f95fb0, 
  last_mouse_scroll_bar = 0x0, 
  last_user_time = 1951818405, 
  last_mouse_motion_x = 491, 
  last_mouse_motion_y = 223, 
  last_mouse_glyph = {
    x = 460, 
    y = 217, 
    width = 9, 
    height = 18
  }, 
  last_mouse_movement_time = 1951805161, 
  gray = 6291466, 
  xim = 0x7407d20, 
  xim_styles = 0x7a55840, 
  xim_callback_data = 0x70f4880, 
  color_names = 0x6ab0fd0, 
  color_cells = 0x0, 
  ncolor_cells = 0, 
  red_bits = 8, 
  blue_bits = 8, 
  green_bits = 8, 
  red_offset = 16, 
  blue_offset = 0, 
  green_offset = 8, 
  wm_type = X_WMTYPE_UNKNOWN, 
  x_dnd_atoms = 0x23a79c0, 
  x_dnd_atoms_size = 8, 
  x_dnd_atoms_length = 6, 
  Xatom_net_supported = 300, 
  Xatom_net_supporting_wm_check = 297, 
  net_supported_atoms = 0x5ffc5c0, 
  nr_net_supported_atoms = 41, 
  net_supported_window = 4194305, 
  Xatom_net_window_type = 276, 
  Xatom_net_window_type_tooltip = 288, 
  Xatom_net_active_window = 254, 
  Xatom_net_wm_state = 266, 
  Xatom_net_wm_state_fullscreen = 267, 
  Xatom_net_wm_state_maximized_horz = 269, 
  Xatom_net_wm_state_maximized_vert = 270, 
  Xatom_net_wm_state_sticky = 275, 
  Xatom_net_wm_state_hidden = 268, 
  Xatom_net_frame_extents = 325, 
  Xatom_net_current_desktop = 326, 
  Xatom_net_workarea = 327, 
  Xatom_xsettings_sel = 331, 
  Xatom_xsettings_prop = 329, 
  Xatom_xsettings_mgr = 330, 
  xsettings_window = 0, 
  Xatom_net_wm_name = 265, 
  Xatom_net_wm_icon_name = 323, 
  Xatom_net_wm_window_opacity = 324, 
  Xatom_SM_CLIENT_ID = 328, 
  xcb_connection = 0x2565000
}
(gdb) p $.name_list_element
$20 = 61650451
(gdb) xtype
Lisp_Cons
(gdb) xcons
$21 = (struct Lisp_Cons *) 0x3acb610
{
  car = 0x4a87ce4, 
  u = {
    cdr = 0x3acb4b3, 
    chain = 0x3acb4b3
  }
}
(gdb) p $21.car
$22 = 78150884
(gdb) xtype
Lisp_String
(gdb) xstring
$23 = (struct Lisp_String *) 0x4a87ce0
"localhost:10.0"
(gdb) 


In GNU Emacs 25.0.92.2 (x86_64-unknown-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2016-03-09 built on just-testing.permabit.com
Windowing system distributor 'The X.Org Foundation', version 11.0.11103000
System Description:	Ubuntu 12.04.5 LTS

Configured using:
 'configure
 --prefix=/permabit/user/raeburn/dev/emacs/fsf/emacs-25.0.92/precise/Inst
 --with-x-toolkit=lucid --enable-checking --without-sound'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK DBUS GSETTINGS NOTIFY ACL
LIBSELINUX GNUTLS LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS LUCID
X11

Important settings:
  locale-coding-system: nil

Major mode: Shell

Minor modes in effect:
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  text-scale-mode: t
  rcirc-track-minor-mode: t
  display-time-mode: t
  global-hi-lock-mode: t
  hi-lock-mode: t
  icomplete-mode: t
  desktop-save-mode: t
  global-edit-server-edit-mode: t
  jabber-activity-mode: t
  which-function-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
awalsh@HIDDEN is now Extended Away
joe@HIDDEN is now Offline
Mark set
limershein@HIDDEN is now Online
msakai@HIDDEN is now Away
msakai@HIDDEN is now Online
Mark saved where search started
Mark set
Mark saved where search started
Mark set [4 times]

Load-path shadows:
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-muc-nick-completion hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-muc-nick-completion
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-modeline hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-modeline
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-screen hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-screen
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-socks5 hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-socks5
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-muc hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-muc
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-chatbuffer hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-chatbuffer
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-events hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-events
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-chatstates hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-chatstates
/permabit/user/raeburn/.emacs.d/elpa/fsm-0.2/fsm hides /usr/share/emacs/site-lisp/emacs-jabber/fsm
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-widget hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-widget
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-si-client hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-si-client
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-sasl hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-sasl
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-ratpoison hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-ratpoison
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-time hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-time
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-logon hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-logon
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-browse hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-browse
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-ahc-presence hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-ahc-presence
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-roster hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-roster
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/srv hides /usr/share/emacs/site-lisp/emacs-jabber/srv
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-ft-client hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-ft-client
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-compose hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-compose
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-search hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-search
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-feature-neg hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-feature-neg
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-sawfish hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-sawfish
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-vcard hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-vcard
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-ft-server hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-ft-server
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-activity hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-activity
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-export hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-export
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-conn hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-conn
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-xml hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-xml
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber hides /usr/share/emacs/site-lisp/emacs-jabber/jabber
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-util hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-util
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-festival hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-festival
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-xmessage hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-xmessage
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-iq hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-iq
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-autoloads hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-autoloads
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-vcard-avatars hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-vcard-avatars
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-ft-common hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-ft-common
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-menu hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-menu
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-awesome hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-awesome
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-si-server hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-si-server
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-bookmarks hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-bookmarks
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-wmii hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-wmii
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-core hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-core
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-version hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-version
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-ourversion hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-ourversion
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-autoaway hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-autoaway
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-keymap hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-keymap
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-register hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-register
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-avatar hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-avatar
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-presence hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-presence
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-gmail hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-gmail
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-osd hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-osd
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-alert hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-alert
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-disco hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-disco
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-chat hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-chat
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-si-common hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-si-common
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-history hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-history
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-keepalive hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-keepalive
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-truncate hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-truncate
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-ahc hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-ahc
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-private hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-private
/permabit/user/raeburn/.emacs.d/elpa/jabber-20160124.552/jabber-watch hides /usr/share/emacs/site-lisp/emacs-jabber/jabber-watch
~/permabit-emacs/objdump hides /permabit/user/raeburn/elisp/objdump/objdump
~/permabit-emacs/kr-pdoc hides /permabit/user/raeburn/elisp/kr-pdoc
/permabit/user/raeburn/.emacs.d/elpa/systemtap-mode-20151122.1140/systemtap-mode hides /permabit/user/raeburn/elisp/systemtap-mode
/permabit/user/raeburn/.emacs.d/elpa/ssh-20120904.1342/ssh hides /permabit/user/raeburn/elisp/ssh
/permabit/user/raeburn/.emacs.d/elpa/hideshowvis-20130824.500/hideshowvis hides /permabit/user/raeburn/elisp/hideshowvis
/permabit/user/raeburn/.emacs.d/elpa/lua-mode-20151025.530/lua-mode hides /permabit/user/raeburn/elisp/lua-mode
/permabit/user/raeburn/.emacs.d/elpa/edit-server-20141231.1358/edit-server hides /permabit/user/raeburn/elisp/edit-server
~/permabit-emacs/c-fns hides /permabit/user/raeburn/elisp/c-fns
/permabit/user/raeburn/elisp/objdump/loaddefs hides /permabit/user/raeburn/dev/emacs/fsf/emacs-25.0.92/precise/Inst/share/emacs/25.0.92/lisp/loaddefs

Features:
(shadow sort mail-extr gnus-msg emacsbug sendmail character-fold
misearch multi-isearch add-log gud pcmpl-unix jabber-rtt goto-addr
jabber-keepalive jabber-ping sasl-digest hmac-md5 hex-util server
nxml-uchnm rng-xsd xsd-regexp rng-cmpct rng-nxml rng-valid rng-loc
rng-uri rng-parse nxml-parse rng-match rng-dt rng-util rng-pttrn nxml-ns
nxml-mode nxml-outln nxml-rap nxml-util nxml-glyph nxml-enc xmltok vc
vc-dispatcher sh-script smie executable python tramp-sh tramp
tramp-compat tramp-loaddefs trampver ucs-normalize shell warnings json
map seq conf-mode vc-git diff-mode org-element org-rmail org-mhe org-irc
org-info org-gnus org-docview doc-view subr-x jka-compr image-mode
org-bibtex bibtex org-bbdb org-w3m org org-macro org-footnote
org-pcomplete pcomplete org-list org-faces org-entities noutline outline
easy-mmode org-version ob-emacs-lisp ob ob-tangle ob-ref ob-lob ob-table
ob-exp org-src ob-keys ob-comint ob-core ob-eval org-compat org-macs
org-loaddefs find-func cal-menu calendar cal-loaddefs systemtap-mode
cc-awk face-remap autorevert filenotify rcirc hideshow time hi-lock
icomplete kr-stuff kr-hesiod hideshowvis desktop frameset edit-server
kr-gnus gnus-demon nntp gnus-art mm-uu mml2015 mm-view mml-smime smime
dig gnus-sum gnus-group gnus-undo gnus-start gnus-cloud nnimap nnmail
mail-source utf7 netrc nnoo parse-time gnus-spec gnus-int gnus-range
message rfc822 mml mml-sec epg mm-decode mm-bodies mm-encode mail-parse
rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev gmm-utils mailheader
gnus-win gnus gnus-ems nnheader mail-utils iso-transl kr-dbus kr-math
cc-mode cc-fonts cc-guess cc-menus cc-cmds jabber jabber-notifications
notifications jabber-libnotify dbus jabber-awesome jabber-osd
jabber-wmii jabber-xmessage jabber-festival jabber-sawfish
jabber-ratpoison jabber-tmux jabber-screen jabber-socks5
jabber-ft-server jabber-si-server jabber-ft-client jabber-ft-common
jabber-si-client jabber-si-common jabber-feature-neg jabber-truncate
jabber-time jabber-autoaway jabber-vcard-avatars jabber-chatstates
jabber-events jabber-vcard jabber-avatar mailcap jabber-activity
jabber-watch jabber-modeline jabber-ahc-presence jabber-ahc
jabber-version jabber-ourversion jabber-muc-nick-completion hippie-exp
jabber-browse jabber-search jabber-register jabber-roster format-spec
jabber-presence jabber-muc jabber-bookmarks jabber-private
jabber-muc-nick-coloring hexrgb jabber-widget jabber-disco wid-edit
jabber-chat jabber-history jabber-chatbuffer jabber-alert jabber-iq
jabber-core jabber-console sgml-mode ewoc jabber-keymap jabber-sasl sasl
sasl-anonymous sasl-login sasl-plain fsm jabber-logon jabber-conn srv
dns starttls tls gnutls jabber-xml xml jabber-menu jabber-util
auth-source cl-seq eieio byte-opt bytecomp byte-compile cl-extra cconv
eieio-core cl-macs gnus-util time-date mm-util help-fns help-mode
mail-prsvr password-cache kr-autoloads finder-inf ssh-autoloads info
package epg-config idutils derived thingatpt compile comint ansi-color
ring cperl-mode easymenu which-func imenu cc-styles cc-align cc-engine
cc-vars p4 dired kr-message-timestamp advice c-eldoc cl gv cc-defs
cl-loaddefs pcase cl-lib timeclock disp-table mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese charscript case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
dbusbind inotify dynamic-setting system-font-setting font-render-setting
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 703187 74650)
 (symbols 48 50872 0)
 (miscs 40 39635 3684)
 (strings 32 131690 33602)
 (string-bytes 1 4053192)
 (vectors 16 74894)
 (vector-slots 8 1641751 113200)
 (floats 8 689 419)
 (intervals 56 16659 1200)
 (buffers 976 119)
 (heap 1024 81003 3046))




Acknowledgement sent to Ken Raeburn <raeburn@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#23013; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 25 Oct 2018 16:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.